2015-04-10  Nicolas Petton  <nicolas@petton.fr>

	* Version 24.5 released.

2015-04-03  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-font-lock-init): Revert 2015-02-01 change
	"Stop Font Lock forcing fontification from BOL."  (Bug#20245)

2015-04-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-unhandled-file-name-directory):
	Return nil when required by the spec.  (Bug#20233)

2015-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-backward-sexp-command)
	(smie-forward-sexp-command): Don't pretend the arg is optional
	(bug#20205).

2015-03-23  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases)
	(authors-obsolete-files-regexps): Additions.

2015-03-22  Jan Djärv  <jan.h.d@swipnet.se>

	* simple.el (deactivate-mark): Only modify PRIMARY if we own
	PRIMARY (Bug#18939).

2015-03-22  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/debug.el (debug): Don't try using "previous" window
	when its not live or on an invisible frame (Bug#17170).

2015-03-21  Mario Lang  <mlang@delysid.org>

	* emacs-lisp/tabulated-list.el (tabulated-list-print): Only call
	`recenter' if `current-buffer' is equal to `window-buffer'.

2015-03-20  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-syntax-before-regexp-re):
	Detect regexps after `!'.  (Bug#19285)

2015-03-20  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-font-lock-keywords):
	Use `font-lock-constant-face' for nil, true and false.
	Highlight `self' as a keyword.  (Bug#17733)

2015-03-20  Nobuyoshi Nakada  <nobu@ruby-lang.org>

	* progmodes/ruby-mode.el (ruby-syntax-before-regexp-re):
	Expect beginning of regexp also after open brace or vertical bar.
	(Bug#20026)

2015-03-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-ssh-controlmaster-options): Make it a
	defcustom.  (Bug#20015)

2015-03-07  Eli Zaretskii  <eliz@gnu.org>

	* dired.el (dired-delete-file): Doc fix.  (Bug#20021)

2015-03-03  Agustín Martín Domingo  <agustin6martin@gmail.com>

	* textmodes/ispell.el (ispell-aspell-find-dictionary): Make sure
	.dat files for aspell dicts are also searched for in location
	described by `ispell-aspell-dict-dir', matching aspell's dict-dir
	variable.

2015-03-03  Agustín Martín Domingo  <agustin6martin@gmail.com>

	* textmodes/ispell.el (ispell-dicts-name2locale-equivs-alist)
	(ispell-hunspell-fill-dictionary-entry)
	(ispell-find-hunspell-dictionaries)
	(ispell-set-spellchecker-params): New generic name for
	`ispell-hunspell-dictionary-equivs-alist'.
	(ispell-aspell-add-aliases): Also use
	`ispell-dicts-name2locale-equivs-alist' to get aspell aliases for
	standard dict names.

2015-02-24  Glenn Morris  <rgm@gnu.org>

	* net/browse-url.el (browse-url-firefox-startup-arguments):
	Make obsolete.
	(browse-url-firefox): Doc fix.  Remove -remote, which no longer
	exists in Firefox 36.  (Bug#19921)
	(browse-url-firefox-sentinel): Remove function.

2015-02-23  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (blink-cursor-timer-function): Don't increment
	blink-cursor-blinks-done counter when a menu is active on a w32
	frame.  (Bug#19925)

2015-02-19  Juri Linkov  <juri@linkov.net>

	* comint.el (comint-line-beginning-position): Revert searching for
	the prompt when comint-use-prompt-regexp is non-nil because it
	doesn't distinguish input from output.  Check the field property
	`output' for the case when comint-use-prompt-regexp is nil.
	(Bug#19710)

2015-02-15  Jérémy Compostella  <jeremy.compostella@gmail.com>

	* net/tramp-sh.el (tramp-remote-process-environment): Disable paging
	with PAGER=cat.  (Bug#19870)

2015-02-13  Glenn Morris  <rgm@gnu.org>

	* textmodes/flyspell.el (flyspell-duplicate-distance):
	Bump :version.

2015-02-13  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/text-mode.el (text-mode-syntax-table): Make some
	punctuation character behave as word-constituent, for more
	compatibility with Unicode.

	* simple.el (transient-mark-mode): Doc fix.  (Bug#19841)

2015-02-12  Agustín Martín Domingo  <agustin6martin@gmail.com>

	Improve string search in `flyspell-word-search-*`. (Bug#16800)
	* textmodes/flyspell.el (flyspell-duplicate-distance):
	Limit default search distance for duplicated words to 40000.
	(flyspell-word-search-backward, flyspell-word-search-forward):
	Search as full word with defined casechars, not as substring.

2015-02-10  Juri Linkov  <juri@linkov.net>

	Better support for the case of typing RET on the prompt in comint.
	* comint.el (comint-get-old-input-default): Go to the field end
	when comint-use-prompt-regexp is nil.
	(comint-line-beginning-position): Check if point is already
	on the prompt before searching for the prompt when
	comint-use-prompt-regexp is non-nil.  (Bug#19710)

2015-02-08  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (frame-notice-user-settings): Refresh the value of
	frame parameters after calling tty-handle-reverse-video.
	Call face-set-after-frame-default with the actual parameters, to avoid
	resetting colors back to unspecified.
	(set-background-color, set-foreground-color): Pass the foreground
	and background colors to face-set-after-frame-default.  (Bug#19802)

2015-02-06  Wolfgang Jenkner  <wjenkner@inode.at>

	* net/network-stream.el (network-stream-open-tls): Respect the
	:end-of-capability setting.

2015-02-05  Juri Linkov  <juri@linkov.net>

	Revert the previous change of comint-line-beginning-position callers,
	and modify comint-line-beginning-position instead.

	* comint.el (comint-history-isearch-search)
	(comint-history-isearch-message, comint-history-isearch-wrap):
	Use comint-line-beginning-position instead of field-beginning.
	(comint-send-input): Use either end-of-line or field-end
	depending on comint-use-prompt-regexp.
	(comint-line-beginning-position): Search backward
	for comint-prompt-regexp if comint-use-prompt-regexp is non-nil.
	Use field-beginning instead of line-beginning-position
	if comint-use-prompt-regexp is nil.  (Bug#19710)

2015-02-04  Robert Pluim  <rpluim@gmail.com>  (tiny change)

	* calendar/todo-mode.el (todo-item-done): When done items are
	hidden, restore point to its location prior to invoking this
	command.  (Bug#19727)

2015-02-04  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/artist.el (artist-ellipse-compute-fill-info):
	Use mapcar, not mapc, to create the other half of fill-info.
	(Bug#19763)

2015-02-04  Nicolas Petton  <nicolas@petton.fr>

	* emacs-lisp/authors.el (authors-ignored-files)
	(authors-renamed-files-alist): Additions.

2015-02-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-ssh-controlmaster-options): Don't use a
	tempfile for ControlPath.  (Bug#19702)

2015-02-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-ssh-controlmaster-options): Use "%C" for
	ControlPath if possible.  (Bug#19702)

2015-02-02  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-obsolete-files-regexps)
	(authors-valid-file-names, authors-renamed-files-alist): Additions.

2015-02-01  Alan Mackenzie  <acm@muc.de>

	CC Mode: Stop Font Lock forcing fontification from BOL.
	* progmodes/cc-mode.el (c-font-lock-init):
	Setq font-lock-extend-region-functions to nil.  (Bug#19669)

2015-01-31  Alan Mackenzie  <acm@muc.de>

	Handle "#" operator properly inside macro.  Fix coding bug.

	* progmodes/cc-mode.el (c-neutralize-syntax-in-and-mark-CPP):
	On finding a "#" which looks like the start of a macro, check it
	isn't already inside a macro.

	* progmodes/cc-engine.el (c-state-safe-place): Don't record a new
	"safe" position into the list of them when this is beyond our
	current position.

2015-01-31  Martin Rudalics  <rudalics@gmx.at>

	* menu-bar.el (menu-bar-non-minibuffer-window-p): Return nil when
	the menu frame is dead.  (Bug#19728)

2015-01-30  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	python.el: Handle tabs in python-indent-dedent-line.

	* progmodes/python.el (python-indent-dedent-line): Fixes for
	indentation with tabs.  Thanks to <dale@codefu.org> (Bug#19730).

2015-01-30  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-context): Respect user
	indentation after comment.

2015-01-29  Tassilo Horn  <tsdh@gnu.org>

	* textmodes/reftex-vars.el (featurep): Conditionalize value of
	reftex-label-regexps in order to stay compatible with XEmacs 21.5
	which has no explicitly numbered groups in regexps (bug#19714).

2015-01-28  Tassilo Horn  <tsdh@gnu.org>

	* textmodes/reftex.el (reftex-syntax-table-for-bib): Give ( and )
	punctuation syntax since to allow bibtex fields with values such
	as {Test 1) and 2)} (bug#19205, bug#19707).
	(reftex--prepare-syntax-tables): New function.
	(reftex-mode): Use it.

2015-01-26  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	python.el: New non-global state dependent indentation engine.
	(Bug#18319, Bug#19595)

	* progmodes/python.el (python-syntax-comment-or-string-p):
	Accept PPSS as argument.
	(python-syntax-closing-paren-p): New function.
	(python-indent-current-level)
	(python-indent-levels): Mark obsolete.
	(python-indent-context): Return more context cases.
	(python-indent--calculate-indentation)
	(python-indent--calculate-levels): New functions.
	(python-indent-calculate-levels): Use them.
	(python-indent-calculate-indentation, python-indent-line):
	(python-indent-line-function): Rewritten to use new API.
	(python-indent-dedent-line): Simplify logic.
	(python-indent-dedent-line-backspace): Use `unless`.
	(python-indent-toggle-levels): Delete function.

2015-01-22  Wolfgang Jenkner  <wjenkner@inode.at>

	* calc/calc-units.el (math-units-in-expr-p)
	(math-single-units-in-expr-p, math-find-compatible-unit-rec)
	(math-extract-units): Handle the `neg' operator.  (Bug#19582)
	[Backport]

2015-01-21  Daniel Koning  <dk@danielkoning.com>  (tiny change)

	* subr.el (posnp): Correct docstring of `posnp'.
	(posn-col-row): Make it work with all mouse position objects.
	* textmodes/artist.el (artist-mouse-draw-continously):
	Cancel timers if an error occurs during continuous drawing.  (Bug#6130)

2015-01-20  Eli Zaretskii  <eliz@gnu.org>

	* button.el (button-activate, push-button): Doc fix.  (Bug#19628)

2015-01-16  Samer Masterson  <samer@samertm.com>  (tiny change)

	* pcomplete.el (pcomplete-parse-arguments): Parse arguments
	regardless of pcomplete-cycle-completions's value.  (Bug#18950)

2015-01-13  Michael Albinus  <michael.albinus@gmx.de>

	* filenotify.el (file-notify-descriptors, file-notify-handle-event):
	Adapt docstring.
	(file-notify--descriptor): New defun.
	(file-notify-callback, file-notify-add-watch, file-notify-rm-watch):
	Adapt docstring.  Handle multiple values for
	`file-notify-descriptors' entries.  (Bug#18880)

	* net/tramp.el (tramp-handle-file-notify-rm-watch): Do not check
	`file-notify-descriptors', the implementation has been changed.

2015-01-13  Juri Linkov  <juri@linkov.net>

        * comint.el (comint-history-isearch-search)
	(comint-history-isearch-wrap): Use field-beginning instead of
	comint-line-beginning-position.
	(comint-send-input): Go to the end of the field instead of the end
	of the line to accept whole multi-line input.
	http://lists.gnu.org/archive/html/emacs-devel/2014-12/msg00305.html
	(comint-history-isearch-message): Use field-beginning
	instead of comint-line-beginning-position - that's more fixes for
	http://lists.gnu.org/archive/html/emacs-devel/2014-12/msg00305.html
	(comint-history-isearch-message): Fix args of isearch-message-prefix.

	[Backport]

2015-01-09  Eli Zaretskii  <eliz@gnu.org>

	* net/net-utils.el (net-utils-run-program, net-utils-run-simple):
	On MS-Windows, bind coding-system-for-read to the console output
	codepage.  (Bug#19458)

2015-01-08  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (line-move-visual): When converting X pixel coordinate
	to temporary-goal-column, adjust the value for right-to-left
	screen lines.  This fixes vertical-motion, next/prev-line, etc.

2015-01-06  Glenn Morris  <rgm@gnu.org>

	* progmodes/sh-script.el (sh-mode): Doc fix.
	(sh-basic-indent-line): Handle electric newline.  (Bug#18756)

2014-12-14  Steve Purcell  <steve@sanityinc.com>  (tiny change)

	* emacs-lisp/package.el (package-menu-mode): Use an extra column
	for the "Version" column, to accomodate date-and-time-based versions.

2015-01-04  Paul Eggert  <eggert@cs.ucla.edu>

	Fix dired quoting bug with "Hit`N`Hide".  Fixes Bug#19498.
	* files.el (shell-quote-wildcard-pattern): Also quote "`".

2015-01-04  Dmitry Gutov  <dgutov@yandex.ru>

	Unbreak `mouse-action' property in text buttons.
	* button.el (push-button): Fix regression from 2012-12-06.

2015-01-01  Eli Zaretskii  <eliz@gnu.org>

	* tool-bar.el (tool-bar-local-item)
	(tool-bar-local-item-from-menu): Call force-mode-line-update to
	make sure the tool-bar changes show on display.

2014-12-29  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.2.11.

	* net/tramp-compat.el (top): Require cl-macs for Emacs 22.
	Make an alias for `default-toplevel-value' if it doesn't exist.

	* net/tramp-smb.el (tramp-smb-handle-copy-directory):
	Use `tramp-compat-delete-directory'.

	* net/trampver.el: Update release number.

2014-12-29  Filipp Gunbin  <fgunbin@fastmail.fm>

	* autorevert.el (auto-revert-handler): Fix auto-revert-tail-mode
	for remote files.  (Bug#19449)

2014-12-28  Eli Zaretskii  <eliz@gnu.org>

	* international/mule.el (define-coding-system): Fix typos in the
	doc string.

2014-12-28  Kenichi Handa  <handa@gnu.org>

	* international/mule.el (define-coding-system): Improve the doc
	string.

2014-12-27  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-shell-buffer-substring):
	Handle cornercase when region sent starts at point-min.

2014-12-27  Eli Zaretskii  <eliz@gnu.org>

	* language/misc-lang.el (composition-function-table): Add Syriac
	characters and also ZWJ/ZWNJ.  See
	http://lists.gnu.org/archive/html/help-gnu-emacs/2014-12/msg00248.html
	for the details.

2014-12-27  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	python.el: Fix message when sending region.

	* progmodes/python.el (python-shell-send-region): Rename argument
	send-main from nomain.  Fix message.
	(python-shell-send-buffer): Rename argument send-main from arg.

2014-12-27  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	python.el: Cleanup temp files even with eval errors.

	* progmodes/python.el (python-shell-send-file): Make file-name
	mandatory.  Fix temp file removal in the majority of cases.

2014-12-27  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	python.el: Handle file encoding for shell.

	* progmodes/python.el (python-rx-constituents): Add coding-cookie.
	(python-shell--save-temp-file): Write file with proper encoding.
	(python-shell-buffer-substring): Add coding cookie for detected
	encoding to generated content.  Fix blank lines when removing
	if-name-main block.
	(python-shell-send-file): Handle file encoding.
	(python-info-encoding-from-cookie)
	(python-info-encoding): New functions.

2014-12-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-out-of-band):
	Use `tramp-rsh-end-of-line', it ought to be more robust.

2014-12-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/js.el (js-syntax-propertize): "return" can't be divided
	(bug#19397).

2014-12-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-read-passwd): Ignore errors from `auth-source-*'.

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-out-of-band): Use "\n"
	as end-of-line delimeter for passwords, when running on MS Windows.

2014-12-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-set-shell): Don't change the global value
	of indent-line-function (bug#19433).

2014-12-23  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Fix line numbers on Python shell.
	* progmodes/python.el (python-shell--save-temp-file): Do not
	append coding cookie.
	(python-shell-send-string): Generalize for
	python-shell-send-region.
	(python--use-fake-loc): Delete var.
	(python-shell-buffer-substring): Cleanup fake-loc logic.
	(python-shell-send-region): Remove fake-loc logic, simplify.

2014-12-22  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-post-self-insert-function):
	Make colon to re-indent only for dedenters, handling
	multiline-statements gracefully.

2014-12-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-file-contents):
	Set `find-file-not-found-functions' in case of errors.  (Bug#18623)

2014-12-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-send-command-and-read): New optional
	arg MARKER.
	(tramp-get-remote-path): Use it.

2014-12-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (redisplay-dont-pause): Mark as obsolete.

2014-12-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-error-with-buffer): Call `message' properly.
	(tramp-accept-process-output): Use nil as argument for
	`accept-process-output', when there is a gateway prepended.

	* net/tramp-gw.el (tramp-gw-open-connection): Suppress traces in
	wrong debug buffer.
	(tramp-gw-open-connection): Set process coding system 'binary.
	(tramp-gw-open-network-stream): Handle HTTP error 403.

	* net/tramp-sh.el (tramp-compute-multi-hops): Suppress traces in
	wrong debug buffer.
	(tramp-maybe-open-connection): Set connection property "gateway".

2014-12-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (sit-for): Tweak docstring (bug#19381).

2014-12-15  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/vc-git.el (vc-git-after-dir-status-stage): Move `up-to-date'
	stage to after `diff-index' (bug#19386).

2014-12-14  João Távora  <joaotavora@gmail.com>

	* textmodes/tex-mode.el (tex-insert-quote): Consider and respect
	`electric-pair-mode' (bug#19356).

2014-12-12  Michael Albinus  <michael.albinus@gmx.de>

	* simple.el (password-word-equivalents): Add "passcode", used for
	numeric secrets like PINs or RSA tokens.

2014-12-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-get-remote-path): Use a login shell in
	order to determine `tramp-own-remote-path'.

2014-12-09  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-shell-parse-command):
	Quote `python-shell-interpreter`.  (Bug#19289)

2014-12-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-smie-sh-rules): Go back to the beginning
	of the whole pipe when indenting an opening keyword after a |.
	Generalize this treatment to opening keywords like "while" (bug#18031).

2014-12-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (newline): Place the hook buffer-locally,
	to make sure it's first.

	* progmodes/prog-mode.el (prettify-symbols--compose-symbol):
	Fix handling of symbols with different syntax at beginning/end or with
	symbol rather than word syntax.

2014-11-30  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (line-move): If noninteractive, call line-move-1, not
	forward-line, since the former is compatible with line-move-visual
	both in terms of the column to which it moves and the return
	value.  (Bug#19211)

2014-11-27  Stephen Berman  <stephen.berman@gmx.net>
	    Stefan Monnier  <monnier@iro.umontreal.ca>

	* outline.el (outline-move-subtree-down): Make sure we can move
	forward to find the end of the subtree and the insertion point
	(bug#19102).

2014-11-27  Leonard Randall  <leonard.a.randall@gmail.com>

	* textmodes/reftex-parse.el (reftex-using-biblatex-p): Make search
	for comment lines non-greedy and stopping at newlines to fix stack
	overflows with large files. [Backport]

2014-11-27  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-shell-completion-setup-code):
	Use __builtin__ module (or builtins in Python 3) and catch all errors
	when importing readline and rlcompleter.

2014-11-26  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Handle calling revert-buffer (bug#19187).
	(todo-revert-buffer): New function.
	(todo-modes-set-1): Use it as the buffer-local value of
	revert-buffer-function.

2014-11-26  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-mode): If called interactively, just
	display a message saying to call todo-show to enter Todo mode
	(Bug#19112).

2014-11-24  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/vc-hg.el (vc-hg-dir-status-files): Include ignored files.
	(Bug#18579)

	* vc/vc-bzr.el (vc-bzr-after-dir-status): Don't skip ignored
	files.  (Bug#18579)

2014-11-23  Michael Albinus  <michael.albinus@gmx.de>

	* textmodes/makeinfo.el (makeinfo-buffer): Make it work also for
	remote `buffer-file-name'.

2014-11-23  Leo Liu  <sdl.web@gmail.com>

	* calendar/diary-lib.el (calendar-mark-1): Fix thinko.

2014-11-22  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Set PYTHONUNBUFFERED on shell startup.

	* progmodes/python.el (python-shell-unbuffered): New var.
	(python-shell-calculate-process-environment): Use it.

2014-11-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-action-password): Clean password on subsequent
	attempts even if there was no wrong password indication.  (Bug#19047)

	* net/tramp-sh.el (tramp-get-remote-locale): Return "LC_ALL=C" as
	fallback.
	(tramp-open-connection-setup-interactive-shell): No need to check
	for nil as `tramp-get-remote-locale' return value.

2014-11-21  Eli Zaretskii  <eliz@gnu.org>

	* vc/vc-git.el (vc-git-command, vc-git--call):
	Bind coding-system-for-read and coding-system-for-write to
	vc-git-commits-coding-system.
	(vc-git-previous-revision): Use "~1" instead of "^", since the
	latter is a special character for MS-Windows system shells.

2014-11-20  Michael Albinus  <michael.albinus@gmx.de>

	Improve XEmacs compatibility.

	* net/tramp.el (tramp-autoload-file-name-handler):
	Wrap `temporary-file-directory' by `symbol-value', it doesn't
	exist in XEmacs.
	(tramp-read-passwd): Don't use `with-timeout-suspend' and
	`with-timeout-unsuspend' if they don't exist, like in XEmacs.
	(tramp-time-less-p, tramp-time-subtract): Remove functions.
	(tramp-handle-file-newer-than-file-p, tramp-time-diff):
	* net/tramp-adb.el (tramp-adb-ls-output-time-less-p):
	* net/tramp-cache.el (tramp-get-file-property):
	* net/tramp-smb.el (tramp-smb-handle-insert-directory):
	Use `time-less-p' and `time-subtract, respectively.

	* net/tramp-adb.el (top): Do not require time-date.el.

	* net/tramp-compat.el (top): Require time-date.el for XEmacs.

	* net/tramp-sh.el (tramp-open-connection-setup-interactive-shell):
	Check, whether `utf-8' is a valid coding system.

2014-11-19  Eli Zaretskii  <eliz@gnu.org>

	* vc/vc.el (vc-retrieve-tag): Doc fix.

2014-11-17  Eli Zaretskii  <eliz@gnu.org>

	* vc/vc-bzr.el (vc-bzr-print-log, vc-bzr-expanded-log-entry):
	Don't assume --long is the default for "bzr log", always specify
	it explicitly, in case the user defined an alias for 'log' that
	uses some other format.

2014-11-16  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-eldoc--get-doc-at-point):
	Strip shell output before returning.  (bug#18794)

2014-11-16  Dmitry Gutov  <dgutov@yandex.ru>

	Fix indentation before `!=' and after `+='.  Originally reported
	in https://github.com/mooz/js2-mode/issues/174.
	* progmodes/js.el (js--indent-operator-re): Make assignments and
	(in)equality operator a separate case.
	(js--continued-expression-p): Escape the second `+' in the regexp.

2014-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (handle-select-window): Deactivate shift-region (bug#19003).

2014-11-15  Andreas Schwab  <schwab@linux-m68k.org>

	* version.el (emacs-repository-get-version): Use git rev-parse
	instead of git log.

2014-11-15  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-calculate-levels):
	Fix indentation behavior multiline dedenter statement.  (Bug#18432)

2014-11-15  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-region):
	Use python-indent-line and skip special cases.  (Bug#18843)

2014-11-15  Michael Albinus  <michael.albinus@gmx.de>

	* vc/vc-hg.el (vc-hg-state): Disable pager.  (Bug#18940)

2014-11-15  Peder O. Klingenberg  <peder@klingenberg.no>

	* mail/emacsbug.el (report-emacs-bug): Make a better guess at
	  envelope-from when reporting through sendmail (bug#19054).

2014-11-14  Ivan Andrus  <darthandrus@gmail.com>

	* progmodes/python.el (python-ffap-module-path):
	Use `derived-mode-p' instead of equality test on `major-mode'.

2014-11-13  Ulrich Müller  <ulm@gentoo.org>

	* version.el (emacs-repository-get-version): Call `git log'
	command with proper format argument (bug#19049).

2014-11-10  Glenn Morris  <rgm@gnu.org>

	* startup.el (command-line): Handle nil elements in load-path.

2014-11-08  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-report-error):
	Allow the argument to be a string.  Due to the vague doc,
	it was already being used this way.

2014-11-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-check-cached-permissions): Include hop in
	the constructed Tramp file name.  (Bug#18943)

2014-11-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/cua-base.el (cua--select-keymaps): Use region-active-p
	(bug#18952).
	(cua-set-mark, cua--pre-command-handler-1,cua--post-command-handler-1):
	* emulation/cua-gmrk.el (cua-cancel-global-mark): Same.

2014-11-07  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (file-name-non-special): Wrap the call of
	`insert-file-contents' by `unwind-protect', in order to set the
	buffer's file name anyway.  (Bug#18891)

2014-11-07  Daiki Ueno  <ueno@gnu.org>

	* epg.el (epg--list-keys-1): Ignore fields after the 15th field
	(bug#18979).  Reported by Hideki Saito.

2014-10-18  Alan Mackenzie  <acm@muc.de>

	Check that a "macro" found near point-min isn't a ## operator.
	Fixes bug #18749.  Backported from trunk, 2014-11-05.
	* progmodes/cc-engine.el (c-macro-is-genuine-p): New function.
	(c-beginning-of-macro): Use the above new function.

2014-11-05  Alan Mackenzie  <acm@muc.de>

	Fix wrong bound to c-font-lock-declarators.  Fixes bug #18948.
	* progmodes/cc-fonts.el (c-font-lock-declarations):
	Pass "(point-max)" as bound to c-font-lock-declarators, not "limit", as
	the buffer is sometimes narrowed to less than "limit" (e.g., in
	the presence of macros).

2014-11-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-error-with-buffer): Show connection buffer
	only when message appeared in minibuffer.  (Bug#18891)

	* net/tramp-adb.el (tramp-adb-handle-file-attributes):
	* net/tramp-gvfs.el (tramp-gvfs-handle-file-attributes):
	* net/tramp-sh.el (tramp-sh-handle-file-attributes): Return nil in
	case of errors.

2014-11-04  Eli Zaretskii  <eliz@gnu.org>

	* jit-lock.el (jit-lock-stealth-fontify): Be tolerant to nil being
	returned by load-average.

2014-11-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-via-buffer): Don't use
	a local copy; setting `inhibit-file-name-handlers' proper might be
	more performant.  (Bug#18751)

2014-11-04  Glenn Morris  <rgm@gnu.org>

	* mail/emacsbug.el (report-emacs-bug): No longer include
	recent-keys in the report.  (Bug#18900)

2014-11-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-via-buffer): Use a
	local copy of FILENAME, when it is remote.  (Bug#18751)

2014-11-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-adb.el (tramp-adb-handle-process-file): Do not raise
	an error when the command fails; the return code must indicate.
	(tramp-adb-send-command-and-check): Fix docstring.

2014-11-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cache.el (tramp-get-file-property)
	(tramp-set-file-property): Check, that `tramp-cache-get-count-*'
	and `tramp-cache-set-count-*' are bound.  Otherwise, there might
	be compiler warnings.

	* net/tramp-sh.el (tramp-get-remote-uid, tramp-get-remote-gid):
	Return -1 respective "UNKNOWN", if uid or gid cannot be determined.

2014-11-01  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/compile.el (compilation-mode): Turn off deferred
	fontifications locally.  (Bug#18856)

2014-11-01  Wolfgang Jenkner  <wjenkner@inode.at>

	* net/tramp-sh.el (tramp-send-command): Fix the case where the
	remote-echo connection property is non-nil (bug#18858).

2014-11-01  Michael Albinus  <michael.albinus@gmx.de>

	Backport Tramp changes from trunk.

	* net/tramp.el (tramp-methods): Tweak docstring.
	(tramp-file-name-handler): Apply `cons' where appropriate.
	(tramp-handle-file-accessible-directory-p): Check for
	`file-readable-p' instead of `file-executable-p'.
	(tramp-handle-shell-command): Use `display-buffer'.  (Bug#18326)
	(tramp-handle-unhandled-file-name-directory): Return "/".
	(tramp-check-cached-permissions):
	Use `tramp-compat-file-attributes'.
	(tramp-call-process): Add new argument VEC.  Adapt callees in all
	tramp*.el files.

	* net/tramp-adb.el (tramp-adb-sh-fix-ls-output): Use `bolp'.
	(tramp-adb-handle-write-region): Improve messages.
	(tramp-adb-maybe-open-connection): Don't set
	`tramp-current-*' variables.

	* net/tramp-cache.el (tramp-flush-file-function): Simplify check.
	Suppress debug messages.

	* net/tramp-ftp.el (top): Remove special handling for URL syntax.
	(tramp-ftp-file-name-handler):

	* net/tramp-gvfs.el (tramp-gvfs-methods) <sftp>: Add.
	(tramp-gvfs-methods-mounttracker)
	(tramp-gvfs-mountlocation-signature): Check `tramp-gvfs-enabled'
	during initialization.  (Bug#18774)
	(tramp-gvfs-handle-delete-file): Flush file properties, not
	directory properties.
	(tramp-gvfs-handle-file-attributes): Use `string-to-number' when
	reading "unix::mode".
	(tramp-gvfs-handle-file-name-all-completions):
	Use "-h" option for "gvfs-ls".
	(tramp-gvfs-url-file-name): Apply `cons' where appropriate.
	`user' and `localname' could be nil.
	(tramp-gvfs-send-command): Simplify traces.

	* net/tramp-sh.el (vc-handled-backends, vc-bzr-program)
	(vc-git-program, vc-hg-program): Declare.
	(tramp-methods) <sftp>: Remove.  It has never worked satisfactorily.
	(tramp-methods) <nc>: Add new method.
	(tramp-methods) <telnet>: Redirect stderr to "/dev/null".
	(tramp-methods) <plink, plinkx, pscp, psftp>: Improve
	`tramp-login-args'.
	(tramp-default-user-alist): Add "nc".
	(top): Remove completion function for "sftp".  Add completion
	functions for "nc" and "psftp".
	(tramp-sh-handle-set-visited-file-modtime):
	(tramp-sh-handle-verify-visited-file-modtime): Use `point-at-eol'.
	(tramp-do-copy-or-rename-file-out-of-band):
	Use cached "remote-copy-args" value, if available.  (Bug#18199)
	Tweak docstring.  Implement support for "nc" method.
	(tramp-sh-handle-expand-file-name, tramp-local-coding-commands)
	(tramp-remote-coding-commands, tramp-call-local-coding-command):
	Tweak docstring.
	(tramp-sh-handle-start-file-process): Expand `default-directory'.
	(tramp-sh-handle-write-region): Tweak error message.
	(tramp-sh-handle-vc-registered): Remove backends when the remote
	binary does not exist.
	(tramp-open-connection-setup-interactive-shell):
	Prefer utf-8 coding.  (Bug#17859)
	(tramp-find-inline-encoding): Do not raise an error.
	(tramp-make-copy-program-file-name): Tweak docstring.  Handle also
	the "nc" case.  Quote result also locally.
	(tramp-get-remote-id): Check also for "gid".
	(tramp-get-remote-python):

	* net/tramp-smb.el (tramp-smb-handle-copy-directory)
	(tramp-smb-handle-set-file-acl): Use `start-process'.
	(tramp-smb-handle-insert-directory): Use progress reporter.
	(tramp-smb-handle-rename-file): Flush also file properties of
	FILENAME.

	* net/trampver.el: Update release number.

2014-11-01  Reuben Thomas  <rrt@sc3d.org>

	* net/tramp.el (tramp-handle-file-symlink-p):
	* net/tramp-ftp.el (tramp-ftp-file-name-handler): Remove a comment
	about VMS, which we no longer support.

2014-11-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/tramp-sh.el (tramp-sh-handle-vc-registered): Don't modify
	the global vc-handled-backends (bug#18535).

2014-11-01  Jérémy Compostella  <jeremy.compostella@intel.com>
	    Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-open-connection-setup-interactive-shell):
	Reduce the amount of set environment variable commands.

2014-11-01  Paul Eggert  <eggert@cs.ucla.edu>

	* net/tramp-sh.el (tramp-get-remote-touch): Omit unnecessary call to
	current-time.

2014-11-01  Emilio C. Lopes  <eclig@gmx.net>

	* net/tramp-sh.el (tramp-get-remote-python): Also search for
	executables named "python2" or "python3".
	(tramp-get-remote-uid-with-python): Use parentheses around
	arguments to `print' to make it compatible with Python 3.
	(tramp-get-remote-gid-with-python): Ditto.  (Bug#18118)

2014-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (newline): Add assertions to try and help catch bug#18913.

	* emulation/cua-base.el (cua-delete-region): Use delete-active-region
	(bug#18886).
	(cua--last-deleted-region-pos, cua--last-deleted-region-text): Remove.

2014-10-31  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (repo-update): Fix a typo and slightly reword
	commentary.

2014-10-31  Eric S. Raymond  <esr@thyrsus.com>

	* Makefile.in: Change some production names so they're neutral
	about the repository type.

2014-10-30  Kim F. Storm  <storm@cua.dk>

	Restore cua-delete-copy-to-register-0 and M-v command (bug#18886).
	* delsel.el (delete-selection-save-to-register)
	(delsel--replace-text-or-position): New vars.
	(delete-active-region): Use them.
	(delete-selection-repeat-replace-region): New command, moved from
	cua-base.el.
	* emulation/cua-base.el (cua--repeat-replace-text): Remove var.
	(cua-repeat-replace-region): Move command to delsel.el.
	(cua--init-keymaps): Update binding accordingly.
	(cua-mode): Set delete-selection-save-to-register.

2014-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-defs.el (c--macroexpand-all): New function (bug#18845).
	(c-lang-defconst):
	* progmodes/cc-langs.el (c-make-init-lang-vars-fun): Use it.

2014-10-29  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/compile.el (compilation-start):
	If compilation-scroll-output is non-nil, don't force window-start of
	the compilation buffer to be at beginning of buffer.  (Bug#18874)

2014-10-23  Tassilo Horn  <tsdh@gnu.org>

	* doc-view.el (doc-view-open-text): View the document's plain text
	in the current buffer instead of a new one.
	(doc-view-toggle-display): Handle the case where the current
	buffer contains the plain text contents of the document.
	(doc-view-initiate-display): Don't switch to fallback mode if the
	user wants to view the doc's plain text.  [Backport]

2014-10-23  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (fancy-about-text): Read the entire tutorial, not
	just its first 256 bytes.  (Bug#18760)

2014-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el: Require cl-extra (bug#18804).
	* emacs-lisp/cl-extra.el: Add missing provide.

2014-10-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-and-folded): Optimize case where
	all args are copyable (bug#18767).
	(=, <, >, <=, >=): Re-enable the optimization.

2014-10-20  Santiago Payà i Miralta  <santiagopim@gmail.com>

	* vc/vc-hg.el (vc-hg-log-graph): New var.
	(vc-hg-print-log): Use it.
	(vc-hg-root-log-format): Include branch name and bookmarks; ignore
	graph output (bug#17515).

2014-10-20  Juri Linkov  <juri@jurta.org>

	* vc/diff-mode.el (diff-refine-changed): Rename from
	`diff-refine-change' for consistency with `diff-changed'.
	(diff-refine-change): Add obsolete face alias.  (Bug#10181)

	* vc/smerge-mode.el (smerge-refined-changed): Rename from
	`smerge-refined-change'.
	(smerge-refined-change): Add obsolete face alias.

2014-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (call-process-shell-command, process-file-shell-command):
	Make the `args' obsolete (bug#18409).
	(start-process-shell-command, start-file-process-shell-command):
	Use `declare'.

2014-10-20  Juanma Barranquero  <lekktu@gmail.com>

	* skeleton.el (skeleton-autowrap): Mark as obsolete.  Doc fix.

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* dired.el (dired-read-regexp): Make obsolete.
	(dired-mark-files-regexp, dired-mark-files-containing-regexp)
	(dired-flag-files-regexp):
	* dired-aux.el (dired-mark-read-regexp):
	* dired-x.el (dired-mark-unmarked-files): Use read-regexp directly.

2014-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (inferior-python-mode): Use add-hook.

	* Makefile.in (AUTOGEN_VCS): Remove emulation/tpu-edt.el.

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* emulation/crisp.el, emulation/tpu-edt.el, emulation/tpu-extras.el:
	* emulation/tpu-mapper.el, emulation/vi.el, emulation/vip.el:
	* emulation/ws-mode.el: Move to obsolete/.  [Backport]

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* cus-start.el (history-length): Bump :version.  [Backport]

2014-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* obsolete/cc-compat.el: Make obsolete (bug#18561).

	* epg-config.el (epg-gpg-program): Don't use absolute names by default.

	* emacs-lisp/bytecomp.el (=, <, >, <=, >=): Don't optimize multi-arg
	case (bug#18767).

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* Version 24.4 released.

2014-10-15  Alan Mackenzie  <acm@muc.de>

	* cus-edit.el (custom-command-apply): Specify the return value in
	the doc string.
	(Custom-reset-standard): Save custom-file (e.g. .emacs) only when
	custom-command-apply has returned non-nil.

2014-10-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (lisp--local-variables-1): Handle `quote'.
	Backported (bug#18688).

2014-10-14  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/tabulated-list.el (tabulated-list-mode):
	Force bidi-paragraph-direction to 'left-to-right'.  This fixes
	buffer-menu display when the first buffer happens to start with
	R2L letter.

2014-10-13  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases, authors-fixed-case)
	(authors-obsolete-files-regexps): Additions.
	(authors-no-scan-regexps): New constant.
	(authors-no-scan-file-p): New function.
	(authors): Respect authors-no-scan-file-p.

2014-10-12  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Fix import completion.  (Bug#18582)
	* progmodes/python.el (python-shell-completion-get-completions):
	Fix import case regexp.

2014-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/bat-mode.el (bat-font-lock-keywords): Fix \\<_ typo
	(bug#18622).  Reported by Arni Magnusson <arnima@hafro.is>.
	* progmodes/prolog.el (prolog-electric--underscore): Same.

2014-10-09  Glenn Morris  <rgm@gnu.org>

	* frame.el (display-monitor-attributes-list): Doc tweaks.

2014-10-08  Eli Zaretskii  <eliz@gnu.org>

	* faces.el (display-grayscale-p): Mention in the doc string that
	the argument can be either a display name or a frame.

	* frame.el (display-pixel-height, display-pixel-width)
	(display-mm-height, display-mm-width, display-backing-store)
	(display-save-under, display-planes, display-color-cells)
	(display-visual-class, display-monitor-attributes-list)
	(display-screens): Mention in the doc string that the argument can
	be either a display name or a frame.  Improve the docs of the
	monitor attributes.  (Bug#18636)

2014-10-06  Martin Rudalics  <rudalics@gmx.at>

	* term.el (term-window-width): Subtract 1 from the width when
	any fringe has zero width, not just the right fringe.  (Bug#18601)

2014-10-05  Leo Liu  <sdl.web@gmail.com>

	* imenu.el (imenu-default-goto-function): Fix typo.

2014-10-04  Glenn Morris  <rgm@gnu.org>

	* frame.el (frame-monitor-attributes)
	(display-monitor-attributes-list): Doc fixes.

2014-10-03  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/vc-svn.el (vc-svn-ignore-completion-table): Implement.
	(vc-svn-ignore): Use it.  (Bug#18619)

2014-10-03  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (toggle-frame-maximized, toggle-frame-fullscreen):
	In doc-string mention need to set `frame-resize-pixelwise'.

2014-10-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/vc-svn.el (vc-svn-after-dir-status): Fix the non-remote regexp,
	similarly to Rogers's 2010-06-16 change for the remote case
	(bug#18605).

2014-10-01  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/package.el (package-import-keyring):
	Create gnupg directory private.  (Bug#17625#155)

2014-10-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-shell-completion-get-completions):
	Use python-shell--prompt-calculated-input-regexp from the
	process buffer (bug#18582).
	Don't assume that `line' comes from the process buffer.

2014-09-30  Leonardo Nobrega  <leonobr@gmail.com>  (tiny change)

	* progmodes/python.el (python-fill-paren): Don't inf-loop at EOB
	(bug#18462).

2014-09-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el (package-check-signature): Default to nil if
	GPG is not available.
	(package-refresh-contents): Don't mess with the keyring if we won't
	check the signatures anyway.

2014-09-18  Kan-Ru Chen  <kanru@kanru.info>

	* window.el (fit-window-to-buffer): When counting buffer width,
	count the whole visible buffer.  Correctly convert the body-height
	to pixel size for window-text-pixel-size (Bug#18498).

2014-09-14  Glenn Morris  <rgm@gnu.org>

	* image.el (image-multi-frame-p): Fix thinko - do not force
	a delay if none was specified.  (Bug#18334)

2014-09-12  Kan-Ru Chen  <kanru@kanru.info>

	* window.el (fit-window-to-buffer): Doc fix.

2014-09-10  Ivan Shmakov  <ivan@siamics.net>  (tiny change)

	* desktop.el (desktop-create-buffer): Check that buffers are still live
	before burying them (bug#18373).

2014-09-09  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-list-entries):
	Restore 24.3 display behavior.  (Bug#18381)

2014-09-09  Eli Zaretskii  <eliz@gnu.org>

	* mouse.el (mouse-drag-line): On text-mode frames, count the mode
	line and header line as 1 pixel.  This fixes the 1-"pixel" (row)
	discrepancy between window-pixel-edges and mouse events, and
	avoids moving mode line up when the mouse click is on the modeline
	and no drag is attempted.

2014-09-08  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-basic-setup):
	Avoid clobbering calendar with diary.  (Bug#18381)

2014-09-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/vc-dir.el (vc-dir-update): Don't burp in corner case.

2014-09-04  Lars Ljung  <lars@matholka.se>  (tiny change)

	* isearch.el (isearch-yank-word-or-char): Obey superword-mode
	as well (bug#18400).

2014-09-04  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (posn-actual-col-row): Doc fix.  (Bug#18385)

2014-09-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el (package-generate-description-file):
	Properly quote the arguments (bug#18332).  Change second arg.
	(package--alist-to-plist-args): Rename from package--alist-to-plist and
	quote the elements.
	(package--make-autoloads-and-stuff): Fix the test for pre-existence of
	the *-pkg.el file.  Adjust to new calling convention of
	package-generate-description-file.

	* progmodes/gud.el (gud-gdb-completion-at-point): Add hack (bug#18282).
	(gud-gdb-completions): Remove obsolete workaround.

2014-09-02  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (posn-col-row): Revert the change from commit
	2010-11-13T21:07:58Z!eliz@gnu.org, which
	was inadvertently merged from emacs-23 release branch in 2010-11-18T03:54:14Z!monnier@iro.umontreal.ca
	monnier@iro.umontreal.ca-20101118035414-yvlg7k7dk4k4l3q, and
	introduced an off-by-one error in the reported row when there is a
	header line.  (Bug#18384)

2014-09-01  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-post-self-insert-function):
	Avoid electric colon at beginning-of-defun.  (Bug#18228)

2014-09-01  Glenn Morris  <rgm@gnu.org>

	* tutorial.el (tutorial--display-changes):
	Fix 2014-07-29 change.  (Bug#18382)

2014-08-29  Ken Brown  <kbrown@cornell.edu>

	* startup.el (fancy-splash-frame): Extend the fix for Bug#16014 to
	the Cygwin-w32 build.  (Bug#18347)

2014-08-28  Glenn Morris  <rgm@gnu.org>

	* tar-mode.el (tar--extract, tar-extract):
	Avoid permanently disabling undo in extracted buffers.  (Bug#18344)

2014-08-27  Michael Albinus  <michael.albinus@gmx.de>

	* emacs-lisp/authors.el (authors-aliases): Addition.

	* net/tramp-adb.el: Spell author name correctly.

2014-08-27  João Távora  <joaotavora@gmail.com>

	* net/shr.el (shr-expand-url): Plain expand-file-name is not enough;
	use url-expand-file-name.  (Bug#18310)

2014-08-25  Glenn Morris  <rgm@gnu.org>

	* emulation/cua-rect.el (cua--highlight-rectangle):
	Avoid error at point-min.  (Bug#18309)

2014-08-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-shell-prompt-detect): Remove redundant
	executable-find (bug#18244).

	* simple.el (self-insert-uses-region-functions): Defvar.

2014-08-13  Leo Liu  <sdl.web@gmail.com>

	* speedbar.el (speedbar-generic-list-tag-p): Allow special
	elements from imenu.

2014-08-11  Glenn Morris  <rgm@gnu.org>

	* subr.el (with-output-to-temp-buffer): Doc fix; from elisp manual.

	* files.el (basic-save-buffer-2): Revert 2013-01-31 change, which
	chose coding system for writing before backing up, since it causes
	a more serious problem than the one it solves.  (Closes Bug#18141,
	reopens Bug#13522.)

2014-08-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-total-size): Make doc-string more
	self-contained.

2014-08-09  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-below-selected): Restore original
	behavior if buffer is already displayed in the window below the
	selected one (Bug#18181).

2014-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse--down-1-maybe-follows-link): Don't convert the down
	event (bug#18212).

2014-08-08  Eli Zaretskii  <eliz@gnu.org>

	* info.el (info): Doc fix.

2014-08-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-mode-map): Override a global down-mouse-2 binding
	(bug#18212).

2014-08-05  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (default-line-height): A floating-point value of
	line-spacing means a fraction of the default frame font's height,
	not of the font currently used by the 'default' face.
	Truncate the pixel value, like the display engine does.
	(window-screen-lines): Use window-inside-pixel-edges for
	determining the window height in pixels.  (Bug#18195)

2014-07-29  Eli Zaretskii  <eliz@gnu.org>

	* tutorial.el (tutorial--display-changes): Accept punctuation
	characters before the key binding.  (Bug#18146)

2014-07-28  Stephen Berman  <stephen.berman@gmx.net>

	* doc-view.el (doc-view-open-text): Don't require that the
	document is saved in a file (e.g., email attachment).

2014-07-27  Eli Zaretskii  <eliz@gnu.org>

	* window.el (window--pixel-to-total): Use FRAME's root window, not
	that of the selected frame.  (Bug#18112, Bug#16674)

2014-07-27  Andreas Schwab  <schwab@linux-m68k.org>

	* textmodes/tex-mode.el (tex-font-lock-verb): Doc fix.
	(Bug#18117)

2014-07-27  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (inferior-python-mode): Doc fix.

2014-07-25  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-edit-item--next-key): If next key is
	not a character, ignore it instead of raising an error.

2014-07-25  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Fix handling of marked items and make
	minor code improvements.
	(todo-edit-item): If there are marked items, ensure user can only
	invoke editing commands that work with marked items.
	(todo-edit-item--text): When there are marked items, make it a
	noop if invoked with point not on an item; otherwise, ensure it
	applies only to item at point.
	(todo-item-undone): If there are marked not-done items, return
	point to its original position before signaling user error.
	(todo--user-error-if-marked-done-item): New function.
	(todo-edit-item--header, todo-edit-item--diary-inclusion)
	(todo-item-done): Use it.

2014-07-25  Glenn Morris  <rgm@gnu.org>

	* files.el (toggle-read-only): Re-add basic doc-string.
	* vc/vc-hooks.el (vc-toggle-read-only): Tweak obsolescence mesage.

	* progmodes/prolog.el (prolog-mode-keybindings-edit):
	Replace missing `switch-to-prolog' with `run-prolog'.
	(switch-to-prolog): Define as (obsolete) alias, as in 23.4.

2014-07-22  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-set-top-priorities): Fix overwriting
	of file-wide setting when changing category-wide setting.

2014-07-21  Glenn Morris  <rgm@gnu.org>

	* progmodes/hideif.el (hide-ifdef-mode-submap):
	Also substitute read-only-mode.
	* bindings.el (mode-line-toggle-read-only):
	* bs.el (bs-toggle-readonly):
	* buff-menu.el (Buffer-menu-toggle-read-only):
	* dired.el (dired-toggle-read-only):
	* files.el (view-read-only, find-file-read-only)
	(find-file-read-only-other-window)
	(find-file-read-only-other-frame):
	* progmodes/hideif.el (hide-ifdef-toggle-outside-read-only):
	Doc fixes re toggle-read-only.

2014-07-20  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el: Add comment about pipe buffering and
	solutions for missing/delayed output in inferior Python shells.
	(Bug#17304)

2014-07-20  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-mode): Don't set
	mode-require-final-newline.  (Bug#17990)

2014-07-20  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Make python.el work with IPython automatically.  (Bug#15510)
	* progmodes/python.el:
	(python-shell-completion-setup-code): New value supporting iPython.
	(python-shell-completion-string-code): New value supporting iPython.
	(python-shell-completion-get-completions): Use them.
	(python-shell-completion-module-string-code): Make obsolete.
	(python-shell-prompt-input-regexps)
	(python-shell-prompt-output-regexps): Add safeguard for ipdb.
	(python-shell-output-filter): Fix comment typo.

2014-07-19  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Fix Python shell prompts detection for remote hosts.
	* progmodes/python.el (python-shell-prompt-detect):
	Replace call-process with process-file and make it more robust.

2014-07-17  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Autodetect Python shell prompts.  (Bug#17370)
	* progmodes/python.el:
	(python-shell-interpreter-interactive-arg)
	(python-shell-prompt-detect-enabled)
	(python-shell-prompt-detect-failure-warning)
	(python-shell-prompt-input-regexps)
	(python-shell-prompt-output-regexps): New vars.
	(python-shell-prompt-calculated-input-regexp)
	(python-shell-prompt-calculated-output-regexp): New vars.
	(python-shell-get-process-name)
	(python-shell-internal-get-process-name)
	(python-shell-output-filter)
	(python-shell-completion-get-completions): Use them.
	(python-shell-prompt-detect)
	(python-shell-prompt-validate-regexps): New functions.
	(python-shell-prompt-set-calculated-regexps): New function.
	(inferior-python-mode): Use it.  Also honor overridden
	python-shell-interpreter and python-shell-interpreter-args.
	(python-shell-make-comint): Honor overridden
	python-shell-interpreter and python-shell-interpreter-args.
	(python-shell-get-or-create-process): Make it testable by allowing
	to call run-python non-interactively.
	(python-util-valid-regexp-p): New function.
	(python-shell-prompt-regexp, python-shell-prompt-block-regexp)
	(python-shell-prompt-output-regexp)
	(python-shell-prompt-pdb-regexp): Use it as defcustom :safe.

2014-07-16  Glenn Morris  <rgm@gnu.org>

	* desktop.el (after-init-hook): Disable startup frame restoration
	in non-graphical situations.  (Bug#17693)

2014-07-14  Glenn Morris  <rgm@gnu.org>

	* vc/vc-dispatcher.el (vc-log-edit): Do set up the log buffer
	if it was "empty", or used for a different set of files.  (Bug#17884)

2014-07-13  Eli Zaretskii  <eliz@gnu.org>

	* bindings.el (mode-line-remote): If default-directory is not a
	string, don't call file-remote-p on it; instead state in the
	help-echo that it is nil.  (Bug#17986)

2014-07-12  Paul Eggert  <eggert@cs.ucla.edu>

	Fix bug: C-x v v discarded existing log message (Bug#17884).
	* vc/vc-dispatcher.el (vc-log-edit):
	Don't clobber an already-existing log message.

2014-07-10  Glenn Morris  <rgm@gnu.org>

	* vc/log-edit.el (log-edit-changelog-entries):
	Check for a visited-but-never-saved ChangeLog.

2014-07-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/log-edit.el (log-edit-changelog-entries): Don't both visiting
	a non-existing file (bug#17970).

	* faces.el (face-name): Undo last change.
	(x-resolve-font-name): Don't call face-name (bug#17956).

2014-07-09  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Fix dedenters and electric colon handling. (Bug#15163)

	* progmodes/python.el
	(python-rx-constituents): Add dedenter and block-ender.
	(python-indent-dedenters, python-indent-block-enders): Delete.
	(python-indent-context): Return new case for dedenter-statement.
	(python-indent-calculate-indentation): Handle new case.
	(python-indent-calculate-levels): Fix levels calculation for
	dedenter statements.
	(python-indent-post-self-insert-function): Fix colon handling.
	(python-info-dedenter-opening-block-message): New function.
	(python-indent-line): Use it.
	(python-info-closing-block)
	(python-info-closing-block-message): Remove.
	(python-info-dedenter-opening-block-position)
	(python-info-dedenter-opening-block-positions)
	(python-info-dedenter-statement-p): New functions.

2014-07-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-smie-sh-rules): Don't align with a && in
	the middle of a line (bug#17896).

2014-07-08  Juri Linkov  <juri@jurta.org>

	* startup.el (command-line): Append displaying the warning about
	the errors in the init file to the end of `after-init-hook'.
	(Bug#17927)

2014-07-08  Juri Linkov  <juri@jurta.org>

	* faces.el (face-name): Return input arg `face' as is
	when it's not a symbol.
	(x-resolve-font-name): Don't check if the face is a symbol.
	(Bug#17956)

2014-07-08  Juri Linkov  <juri@jurta.org>

	* facemenu.el (list-colors-print): In help-echo format use %.2f
	instead of %d because now HSV values are floating-point components
	between 0.0 and 1.0.

2014-07-06  Glenn Morris  <rgm@gnu.org>

	* emulation/cua-rect.el (cua--activate-rectangle):
	Avoid setting cua--rectangle to nil.  (Bug#17877)

2014-07-06  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Fix wrong-type-argument error when
	marking multiple consecutive items.
	(todo-toggle-mark-item): Don't try to mark the empty lines at the
	end of the todo and done items sections.  Note in doc string that
	items marked by passing a numeric prefix argument can include the
	last todo and first done items.
	(todo-mark-category): Don't try to mark the empty line between the
	todo and done items sections.

2014-07-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/edebug.el (edebug-eval-defun): Print result using
	proper Lisp quoting (bug#17934).

	* progmodes/ruby-mode.el (ruby-mode-variables): Don't meddle with
	require-final-newline since prog-mode already took care of it (bug#17947).

2014-07-04  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Fix two bugs.  Shorten Commentary and
	refer to the Todo mode Info manual.  Update the comment on
	requiring cl-lib.
	(todo-find-filtered-items-file): Add todo-prefix overlays.
	(todo-filter-items): Reorder a let-bound variable to avoid a
	wrong-type-argument error on canceling the file choice dialog.

2014-07-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/octave.el (inferior-octave-mode):
	Set comint-input-ring-size to a number (bug#17912).

2014-07-03  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-minor-mode-table): Add `defining-kbd-macro'
	and `isearch-mode' associated with nil.  (Bug#17849)

2014-07-02  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-save): Rename arg `auto-save' to
	`only-if-changed'.  Doc fix.  (Bug#17873)

2014-07-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-yank-primary, mouse-yank-secondary):
	Use insert-for-yank (bug#17271).

2014-07-02  Leo Liu  <sdl.web@gmail.com>

	* emacs-lisp/pp.el (pp-eval-expression, pp-eval-last-sexp):
	Support lexical-binding.

2014-07-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/log-edit.el (log-edit-goto-eoh): New function.
	(log-edit--match-first-line): Use it (bug#17861).

2014-07-01  Glenn Morris  <rgm@gnu.org>

	* vc/log-edit.el (log-edit-hook): Add missing :version.

2014-07-01  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-post-self-insert-function):
	Enhancements to electric indentation behavior inside
	parens. (Bug#17658)

2014-07-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ps-def.el (ps-generate-postscript-with-faces1): Don't mess with
	buffer-invisibility-spec (bug#17867).

2014-06-29  Andreas Schwab  <schwab@linux-m68k.org>

	* vc/vc-git.el (vc-git-checkin): When operating on the whole tree
	pass "-a".

2014-06-29  Glenn Morris  <rgm@gnu.org>

	* cus-edit.el (help):
	* finder.el (finder-known-keywords):
	* help.el (help-for-help-internal):
	* vc/ediff-mult.el (ediff-meta-buffer-verbose-message)
	(ediff-redraw-registry-buffer):
	* vc/ediff-ptch.el (ediff-patch-file-internal):
	Doc fixes re "online" help.  (Bug#17803)

	* progmodes/idlwave.el (idlwave): Update url-link for custom group.
	(idlwave-mode): Doc URL update.

2014-06-27  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-set-top-priorities): Fix logic to
	account for file-wide setting of todo-top-priorities-overrides.
	Make code a bit cleaner.

2014-06-27  Leo Liu  <sdl.web@gmail.com>

	* calc/calc.el (math-bignum): Handle most-negative-fixnum.  (Bug#17556)

2014-06-27  Glenn Morris  <rgm@gnu.org>

	* net/eww.el (eww-mode) <eww-current-title>: Make local.  (Bug#17860)

2014-06-26  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-prefix-overlays): If there is no
	category-wide setting of todo-top-priorities-overrides, check for
	a file-wide setting and fontify accordingly.

2014-06-26  Glenn Morris  <rgm@gnu.org>

	* subr.el (read-passwd): Warn about batch mode.  (Bug#17839)

2014-06-26  Daiki Ueno  <ueno@gnu.org>

	* emacs-lisp/package.el (package--check-signature):
	If package-check-signature is allow-unsigned, don't signal error when
	we can't verify signature because of missing public key
	(backport for bug#17625).

2014-06-26  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/cl-macs.el (help-add-fundoc-usage):
	Remove outdated declaration.

	* emacs-lisp/authors.el (authors-valid-file-names)
	(authors-renamed-files-alist): Additions.

2014-06-25  Leo Liu  <sdl.web@gmail.com>

	* textmodes/picture.el (picture-set-tab-stops):
	* ruler-mode.el (ruler-mode-mouse-add-tab-stop)
	(ruler-mode-ruler): Fix to work with nil tab-stop-list.

	* progmodes/asm-mode.el (asm-calculate-indentation):
	Use indent-next-tab-stop.

	* indent.el (indent-accumulate-tab-stops): New function.

2014-06-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el (package-list-unsigned): New var (bug#17625).
	(package-desc-status): Obey it.

2014-06-25  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Fix two bugs.
	(todo-insert-item--basic): If user cancels item insertion to
	another category before setting priority, show original category
	whether it is in the same or a different file.
	(todo-set-item-priority): After selecting category, instead of
	moving point to top, which extends an active region, restore it.

2014-06-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help-fns.el (describe-function-1): Check file-name is a string before
	calling help-fns--autoloaded-p (bug#17564).

2014-06-24  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-auto-save-enable)
	(desktop-auto-save-disable): New functions.
	(desktop-save-mode, desktop-auto-save-timeout): Use them.
	(desktop-read): Disable the autosave before loading the desktop,
	and enable afterwards.  (Bug#17351)

2014-06-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix some indentation problem with \; and pipes (bug#17842).
	* progmodes/sh-script.el (sh-mode-syntax-table): Set syntax of ;|&.
	(sh-smie--default-forward-token, sh-smie--default-backward-token):
	New functions.
	(sh-smie-sh-forward-token, sh-smie-sh-backward-token)
	(sh-smie-rc-forward-token, sh-smie-rc-backward-token): Use them.
	(sh-smie-sh-rules): Fix indentation of a pipe at BOL.

2014-06-24  Eli Zaretskii  <eliz@gnu.org>

	* international/fontset.el (script-representative-chars):
	Add representative characters for scripts added in Unicode 7.0.
	(otf-script-alist): Synchronize with the latest registry of OTF
	script tags.

	* international/characters.el (char-script-table): Update for
	scripts added and codepoint ranges changed in Unicode 7.0.

2014-06-23  Leo Liu  <sdl.web@gmail.com>

	* align.el (align-adjust-col-for-rule): Unbreak due to defaulting
	tab-stop-list to nil.  (Bug#16381)

	* indent.el (indent-next-tab-stop): Rename from indent--next-tab-stop.
	(indent-rigidly-left-to-tab-stop)
	(indent-rigidly-right-to-tab-stop, tab-to-tab-stop)
	(move-to-tab-stop): Change callers.

2014-06-22  Eli Zaretskii  <eliz@gnu.org>

	* skeleton.el (skeleton-insert): Yet another fix of the doc string
	wrt behavior of \n as the first/last element of a skeleton.

2014-06-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-adb.el (tramp-adb-handle-process-file):
	* net/tramp-sh.el (tramp-sh-handle-process-file):
	* net/tramp-smb.el (tramp-smb-handle-process-file): Do not raise
	the output buffer when DISPLAY is non-nil.  (Bug#17815)

2014-06-21  Glenn Morris  <rgm@gnu.org>

	* play/landmark.el (landmark-move-down, landmark-move-up):
	Fix 2007-10-20 change - preserve horizontal position.

2014-06-21  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Fix completion retrieval parsing (bug#17209).
	* progmodes/python.el (python-mode):
	(python-util-strip-string): New function.
	(python-shell-completion-get-completions): Use it.

2014-06-21  Eli Zaretskii  <eliz@gnu.org>

	* skeleton.el (skeleton-insert): Fix last change.

2014-06-21  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	Enhancements for outline integration (bug#17796).
	* progmodes/python.el (python-mode): Properly set
	outline-heading-end-regexp so that comments after colons for
	defuns are supported.

2014-06-21  Eli Zaretskii  <eliz@gnu.org>

	* skeleton.el (skeleton-insert): Doc fix.

2014-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-config--guess): Fix typo.
	(smie-config-guess): Use smie-config-local so the rules are obeyed
	(bug#17818).

	* mouse.el (mouse-drag-line): Don't re-add to unread-comment-events,
	since it's already done inside the loop (bug#17819).

2014-06-20  Martin Rudalics  <rudalics@gmx.at>

	* mouse.el (mouse-drag-line): Re-remove code initially removed
	on 2013-03-09 and inadvertently reintroduced on 2013-11-30
	(Bug#17819).

2014-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-smie-sh-rules): For { after &&, don't
	align with the surrounding parent (bug#17721).

2014-06-20  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/texinfo.el (texinfo-mode): Set skeleton-end-newline
	locally to nil.
	(texinfo-insert-block, texinfo-insert-@end)
	(texinfo-insert-@example, texinfo-insert-@quotation): Adjust to
	local setting of skeleton-end-newline by adding an explicit \n to
	the skeletons where appropriate.  (Bug#17801)

2014-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie--hanging-eolp-function): New var.
	(smie-indent--hanging-p): Use it.
	* progmodes/sh-script.el (sh-set-shell): Set it (bug#17621).

2014-06-20  Leo Liu  <sdl.web@gmail.com>

	* simple.el (read-quoted-char): Don't let help chars pop up help
	buffer.  (Bug#16617)

2014-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-smie-sh-rules): Use same rule for && as
	for | (bug#17621).

2014-06-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* xt-mouse.el (xterm-mouse-translate-1): Fix last change (bug#17776).
	(xterm-mouse--read-event-sequence-1000): Drop unknown events instead of
	burping.

2014-06-18  Eli Zaretskii  <eliz@gnu.org>

	* term/w32-win.el (dynamic-library-alist): Support giflib 5.1.0
	and later.  (Bug#17790)

2014-06-18  Juri Linkov  <juri@jurta.org>

	* dired.el (dired-mark-pop-up): Let-bind display-buffer-mark-dedicated
	to `soft'.  (Bug#17554)

2014-06-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* delsel.el (electric-newline-and-maybe-indent): Mark it as well
	(bug#17737).

2014-06-16  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-font-lock-keywords): Don't fontify
	`!' in `!~' with `font-lock-negation-char-face'.  (Bug#17732)

2014-06-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-call-method): Push only non D-Bus events into
	`unread-command-events'.

2014-06-14  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-langs.el: Require cl-lib.  (Bug#17463)
	Replace delete-duplicates and mapcan by cl- versions throughout.
	And cl-macroexpand-all by macroexpand-all.
	(delete-duplicates, mapcan, cl-macroexpand-all): No need to declare.

2014-06-14  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (posn-col-row): Doc fix.  (Bug#17768)

2014-06-14  Juri Linkov  <juri@jurta.org>

	* bindings.el: Put `ascii-character' property on keypad keys
	mapped to characters.  (Bug#17759)

2014-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-next-sexp): Fix up "other-end" info when
	bumping forward into a closing paren (bug#17761).

	* term/xterm.el (xterm--version-handler): Work around for OSX
	Terminal.app (bug#17607).

2014-06-08  Glenn Morris  <rgm@gnu.org>

	* startup.el (initial-buffer-choice): Doc fix.
	Reset :version (adding an option does not merit a :version bump).

	* bookmark.el (bookmark-load):
	* uniquify.el (uniquify-buffer-name-style): Doc fixes.

2014-06-06  Juri Linkov  <juri@jurta.org>

	* desktop.el: Activate auto-saving on window configuration changes.
	(desktop-save-mode, desktop-auto-save-timeout): Add/remove
	`desktop-auto-save-set-timer' to/from `window-configuration-change-hook'.
	(desktop-auto-save-set-timer): Change REPEAT arg of
	`run-with-idle-timer' from t to nil.
	http://lists.gnu.org/archive/html/emacs-devel/2014-06/msg00147.html

2014-06-06  Santiago Payà i Miralta  <santiagopim@gmail.com>

	* vc/vc-hg.el (vc-hg-working-revision): Use "hg parent" and
	vc-hg-command (bug#17570).

2014-06-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-cmds.el (ucs-names): Add special entry for BEL
	(bug#17702).

2014-06-06  Glenn Morris  <rgm@gnu.org>

	* startup.el (window-setup-hook): Doc fix.

2014-06-05  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/package.el (package-check-signature)
	(package-unsigned-archives): Doc fixes.

2014-06-03  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-use-some-window): Don't make window
	used smaller than it was before (Bug#17671).

2014-06-03  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-open): Fix last change: use the PC
	'redisplay' instead of '(sit-for 0)'.

2014-06-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-ssh-controlmaster-options): Improve search
	regexp.  (Bug#17653)

2014-06-03  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/package.el (package-pinned-packages): Doc fix.

2014-06-02  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-open): Fix invocation via M-x.

2014-06-01  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (keyboard-quit): Force update of mode lines, to remove
	the "Def" indicator, if we were defining a macro.  (Bug#17615)

2014-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-force-complete-and-exit):
	Obey minibuffer-default (bug#17545).

	* progmodes/js.el (js-indent-line): Don't mix columns and chars
	(bug#17619).

2014-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (set-transient-map): Don't wait for some "nested"
	transient-map to finish if we're only supposed to be active for
	the next command (bug#17642).

2014-05-31  Leo Liu  <sdl.web@gmail.com>

	* emacs-lisp/gv.el (window-buffer, window-display-table)
	(window-dedicated-p, window-hscroll, window-point, window-start):
	Fix gv-expander.  (Bug#17630)

2014-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-posn-property): Ignore posn-point for mode-line
	clicks (bug#17633).

	* leim/quail/latin-pre.el ("latin-2-prefix"): Use ",," rather than ", "
	for the single comma, since ", " is *very* common in normal French text
	(bug#17643).

2014-05-30  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/package.el (package-check-signature)
	(package-unsigned-archives): Fix :version.

2014-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (sit-for): Don't run input-methods (bug#15614).

2014-05-28  Glenn Morris  <rgm@gnu.org>

	* cus-start.el: Fix some :version numbers.

2014-05-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (deactivate-mark): Set mark-active to nil even if
	deactivation is done via setting transient-mark-mode to nil,
	since one is buffer-local and the other is global.

	* emacs-lisp/byte-opt.el (byte-optimize-binary-predicate): Don't assume
	there can't be more than 2 arguments (bug#17584).

2014-05-27  Glenn Morris  <rgm@gnu.org>

	* simple.el (filter-buffer-substring-functions)
	(filter-buffer-substring-function, buffer-substring-filters)
	(filter-buffer-substring, buffer-substring--filter): Doc fixes.

	* minibuffer.el (completion-in-region-functions, completion-in-region)
	(completion--in-region): Doc fixes.

	* abbrev.el (abbrev-expand-functions, abbrev-expand-function)
	(expand-abbrev, abbrev--default-expand): Doc fixes.

2014-05-26  Paul Eggert  <eggert@cs.ucla.edu>

	Include sources used to create macuvs.h.
	* international/README: Refer to the Unicode Terms of Use rather
	than copying it bodily here, as that simplifies maintenance.

2014-05-25  Andreas Schwab  <schwab@linux-m68k.org>

	* cus-face.el (custom-face-attributes): Add :distant-foreground.

2014-05-25  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--dump-frame): Remove interactive
	specification.

2014-05-23  Glenn Morris  <rgm@gnu.org>

	* hippie-exp.el (he-line-search-regexp):
	Handle comint-prompt-regexp containing subgroups.  (Bug#17529)

2014-05-23  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Remove dependence on auto-mode-alist,
	to avoid errors when trying to create or visit a file foo.todo
	located outside to todo-directory, and to allow having such files
	without them being tied to Todo mode (bug#17482).
	(todo-show, todo-move-category, todo-merge-category, todo-find-archive)
	(todo-archive-done-item, todo-find-filtered-items-file)
	(todo-filter-items, todo-find-item, todo-diary-goto-entry)
	(todo-category-completions, todo-read-category): When visiting a
	Todo file, make sure we're in the right mode and the buffer local
	variables are set.
	(todo-make-categories-list, todo-reset-nondiary-marker)
	(todo-reset-done-string, todo-reset-comment-string):
	After processing all Todo files, kill the buffers of those files that
	weren't being visited before the processing.
	(todo-display-as-todo-file, todo-add-to-buffer-list)
	(todo-visit-files-commands): Comment out.
	(todo-modes-set-3, todo-mode): Comment out additions to find-file-hook.
	(auto-mode-alist): Remove add-to-list calls making Todo file
	extensions unrestrictedly tied to Todo modes.

2014-05-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/nadvice.el (advice--member-p): Change second arg.
	(advice-function-member-p): Tell it to check both names and functions
	(bug#17531).
	(advice--add-function): Adjust call accordingly.

2014-05-23  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Miscellaneous bug fixes.
	(todo-delete-file): When deleting an archive but not its todo
	file, make sure to update the todo file's category sexp.
	(todo-move-category): Keep the moved category's name unless the
	file moved to already has a category with that name.  If the
	numerically last category of the source file was moved, make the
	first category current to avoid selecting a nonexisting category.
	(todo-merge-category): Fix implementation to make merging to a
	category in another file work as documented.  Eliminate now
	insufficient and unnecessary renaming of archive category, correct
	document string accordingly, and clarify it.  If the numerically
	last category of the source file was merged, make the first
	category current to avoid selecting a nonexisting category.
	(todo-archive-done-item): When there are marked items and point
	happens to be on an unmarked item, ignore the latter.  Don't leave
	point below last item after archiving marked items.
	(todo-unarchive-items): Fix logic to ensure unarchiving an item
	from an archive with only one category deletes the archive only
	when the category is empty after unarchiving.  Make sure the todo
	file's category sexp is updated.
	(todo-read-file-name): Allow an existing file name even when it is
	not required (todo-move-category needs this to work as documented).
	(todo-add-file): Call todo-validate-name to reject the name of an
	existing todo file (needed due to fix in todo-read-file-name).
	(todo-reset-nondiary-marker): Also reset in filtered items files.
	(todo-reset-done-string, todo-reset-comment-string): Also reset in
	regexp filtered items files.
	(todo-reset-highlight-item): Also reset in filtered items files.
	Fix incorrect variable reference in document string.

2014-05-22  Glenn Morris  <rgm@gnu.org>

	* window.el (window--dump-frame): Avoid error in --without-x builds.

2014-05-21  Glenn Morris  <rgm@gnu.org>

	* nxml/nxml-mode.el (xml-mode): Only define this alias once.

2014-05-21  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (set-frame-font): Doc fix.

	* menu-bar.el (menu-set-font): Doc fix.  (Bug#17532)

2014-05-21  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/package.el (package--download-one-archive):
	Use `write-region' instead of `save-buffer' to avoid running various
	hooks.  (Bug#17155)
	(describe-package-1): Same.  Insert newline at the end of the
	buffer if appropriate.

2014-05-20  Juri Linkov  <juri@jurta.org>

	* avoid.el (mouse-avoidance-set-mouse-position): Don't raise frame.
	(mouse-avoidance-ignore-p): Remove `switch-frame', add `focus-out'.
	Add more modifiers: meta, control, shift, hyper, super, alt.
	(Bug#17439)

	* avoid.el (mouse-avoidance-banish-position): Fix defcustom :options
	to allow changing its value with `set-variable'.

2014-05-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/scheme.el (scheme-mode-syntax-table): Remove hack for
	#; comments.
	(scheme-syntax-propertize, scheme-syntax-propertize-sexp-comment):
	New functions.
	(scheme-mode-variables): Set syntax-propertize-function instead of
	font-lock-syntactic-face-function.
	(scheme-font-lock-syntactic-face-function): Delete.

	* emacs-lisp/lisp.el (end-of-defun): Ensure we move (bug#17274).

2014-05-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/timer.el (timer-event-handler): Don't run if canceled
	(bug#17392).

2014-05-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-find-inline-encoding): Do not match "%%t"
	for a temporary file name.

2014-05-17  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (line-move-ignore-invisible): Doc fix.  (Bug#17511)

2014-05-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-init-bus, dbus-call-method)
	(dbus-call-method-asynchronously, dbus-send-signal)
	(dbus-method-return-internal, dbus-method-error-internal):
	Check, whether Emacs has been compiled with D-Bus support.  (Bug#17508)

2014-05-14  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* emacs-lisp/eieio-opt.el (eieio-help-class): Correctly deal with
	methods which do not have a doc string.  (Bug#17490)

2014-05-14  Stephen Berman <stephen.berman@gmx.net>
	    Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm--merge-try): Merge trailing / with
	suffix (bug#15419).

2014-05-14  Glenn Morris  <rgm@gnu.org>

	* vc/emerge.el (emerge-temp-file-prefix):
	Make pointless option obsolete.
	(emerge-temp-file-mode): Make non-functional option obsolete.

2014-05-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/browse-url.el (browse-url):
	Use `unhandled-file-name-directory' when setting `default-directory',
	in order to circumvent stalled remote connections.  (Bug#17425)

2014-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/nadvice.el (advice--interactive-form): Don't get fooled
	into autoloading just because of a silly indirection.

2014-05-12  Santiago Payà i Miralta  <santiagopim@gmail.com>

	* vc/vc-hg.el (vc-hg-unregister): New function.  (Bug#17454)

2014-05-11  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/find-gc.el: Move to ../admin.

2014-05-10  Glenn Morris  <rgm@gnu.org>

	* printing.el (pr-version):
	* ps-print.el (ps-print-version): Also mention bug-gnu-emacs.

	* net/browse-url.el (browse-url-mosaic):
	Create /tmp/Mosaic.PID as a private file.

2014-05-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/nadvice.el: Support adding a given function multiple times.
	(advice--member-p): If name is given, only compare the name.
	(advice--remove-function): Don't stop at the first match.
	(advice--normalize-place): New function.
	(add-function, remove-function): Use it.
	(advice--add-function): Pass the name, if any, to
	advice--remove-function.

2014-05-09  Philipp Rumpf  <prumpf@gmail.com>  (tiny change)

	* electric.el (electric-indent-post-self-insert-function): Don't use
	`pos' after modifying the buffer (bug#17449).

2014-05-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (function-put): Add function.

2014-05-09  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-insert-item-from-calendar):
	Correct argument list to conform to todo-insert-item--basic.

2014-05-09  Glenn Morris  <rgm@gnu.org>

	* files.el (cd-absolute): Test if directory is accessible
	rather than executable.  (Bug#17330)

	* progmodes/compile.el (recompile):
	Handle C-u M-x recompile from a non-compilation buffer.  (Bug#17444)

2014-05-08  Juri Linkov  <juri@jurta.org>

	* dired.el (dired-check-switches, dired-switches-recursive-p):
	New functions.  (Bug#17218)
	(dired-switches-escape-p, dired-move-to-end-of-filename):
	Use `dired-check-switches'.
	(dired-insert-old-subdirs, dired-build-subdir-alist)
	(dired-sort-R-check): Use `dired-switches-recursive-p'.

2014-05-08  Glenn Morris  <rgm@gnu.org>

	* net/browse-url.el (browse-url-mosaic):
	Be careful when writing /tmp/Mosaic.PID.  (Bug#17428)
	This is CVE-2014-3423.

2014-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* xt-mouse.el: Drop spurious/oddly shaped events (bug#17378).
	(xterm-mouse--read-event-sequence-1000): Return nil if something
	looks fishy.
	(xterm-mouse-event): Propagate it.
	(xterm-mouse-translate-1): Handle it.

2014-05-07  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-insert-item--apply-args): When all
	four slots of the parameter list are filled, make sure to pass it
	to the argument list of todo-insert-item--basic.

2014-05-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el (package-compute-transaction): Topological sort.
	Add optional `seen' argument to detect and break infinite loops.

2014-05-06  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/find-gc.el (find-gc-unsafe, find-unsafe-funcs)
	(trace-unsafe, trace-use-tree): Make parentheses style be
	according to Emacs style.

2014-05-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-remote-process-environment):
	Remove HISTFILE and HISTSIZE; it's too late to set them here.
	Add :version entry.
	(tramp-open-shell): Do not let-bind `tramp-end-of-output'.
	Add "HISTFILE=/dev/null" to the shell's env arguments.  Do not send
	extra "PSx=..." commands.
	(tramp-maybe-open-connection): Setenv HISTFILE to /dev/null.
	(Bug#17295)

	(tramp-uudecode): Replace the hard-coded temporary file name by a
	format specifier.
	(tramp-remote-coding-commands): Enhance docstring.
	(tramp-find-inline-encoding): Replace "%t" by a temporary file
	name.  (Bug#17415)
	This is CVE-2014-3424.

2014-05-06  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/find-gc.el (find-gc-source-directory): Give it a value.
	(find-gc-source-files): Update some names.
	(trace-call-tree): Simplify and update.
	Avoid predictable temp-file names.  (http://bugs.debian.org/747100)
	This is CVE-2014-3422.

2014-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--try-word-completion): Revert fix for
	Bug#15980 (bug#17375).

	* xt-mouse.el (xterm-mouse--read-event-sequence-1000): (bug#17378)
	Always store button numbers in the same way in xterm-mouse-last;
	Don't burp is xterm-mouse-last is not set as expected.
	Never return negative indices.

2014-05-05  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-syntax-propertize-function):
	Backtrack one char if the global/char-literal var matcher hits
	inside a string.  The next char could be the beginning of an
	expression expansion.

2014-05-05  Glenn Morris  <rgm@gnu.org>

	* help-fns.el (describe-function-1): Test for an autoload before a
	macro, since `macrop' works on autoloads.  (Bug#17410)

2014-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* electric.el (electric-indent-functions-without-reindent): Add yaml.

	* minibuffer.el (completion-table-with-quoting) <completion--unquote>:
	Make sure the new point we return is within the new string (bug#17239).

2014-05-03  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailsum.el (rmail-new-summary-1): Fix a typo in a comment.

2014-05-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/ediff-diff.el (ediff-set-fine-diff-properties-in-one-buffer):
	Use nil rather than `default' for the "default" appearance (bug#17388).
	* vc/ediff-util.el (ediff-inferior-compare-regions)
	(ediff-toggle-autorefine, ediff-unselect-difference): Don't use
	a misleading `default' value when it's really a boolean.
	* vc/ediff-init.el (ediff-set-overlay-face): Don't set help-echo if the
	overlay is not visible.

2014-05-02  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-edit-file): Use display-warning.
	(todo-menu): Uncomment and update.

2014-05-02  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Reimplement item editing to have the same
	basic user interface as item insertion, and make small UI and
	larger internal improvements to the latter.
	(todo-insert-item): Add reference to the Todo mode user manual to
	the documentation string.
	(todo-insert-item--basic): Rename from todo-basic-insert-item and
	adjust all callers.  Change signature to combine diary and
	nonmarking arguments.  Incorporate functionality of deleted item
	copying command and add error checking.  Remove detailed
	descriptions of the arguments from the documentation string, since
	this is treated in the Todo mode user manual.
	(todo-copy-item, todo-edit-multiline-item)
	(todo-edit-done-item-comment, todo-edit-item-header)
	(todo-edit-item-time, todo-edit-item-date-from-calendar)
	(todo-edit-item-date-to-today, todo-edit-item-date-day-name)
	(todo-edit-item-date-year, todo-edit-item-date-month)
	(todo-edit-item-date-day, todo-edit-item-diary-nonmarking):
	Remove.
	(todo-edit-item): Reimplement as wrapper command for
	todo-edit-item--next-key and make it distinguish done and not done
	todo items.
	(todo-edit-item--text): New function, replacing old command
	todo-edit-item and incorporating deleted commands
	todo-edit-multiline-item and todo-edit-done-item-comment.
	(todo-edit-item--header): Rename from todo-basic-edit-item-header.
	Use only numeric value of prefix argument.  Remove detailed
	descriptions of the arguments from the documentation string, since
	this is treated in the Todo mode user manual.
	(todo-edit-item--diary-inclusion): New function, replacing old
	command todo-edit-item-diary-inclusion and incorporating and fixing
	functionality of deleted command todo-edit-item-diary-nonmarking,
	making sure to remove todo-nondiary-marker when adding
	diary-nonmarking-symbol.
	(todo-edit-category-diary-inclusion): Make sure to delete
	diary-nonmarking-symbol when adding todo-nondiary-marker.
	(todo-edit-category-diary-nonmarking): Fix indentation.
	(todo-insert-item--parameters): Group diary and nonmarking
	parameters together.
	(todo-insert-item--apply-args): Adjust to signature of
	todo-insert-item--basic and incorporate copy parameter.
	Make small code improvements.
	(todo-insert-item--next-param): Improve prompt and adjust it to
	new parameter grouping.  Remove obsolete code.
	(todo-edit-item--param-key-alist)
	(todo-edit-item--date-param-key-alist)
	(todo-edit-done-item--param-key-alist): New defconsts.
	(todo-edit-item--prompt): New variable.
	(todo-edit-item--next-key): New function.
	(todo-key-bindings-t): Bind "e" to todo-edit-item.
	Remove bindings of deleted commands.

2014-05-02  Leo Liu  <sdl.web@gmail.com>

	* emacs-lisp/cl-macs.el (cl-deftype): Fix indentation.

2014-05-01  Glenn Morris  <rgm@gnu.org>

	* allout-widgets.el (allout-widgets-tally)
	(allout-decorate-item-guides):
	* menu-bar.el (menu-bar-positive-p):
	* minibuffer.el (completion-pcm-complete-word-inserts-delimiters):
	* progmodes/gdb-mi.el (gdbmi-same-start, gdbmi-is-number):
	* progmodes/js.el (js--inside-param-list-p)
	(js--inside-dojo-class-list-p, js--forward-destructuring-spec):
	* progmodes/prolog.el (region-exists-p):
	* progmodes/verilog-mode.el (verilog-scan-cache-ok-p):
	* textmodes/reftex-parse.el (reftex-using-biblatex-p):
	Doc fixes (replace `iff').

2014-05-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mpc.el (mpc-volume-mouse-set): Don't burp at the boundaries.

2014-04-30  Eli Zaretskii  <eliz@gnu.org>

	* dired.el (dired-initial-position-hook, dired-initial-position):
	Doc string fixes.

2014-04-29  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-quit): Handle killed summaries.  (Bug#17283)

2014-04-27  Matthias Dahl  <matthias.dahl@binary-island.eu>

	* faces.el (face-spec-recalc): Apply X resources only after the
	defface spec has been applied. Thus, X resources are no longer
	overridden by the defface spec which also fixes issues on win32 where
	the toolbar coloring was wrong because it is set through X resources
	and was (wrongfully) overridden.  (Bug#16694)

2014-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/rst.el (electric-pair-pairs): Declare.
	(rst-mode): Set it (bug#17131).

2014-04-27  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-value-to-string): Let-bind `print-length'
	and `print-level' to nil.  (Bug#17351)

2014-04-25  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* battery.el (battery-update): Handle the case where battery
	status is "N/A" (bug#17319).

2014-04-24  Eli Zaretskii  <eliz@gnu.org>

	* tooltip.el (tooltip-show-help-non-mode, tooltip-show-help):
	Use equal-including-properties to compare help-echo strings (bug#17331).

2014-04-24  Leo Liu  <sdl.web@gmail.com>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-syntax-table):
	Fix syntax for @.  (Bug#17325)

2014-04-24  Daniel Colascione  <dancol@dancol.org>

	* emacs-lisp/cl.el (gv): Require gv early to break eager
	macro-expansion cycles.

2014-04-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (region-active-p): Check there's a mark (bug#17324).

	* simple.el (completion-list-mode-map): Use choose-completion for the
	mouse binding as well (bug#17302).
	(completion-list-mode, completion-setup-function): Adjust docstring and
	echo area message accordingly.
	* progmodes/idlwave.el (idlwave-choose-completion): Adjust to new
	calling convention of choose-completion.
	* comint.el (comint-dynamic-list-completions):
	* term.el (term-dynamic-list-completions): Accept choose-completion.

	* progmodes/perl-mode.el (perl-syntax-propertize-function): Slash after
	&, |, +, - and * can't be a division (bug#17317).

2014-04-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/xterm.el (xterm--version-handler): Don't use modern xterm
	features on gnome-terminal (bug#16988).

2014-04-22  Michael Heerdegen  <michael_heerdegen@web.de>

	* dired.el (dired-insert-set-properties): Do not consider
	subdirectory headings and empty lines to be information that
	`dired-hide-details-mode' should hide.  (Bug#17228)

2014-04-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-file-name-all-completions):
	Remove test messages.
	(tramp-do-copy-or-rename-file-out-of-band): Do not quote `source'
	and `target' twice.

2014-04-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dframe.el (dframe-get-focus): Remove `hook' argument (bug#17311).
	* speedbar.el (speedbar-get-focus): Run the "hook" afterwards instead.

	* emacs-lisp/cl-macs.el (cl--loop-let): Avoid `nil' as var name.

2014-04-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-file-name-all-completions):
	Set "IFS=" when using read builtin, in order to preserve spaces in
	the file name.  Add test messages for hunting a bug on hydra.
	(tramp-get-ls-command): Undo using "-b" argument.  It doesn't help.

2014-04-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/prog-mode.el (prettify-symbols--compose-symbol):
	Don't prettify a word within a symbol.

2014-04-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-get-ls-command): Use "-b" argument if
	possible.

2014-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-smie--sh-keyword-p): Handle variable
	assignments such as "case=hello" (bug#17297).

2014-04-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-run-real-handler, tramp-file-name-handler):
	Do not autoload.
	(tramp-file-name-handler, tramp-completion-file-name-handler):
	Revert patch from 2014-04-10, it isn't necessary anymore.
	(tramp-autoload-file-name-handler)
	(tramp-register-autoload-file-name-handlers): New defuns.
	(top): Autoload call of `tramp-register-autoload-file-name-handlers'.
	(tramp-register-file-name-handlers): Remove also
	`tramp-autoload-file-name-handler' from `file-name-handler-list'.
	Do not autoload its invocation, but eval it after loading of 'tramp.

	* net/tramp-adb.el (tramp-unload-hook): Unload `tramp-adb'.

	* net/tramp-compat.el (tramp-unload-hook): Unload `tramp-loaddefs'.

2014-04-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nxml/nxml-mode.el (nxml-fontify-matcher): Make sure propertization
	was done (bug#17264).
	* nxml/xmltok.el (xmltok-scan-after-comment-open): Extend unclosed
	comment to EOB.

	* progmodes/perl-mode.el (perl-calculate-indent): Don't auto-indent in
	here-documents (bug#17262).

2014-04-16  Eli Zaretskii  <eliz@gnu.org>

	* term/pc-win.el (x-list-fonts, x-get-selection-value):
	Provide doc strings, as required by snarf-documentation.

2014-04-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ps-def.el (ps-generate-postscript-with-faces1): Use the new `sorted'
	arg of overlays-at.  Use `invisible-p'.

	* obsolete/lucid.el (extent-at):
	* htmlfontify.el (hfy-overlay-props-at): Use the new `sorted' arg of
	overlays-at.
	(hfy-fontify-buffer): Remove unused var `orig-ovls'.

2014-04-14  João Távora  <joaotavora@gmail.com>

	* net/shr.el (shr-expand-url): Use `expand-file-name' for relative
	links.  (Bug#17217).

2014-04-14  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* vc/ediff-diff.el (ediff-set-fine-diff-properties-in-one-buffer):
	Use mapc to loop over a vector.  (Bug#17257).

2014-04-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-file-truename): Revert previous
	patch, there are new problems with file names containing spaces.
	Get rid of backticks.  (Bug#17238)

2014-04-13  João Távora  <joaotavora@gmail.com>

	* elec-pair.el (electric-pair--syntax-ppss): Simplify and fix
	possible bug.

2014-04-13  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (blink-cursor-blinks, blink-cursor-blinks-done): Doc fixes.
	(blink-cursor-mode): Mention customization variables and the
	effect of 'blink-cursor-blinks'.

2014-04-12  Barry O'Reilly  <gundaetiapo@gmail.com>

	* simple.el (undo): Prevent insertion of identity mapping into
	undo-equiv-table so as undo-only does not inf loop in the presence
	of consecutive nils in undo list.

2014-04-12  Matthias Dahl  <matthias.dahl@binary-island.eu>

	* faces.el (make-face): Deprecate optional argument as it is no
	longer needed/used since the conditional X resources handling
	has been pushed down to make-face-x-resource-internal itself.
	(make-empty-face): Don't pass optional argument to make-face.

2014-04-12  Eli Zaretskii  <eliz@gnu.org>

	* international/characters.el <standard-case-table>: Add entries
	for letters from the Coptic block u+2C80-u+2CFF.  (Bug#17243)
	Set category of Coptic characters be 'g' (Greek).

2014-04-12  Leo Liu  <sdl.web@gmail.com>

	* progmodes/octave.el (completion-table-with-cache): Define if not
	available.
	(octave-goto-function-definition)
	(octave-sync-function-file-names)
	(octave-find-definition-default-filename): Backquote upattern for
	compatibility.

2014-04-11  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-file-truename): Quote the file
	name twice due to backticks.  (Bug#17238)

2014-04-11  Glenn Morris  <rgm@gnu.org>

	* term/w32-win.el (x-win-suspend-error):
	* term/x-win.el (x-win-suspend-error): Sync docs.

2014-04-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	Ediff's overlay priorities cause more trouble than they solve.
	* vc/ediff-init.el (ediff-shadow-overlay-priority): Remove variable.
	(ediff-highest-priority): Remove function (bug#17234).
	* vc/ediff-util.el (ediff-highlight-diff-in-one-buffer):
	* vc/ediff-diff.el (ediff-set-diff-overlays-in-one-buffer)
	(ediff-set-fine-diff-properties-in-one-buffer): Don't mess with
	overlay priorities.

2014-04-10  Feng Li  <fengli@gmail.com>  (tiny change)

	* progmodes/pascal.el (pascal-font-lock-keywords): Fix incorrect format
	entry; use symbol boundaries to avoid mis-matches.

2014-04-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-file-name-handler)
	(tramp-completion-file-name-handler): Avoid recursive loading.

	* net/tramp-sh.el (tramp-make-copy-program-file-name):
	Quote result also locally.

2014-04-09  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-font-lock-keywords): Highlight more
	Module methods.  (Bug#17216)

2014-04-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help.el (describe-bindings): Fix buffer handling (bug#17210).
	(describe-bindings-internal): Mark obsolete.

2014-04-07  João Távora  <joaotavora@gmail.com>

	* elec-pair.el:
	(electric-pair--syntax-ppss): When inside comments parse from
	comment beginning.
	(electric-pair--balance-info): Fix typo in comment.
	(electric-pair--in-unterminated-string-p): Delete.
	(electric-pair--unbalanced-strings-p): New function.
	(electric-pair-string-bound-function): New var.
	(electric-pair-inhibit-if-helps-balance): Decide quote pairing
	according to `electric-pair--in-unterminated-string-p'

2014-04-07  João Távora  <joaotavora@gmail.com>

	* elec-pair.el (electric-pair-inhibit-if-helps-balance):
	Inhibit quote pairing if point-max is inside an unterminated string.
	(electric-pair--looking-at-unterminated-string-p): Delete.
	(electric-pair--in-unterminated-string-p): New function.

2014-04-07  Glenn Morris  <rgm@gnu.org>

	* shell.el (shell-directory-tracker):
	Go back to just ignoring failures.  (Bug#17159)

2014-04-06  João Távora  <joaotavora@gmail.com>

	Fix `electric-pair-delete-adjacent-pairs' in modes binding
	backspace. (bug#16981)
	* elec-pair.el (electric-pair-backward-delete-char): Delete.
	(electric-pair-backward-delete-char-untabify): Delete.
	(electric-pair-mode-map): Bind backspace to a menu item filtering
	a new `electric-pair-delete-pair' command.
	(electric-pair-delete-pair): New command.

2014-04-06  João Távora  <joaotavora@gmail.com>

	* progmodes/python.el (python-electric-pair-string-delimiter):
	Fix triple-quoting electricity.  (Bug#17192)

2014-04-06  João Távora  <joaotavora@gmail.com>

	* elec-pair.el (electric-pair-post-self-insert-function):
	Don't skip whitespace when `electric-pair-text-pairs' and
	`electric-pair-pairs' were used. syntax to
	electric-pair--skip-whitespace.  (Bug#17183)

2014-04-06  Eli Zaretskii  <eliz@gnu.org>

	* leim/quail/ipa.el (ipa-x-sampa): Fix the character produced for
	"<F>".  (Bug#17199)

2014-04-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mpc.el (mpc--status-timer-run): Disable timer if not displayed.
	(mpc--status-idle-timer-run): Use mpc--status-timer-run.

2014-04-05  Glenn Morris  <rgm@gnu.org>

	* help.el (view-lossage): Doc tweak.

2014-04-05  Matthias Dahl  <matthias.dahl@binary-island.eu>

	* faces.el (face-spec-recalc): Call make-face-x-resource-internal
	only when inhibit-x-resources is nil, and do that earlier in the
	function.  Doc fix.  (Bug#16694)
	(face-spec-choose): Accept additional optional argument, whose
	value is returned if no matching attributes are found.
	(face-spec-recalc): Use the new optional argument when calling
	face-spec-choose.  (Bug#16378)
	(make-face-x-resource-internal): Do nothing when
	inhibit-x-resources is non-nil.  Don't touch the default face if
	reversed video is given--as was done in previous versions of Emacs.
	(face-set-after-frame-default): Don't call
	make-face-x-resource-internal here.  (Bug#16434)

2014-04-04  Tassilo Horn  <tsdh@gnu.org>

	* doc-view.el (doc-view-bookmark-jump):
	Use `bookmark-after-jump-hook' to jump to the right page after the
	buffer is shown in a window.  (bug#16090)

2014-04-04  Eli Zaretskii  <eliz@gnu.org>

	* international/characters.el (mirroring): Fix last change:
	instead of loading uni-mirrored.el explicitly, do that implicitly
	by creating the 'mirroring' uniprop table.  This avoids announcing
	the loading of uni-mirrored.el.

2014-04-04  Glenn Morris  <rgm@gnu.org>

	* files.el (buffer-stale--default-function)
	(buffer-stale-function, revert-buffer--default):
	* autorevert.el (auto-revert-buffers): Doc tweaks.

2014-04-03  Eli Zaretskii  <eliz@gnu.org>

	* international/characters.el: Preload uni-mirrored.el.  (Bug#17169)

2014-04-03  Glenn Morris  <rgm@gnu.org>

	* files.el (make-backup-file-name-function)
	(make-backup-file-name, make-backup-file-name--default-function)
	(make-backup-file-name-1, find-backup-file-name)
	(revert-buffer-function, revert-buffer-insert-file-contents-function)
	(buffer-stale--default-function, buffer-stale-function)
	(before-revert-hook, after-revert-hook, revert-buffer-in-progress-p)
	(revert-buffer, revert-buffer--default)
	(revert-buffer-insert-file-contents--default-function):
	Doc fixes related to defaults no longer being nil.
	(make-backup-file-name-function): Bump :version.
	Restore nil as a valid but deprecated custom type.

2014-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/perl-mode.el (perl-syntax-propertize-function): Handle $'
	used as a variable (bug#17174).

2014-04-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/perl-mode.el (perl-indent-new-calculate):
	Handle forward-sexp failure (bug#16985).
	(perl-syntax-propertize-function): Add "foreach" and "for" statement
	modifiers introducing expressions (bug#17116).

2014-04-02  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-file-menu):
	* vc/ediff.el (ediff-current-file):
	Update for revert-buffer-function no longer being nil by default.

	* simple.el (command-execute): Respect nil disabled-command-function.

2014-04-01  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* simple.el (command-execute): Do not execute the command when it
	is disabled; fixes thinko in 2013-02-20 conversion from C.  (Bug#17151)

2014-03-29  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-compress-file): Don't use string-match-p
	because its match data is used afterwards.

2014-03-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el (package-built-in-p): Treat a min-version of
	0 like nil.

2014-03-27  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-font-lock-keywords):
	Highlight special globals with font-lock-builtin-face.  (Bug#17057)

	* progmodes/ruby-mode.el (ruby-syntax-propertize-function):
	Don't propertize `?' or `!' as symbol constituent when after
	colon.  (Bug#17097)

2014-03-27  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--restore-frame): Remove workaround for bug#14795
	which is no longer needed and causes trouble in GTK builds (bug#17046).

	* emacs-lisp/package-x.el (package--archive-contents-from-url):
	Use url-insert-file-contents; package-handle-response no longer exists.

2014-03-26  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/package.el: Fix bug#16733 (again).
	(url-http-parse-response, url-http-end-of-headers, url-recreate-url)
	(url-http-target-url): Remove unused declarations.
	(package-handle-response): Remove.
	(package--with-work-buffer): Use url-insert-file-contents and simplify.
	(package--download-one-archive): Use current-buffer instead of
	dynamic binding of `buffer'.
	(describe-package-1): Do not decode readme-string.

2014-03-25  Barry O'Reilly  <gundaetiapo@gmail.com>

	* simple.el (primitive-undo): Correction to 2014-03-24 change.

2014-03-25  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods, tramp-connection-timeout): Fix docstring.

	* net/tramp-sh.el (tramp-sh-handle-vc-registered): Revert change
	from 2014-03-07, it decreases performance unnecessarily.  Let-bind
	`remote-file-name-inhibit-cache' to nil in the second pass.
	(tramp-find-executable): Do not call "which" on SunOS.
	(tramp-send-command-and-check): Fix docstring.
	(tramp-do-copy-or-rename-file-directly): In the `rename' case,
	check whether source directory has set the sticky bit.

2014-03-24  Barry O'Reilly  <gundaetiapo@gmail.com>

	* simple.el (primitive-undo): Only process marker adjustments
	validated against their corresponding (TEXT . POS).  Issue warning
	for lone marker adjustments in undo history.  (Bug#16818)
	(undo-make-selective-list): Add marker adjustments to selective
	undo list based on whether their corresponding (TEXT . POS) is in
	the region.  Remove variable adjusted-markers, which was unused
	and only non nil during undo-make-selective-list.
	(undo-elt-in-region): Return nil when passed a marker adjustment
	and explain in function doc.

2014-03-24  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/package.el (package--add-to-archive-contents):
	Include already installed and built-in packages in
	`package-archive-contents'.
	(package-install): Don't include already installed packages in the
	options during interactive invocation.  (Bug#16762)

2014-03-24  Daniel Colascione  <dancol@dancol.org>

	* emacs-lisp/cl-macs.el (cl--do-arglist): Use `plist-member'
	instead of cl-loop search function.

2014-03-24  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--initial-params): Fix typo in parameter name.

2014-03-24  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* align.el (align-region): Do not fail when end-mark is nil (bug#17088).

2014-03-24  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-expression-expansion-re):
	Match special global variables without curlies, too.
	(ruby-font-lock-keywords): Simplify the matcher for special global
	variables.  Don't require a non-word character after the variable.
	(Bug#17057)

2014-03-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (redisplay-highlight-region-function): Increase priority of
	overlay to make sure boundaries are visible (bug#15899).

2014-03-23  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset-restore): Compare display strings with equal.

	* frame.el (make-frame): Don't quote display name in error message,
	it is already a string.

2014-03-23  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* net/tramp.el (tramp-read-passwd): Suspend the timers while reading
	the password.

2014-03-23  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/package.el (package-show-package-list): If the buffer
	is already displayed in another window, switch to that window.

2014-03-21  Daniel Colascione  <dancol@dancol.org>

	* mail/emacsbug.el (report-emacs-bug): Include memory usage
	information in bug reports.

2014-03-23  Daniel Colascione  <dancol@dancol.org>

	* emacs-lisp/cl-macs.el (cl--do-arglist): Use a little `cl-loop'
	list to look for keyword arguments instead of `memq', fixing
	(Bug#3647) --- unfortunately, only for freshly-compiled code.
	Please make bootstrap.

2014-03-23  Richard Stallman  <rms@gnu.org>

	* battery.el (battery-linux-sysfs): Search for each field
	from the beginning of the buffer.

2014-03-22  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/package.el (package-desc): Use the contents of the
	quoted form, not its cdr.  (Bug#16873)

2014-03-22  Juanma Barranquero  <lekktu@gmail.com>

	* w32-common-fns.el (x-selection-owner-p): Add empty docstring for the
	benefit of doc.c; change parameter profile to match the X function.

2014-03-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Add docstring for `tramp-login-env'
	and `tramp-copy-env'.

	* net/tramp-sh.el (tramp-methods) <sudo>: Add `tramp-login-env'.
	(tramp-maybe-open-connection): Handle `tramp-login-env'.

2014-03-21  Glenn Morris  <rgm@gnu.org>

	* electric.el (electric-indent-post-self-insert-function): Add doc.

2014-03-21  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/package.el (package-compute-transaction):
	Use `version-list-<=' to compare the requirement version against
	the version of package already to be installed.  Update the error
	message.  (Bug#16826)

	* progmodes/ruby-mode.el (ruby-smie-rules):
	Add indentation rule for ` @ '.  (Bug#17050)

2014-03-21  Juanma Barranquero  <lekktu@gmail.com>

	* align.el (align-regexp): Remove superfluous backslash.

	* ffap.el (ffap-ftp-default-user, ffap-url-regexp)
	(ffap-pass-wildcards-to-dired, dired-at-point-require-prefix)
	(ffap-rfc-path, ffap-ftp-sans-slash-regexp, ffap-menu-regexp):
	Fix docstring typos.
	(ffap-next): Use C-u in docstring.
	(ffap-machine-p, ffap-list-env, ffap-alist, ffap-alist)
	(ffap-string-at-point-mode-alist, ffap-menu, ffap-menu-ask):
	Remove superfluous backslashes.
	(ffap-string-at-point): Reflow docstring.

	* server.el (server-host): Reflow docstring.
	(server-unload-function): Fix docstring typo.
	(server-eval-at): Remove superfluous backslash.

	* skeleton.el (skeleton-insert): Remove superfluous backslash.
	(skeleton-insert): Doc fix.
	(skeleton-insert): Reflow docstring.

	* term/tty-colors.el (tty-color-alist, tty-modify-color-alist)
	(tty-color-approximate, tty-color-by-index, tty-color-values)
	(tty-color-desc): Remove superfluous backslashes.

2014-03-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* electric.el (electric-newline-and-maybe-indent): New command.
	Bind it globally to C-j.
	(electric-indent-mode): Don't mess with the global map any more.
	Don't drop the post-self-insert-hook is some buffer is still using it
	(bug#16770).

	* bindings.el (global-map): Remove C-j binding.

	* emacs-lisp/nadvice.el (advice--make-docstring): Try harder to find
	the docstring of functions advised before dumping (bug#16993).

2014-03-19  Stefan-W. Hahn  <stefan.hahn@s-hahn.de>  (tiny change)

	* ps-print.el (ps-generate-postscript-with-faces):
	Explicitly deactivate the mark (bug#16866).
	* simple.el (deactivate-mark): Update region highlight.

2014-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/package.el (describe-package-1):
	Decode commentary (bug#16733).

2014-03-18  Juanma Barranquero  <lekktu@gmail.com>

	* custom.el (defcustom): Doc fix: recommend avoiding destructive
	modification of the value argument of :set (bug#16755).

2014-03-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (newline-and-indent): Do autofill (bug#17031).

2014-03-18  Dmitry Gutov  <dgutov@yandex.ru>

	* newcomment.el (comment-normalize-vars): Only add escaping check
	to `comment-start-skip' if not `comment-use-syntax'.  (Bug#16971)
	(comment-beginning): Use `narrow-to-region' instead of moving back
	one character.
	(http://lists.gnu.org/archive/html/emacs-devel/2014-03/msg00488.html)
	(comment-start-skip): Update the docstring.

2014-03-18  Richard Stallman  <rms@gnu.org>

	* dired.el (dired-display-file): Force use of other window.

2014-03-18  Daniel Colascione  <dancol@dancol.org>

	* startup.el (tty-handle-args): Remove debug message from 2007.

2014-03-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/nadvice.el (advice--interactive-form): New function.
	(advice--make-interactive-form): Use it to avoid (auto)loading function.
	(advice--make-1, advice-add, advice-remove):
	Remove braindead :advice-pending hack.

2014-03-17  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-generate-month): Apply weekend
	face to the right days; fixes 2013-08-06 change.  (Bug#17028)

2014-03-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-action-out-of-band): Read pending output.
	(tramp-call-process): Trace also DESTINATION.

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-out-of-band):
	Quote file names when they are local.  Remove superfluous trace.

2014-03-17  Dmitry Gutov  <dgutov@yandex.ru>

	* newcomment.el (comment-beginning): If `comment-start-skip'
	doesn't match, move back one char and try again.  (Bug#16971)

	* emacs-lisp/lisp-mode.el (lisp-mode-variables):
	Set `comment-use-syntax' to t to avoid the unnecessary runtime check.
	Set `comment-start-skip' to a simpler value that doesn't try to
	check if the semicolon is escaped (this is handled by
	`syntax-ppss' now).  (Bug#16971)

	* progmodes/scheme.el (scheme-mode-variables): Same.

2014-03-16  Martin Rudalics  <rudalics@gmx.at>

	Fix behavior of with-temp-buffer-window (Bug#16816, Bug#17007).
	* window.el (with-temp-buffer-window): Don't make BUFFER-OR-NAME
	current (Bug#16816, Bug#17007).
	(with-current-buffer-window): New macro doing the same as
	`with-temp-buffer-window' but with BUFFER-OR-NAME current.
	* help.el (help-print-return-message): Warn in doc-string to not
	use this in `with-help-window'.
	(describe-bindings-internal): Call `describe-buffer-bindings'
	from within help buffer.  See Juanma's scenario in (Bug#16816).
	(with-help-window): Update doc-string.
	* dired.el (dired-mark-pop-up):
	* files.el (save-buffers-kill-emacs):
	* register.el (register-preview): Use `with-current-buffer-window'
	instead of `with-temp-buffer-window'.

2014-03-16  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/rst.el (rst-arabic-to-roman, rst-roman-to-arabic):
	Implement inserting into current buffer, documented in their docstrings.
	(rst-define-key, rst-compare-adornments, rst-insert-list-new-item)
	(rst-section-tree-point, rst-forward-section, rst-indent)
	(rst-compute-tabs, rst-font-lock-find-unindented-line-end)
	(rst-font-lock-find-unindented-line-limit, rst-adornment-level)
	(rst-font-lock-handle-adornment-pre-match-form)
	(rst-repeat-last-character): Reflow docstrings.
	(rst-preferred-adornments, rst-update-section, rst-find-title-line)
	(rst-adjust-adornment-work, rst-initial-items, rst-insert-list)
	(rst-toc-insert-style, rst-toc-insert-node, rst-goto-section)
	(rst-compile, rst-imenu-convert-cell, rst-imenu-create-index):
	Fix docstring typos.
	(rst-all-sections, rst-section-hierarchy, rst-adjust): Doc fixes.
	(rst-uncomment-region, rst-font-lock-find-unindented-line-match)
	(rst-font-lock-handle-adornment-matcher): Mark unused arguments.

2014-03-15  Juanma Barranquero  <lekktu@gmail.com>

	* term/ns-win.el (x-command-line-resources): Rename from ns-... version,
	for compatibility with other ports.
	(ns-initialize-window-system): Use it.  It is set in term/common-win.el
	from the -xrm command line argument, but in the Nextstep port its value
	is irrelevant because nsfns.m:Fx_open_connection ignores it for now.

	* progmodes/python.el (defconst, python-syntax-count-quotes)
	(python-indent-region, python-indent-shift-right)
	(python-indent-dedent-line-backspace, python-nav-backward-sexp)
	(python-nav-backward-sexp-safe, python-nav-backward-up-list)
	(python-shell-prompt-block-regexp, python-shell-prompt-output-regexp)
	(python-shell-prompt-pdb-regexp, python-shell-enable-font-lock)
	(inferior-python-mode, python-shell-make-comint, run-python-internal)
	(python-shell-buffer-substring, python-shell-send-buffer)
	(python-pdbtrack-activate, python-pdbtrack-stacktrace-info-regexp)
	(python-completion-complete-at-point, python-fill-docstring-style)
	(python-eldoc-function, python-imenu-format-item-label)
	(python-imenu-format-parent-item-label)
	(python-imenu-format-parent-item-jump-label)
	(python-imenu--build-tree, python-imenu-create-index)
	(python-imenu-create-flat-index): Fix docstring typos.
	(python-indent-context, python-shell-prompt-regexp, run-python):
	Remove superfluous backslashes.
	(python-indent-line, python-nav-beginning-of-defun)
	(python-shell-get-buffer, python-shell-get-process)
	(python-info-current-defun, python-info-current-line-comment-p)
	(python-info-current-line-empty-p, python-util-popn): Doc fixes.
	(python-indent-post-self-insert-function, python-shell-send-file)
	(python-shell-completion-get-completions)
	(python-shell-completion-complete-or-indent)
	(python-eldoc--get-doc-at-point): Reflow docstrings.

2014-03-14  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/package.el (package-menu-mode-map):
	Replace use of obsolete function alias.  Tweak menu item text.

	* info.el (Info-finder-find-node):
	Ignore the `emacs' metapackage.  (Bug#10813)

	* finder.el (finder-list-matches): Include unversioned packages
	in the result of a keyword search.

	* finder.el (finder--builtins-descriptions): New constant.
	(finder-compile-keywords): Use finder--builtins-descriptions.

2014-03-14  Dmitry Gutov  <dgutov@yandex.ru>

	* simple.el (blink-matching-paren): Describe the new value,
	`jump', enabling the old behavior.
	(blink-matching-open): Use that value.  (Bug#17008)

2014-03-14  Glenn Morris  <rgm@gnu.org>

	* finder.el (finder-no-scan-regexp): Add leim-list.
	(finder-compile-keywords):
	Don't skip files with same basename.  (Bug#14010)
	* Makefile.in (setwins_finder): New, excluding leim.
	(finder-data): Use setwins_finder.

	* help-fns.el (help-split-fundoc, help-add-fundoc-usage)
	(help-function-arglist, help-make-usage): Move from here...
	* help.el (help-split-fundoc, help-add-fundoc-usage)
	(help-function-arglist, help-make-usage): ... to here.  (Bug#17001)
	* emacs-lisp/bytecomp.el (byte-compile-lambda): Do not load help-fns.

2014-03-14  Juanma Barranquero  <lekktu@gmail.com>

	* net/socks.el (socks, socks-override-functions)
	(socks-find-services-entry):
	* progmodes/hideif.el (hif-set-var, hif-nexttoken, hif-comma)
	(hif-find-ifdef-block):
	* progmodes/modula2.el (m2-indent): Fix docstring typos.

	* net/tls.el (tls-program): Reflow docstring.

	* progmodes/pascal.el (pascal-mode-abbrev-table)
	(pascal-imenu-generic-expression, pascal-auto-endcomments)
	(pascal-mark-defun, pascal-comment-area, pascal-indent-level)
	(pascal-outline-mode): Fix docstring typos.
	(pascal-mode): Let define-derived-mode document mode hook.
	(pascal-uncomment-area): Reflow.
	(pascal-exclude-str-start, pascal-exclude-str-end): Add docstring.

	* progmodes/opascal.el (opascal-compound-block-indent)
	(opascal-case-label-indent): Fix docstring typos.
	(opascal-mode): Fix typos; let defined-derived-mode document mode hook.

2014-03-13  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-font-lock-keywords):
	Fontify multiple adjacent negation chars.  (Bug#17004)

2014-03-13  Tom Willemse  <tom@ryuslash.org>  (tiny change)

	* emacs-lisp/package.el (package--prepare-dependencies):
	Accept requirements without explicit version (bug#14941).

2014-03-12  Juanma Barranquero  <lekktu@gmail.com>

	* register.el (register-separator, copy-to-register): Doc fixes.
	(register-preview-default): Remove unnecessary call to concat.

	* frameset.el (frameset-restore): When checking for a visible frame,
	use the action map instead of calling visible-frame-list.

2014-03-12  Jonas Bernoulli  <jonas@bernoul.li>

	* emacs-lisp/eieio.el (with-slots): Use cl-symbol-macrolet (bug#16998).

2014-03-12  Martin Rudalics  <rudalics@gmx.at>

	* window.el (fit-frame-to-buffer): Get maximum width from
	display's width instead of height.

2014-03-12  Glenn Morris  <rgm@gnu.org>

	* desktop.el (desktop-restore-frames)
	(desktop-restore-in-current-display, desktop-restore-forces-onscreen)
	(desktop-restore-reuses-frames): Doc tweaks.

	* electric.el (electric-indent-mode): Doc fix.

2014-03-12  Juanma Barranquero  <lekktu@gmail.com>

	* vc/pcvs.el (cvs-temp-buffer, defun-cvs-mode, cvs-get-cvsroot)
	(cvs-checkout, cvs-mode-checkout, cvs-update-filter, cvs-mode-mark)
	(cvs-mode-diff-head, cvs-mode-diff-repository, cvs-mode-diff-yesterday)
	(cvs-mode-diff-vendor, cvs-mode-do, cvs-change-cvsroot)
	(cvs-dired-use-hook): Fix docstring typos.
	(cvs-mode-view-file-other-window, cvs-mode-byte-compile-files):
	Doc fixes.

	* vc/pcvs-defs.el (cvs-auto-remove-handled)
	(cvs-auto-remove-directories, cvs-default-ignore-marks)
	(cvs-idiff-imerge-handlers, cvs-reuse-cvs-buffer)
	(cvs-execute-single-dir): Fix docstring typos.

	* vc/pcvs-info.el (cvs-status-map, cvs-states): Fix docstring typos.
	(cvs-fileinfo-pp, cvs-fileinfo-from-entries): Doc fixes.

	* vc/pcvs-parse.el (cvs-parsed-fileinfo): Reflow docstring.

	* vc/pcvs-util.el (cvs-flags-query, cvs-flags-set, cvs-prefix-set):
	Fix docstring typos.

2014-03-12  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--jump-to-register): Add autoload; it could be
	called from jump-to-register after unloading the frameset package.

2014-03-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (set-mark): Ensure mark-active is nil if the mark is nil
	(bug#16975).  Deactivate the mark before setting it to nil.
	(activate-mark): Do nothing if region is already active.

2014-03-11  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--target-display): Remove definition; declare.
	(frameset-save, frameset-restore): Let-bind frameset--target-display.

2014-03-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/nadvice.el (advice--make-1): Fix autoloading avoidance.
	(advice-add): Add a :advice--pending marker, so advice--make-1 knows
	when the advice is pending.
	(advice-remove): Remove this marker when not needed any more.

2014-03-11  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el: Separate options for reusing frames and cleaning up.
	(frameset--reuse-list): Remove definition; declare.
	(frameset--action-map): Declare.
	(frameset--find-frame-if): Doc fix.
	(frameset--restore-frame): Cache frame action.
	(frameset-restore): New keyword arg CLEANUP-FRAMES, allows to select
	how to clean up the frame list after restoring.  Remove cleaning
	options from REUSE-FRAMES.  Change all keyword values to symbols.
	(frameset--jump-to-register): Simplify by using CLEANUP-FRAMES.

	* desktop.el (desktop-restore-forces-onscreen)
	(desktop-restore-reuses-frames): Use non-keyword values.
	(desktop-restore-frameset): Use CLEANUP-FRAMES arg of frameset-restore.

2014-03-10  Glenn Morris  <rgm@gnu.org>

	* files.el (find-file): Doc fix: update info node name.

	* emacs-lisp/advice.el (ad-add-advice, defadvice):
	Doc fix: remove references to deleted info nodes.

2014-03-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-open-connection-setup-interactive-shell):
	Do not add `nil' to the environment, when there's no remote `locale'.
	(tramp-find-inline-encoding): Check, that the remote host has
	installed perl, before sending scripts.

2014-03-10  Leo Liu  <sdl.web@gmail.com>

	* emacs-lisp/eldoc.el (eldoc-minibuffer-message):
	Clear eldoc-last-message.  (Bug#16920)

2014-03-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* desktop.el (desktop-create-buffer): Don't run activate-mark-hook
	(bug#14430).

2014-03-09  Juri Linkov  <juri@jurta.org>

	* ansi-color.el (ansi-color-names-vector): Copy default colors
	from `xterm-standard-colors' that look well on the default white
	background (and also on the black background) to avoid illegible
	color combinations like yellow-on-white and white-on-white.
	http://lists.gnu.org/archive/html/emacs-devel/2014-02/msg00157.html

2014-03-08  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset-restore): When no frame is visible, do not
	generate a list of frames, just make visible the selected one.

2014-03-08  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/vc-git.el (vc-git-command): Turn FILE-OR-LIST into nil when
	it only contains the repository root.  (Bug#16897)

2014-03-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-vc-registered): Run first pass
	only when `remote-file-name-inhibit-cache' is nil.
	(tramp-sh-file-name-handler): Use `tramp-error'.  Simplify code.

2014-03-06  Martin Rudalics  <rudalics@gmx.at>

	* window.el (fit-frame-to-buffer, fit-frame-to-buffer-margins):
	Fix doc-strings.
	(fit-frame-to-buffer): New argument ONLY.  Remove dependency on
	fit-frame-to-buffer variable.  Fix doc-string.
	(fit-window-to-buffer): Set ONLY argument in call of
	fit-frame-to-buffer.  Fix doc-string.

2014-03-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-error): VEC-OR-PROC can be nil.
	(tramp-action-password): Clear password cache if needed.
	(tramp-read-passwd): Do not clear password cache.

	* net/tramp-gvfs.el (tramp-gvfs-handler-askpassword): Clear password
	cache unless it is the first password request.

2014-03-06  Glenn Morris  <rgm@gnu.org>

	* simple.el (newline): Doc tweak.

	* emacs-lisp/shadow.el (load-path-shadows-find):
	Ignore dir-locals.  (Bug#12357)

2014-03-05  Glenn Morris  <rgm@gnu.org>

	* files.el (interpreter-mode-alist):
	* progmodes/sh-script.el (sh-ancestor-alist): Add dash.  (Bug#16938)

2014-03-05  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--initial-params): Filter out null entries.

2014-03-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-min-height, window-min-width):
	Rewrite doc-strings.
	(window-body-size): Add PIXELWISE argument to make it consistent
	with its callees.

2014-03-05  Juanma Barranquero  <lekktu@gmail.com>

	* finder.el (finder-mode-map, finder-mode-syntax-table):
	Revert part of 2014-02-28 change.

2014-03-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/eww.el (eww-mode-map): [tab] doesn't work on tty.
	(eww-setup-buffer): Clear next/prev/etc more reliably.
	(eww-textarea-map): [tab] doesn't work on tty.
	Reported by Mario Lang.

	* net/shr.el (shr-map): Ditto.

2014-03-04  Glenn Morris  <rgm@gnu.org>

	* minibuffer.el (completion-hilit-commonality):
	Revert 2014-03-01 short-cut, which changed the return value. (Bug#16933)

2014-03-04  Juanma Barranquero  <lekktu@gmail.com>

	* hilit-chg.el (hilit-chg-unload-function): New function.
	(highlight-changes-mode, highlight-changes-visible-mode): Fix typos.
	(hilit-chg-map-changes): Prefer cardinal number to digit.
	(hilit-chg-display-changes): Reflow docstring.
	(highlight-changes-rotate-faces): Remove superfluous backslash.

2014-03-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-vc-registered): Do not call
	`tramp-send-command-and-check'.

2014-03-04  Juanma Barranquero  <lekktu@gmail.com>

	* hexl.el (hexl-address-region, hexl-ascii-region)
	(hexl-goto-hex-address, hexl-backward-char, hexl-forward-char)
	(hexl-backward-short, hexl-forward-short, hexl-backward-word)
	(hexl-forward-word, hexl-previous-line, hexl-next-line):
	Use "Hexl mode" for non-hyperlinked hexl-mode references in docstrings.
	(hexl-mode): Doc fix.
	(hexl-ascii-start-column, hexl-beginning-of-line, hexl-end-of-line)
	(hexl-mode-ruler): Fix typos in docstrings.

	* strokes.el (strokes-xpm-header, strokes-rate-stroke): Fix typos.
	(strokes-character, strokes-get-grid-position, strokes-list-strokes):
	Remove superfluous backslashes.
	(strokes-last-stroke, strokes-global-map, strokes-mode):
	Reflow docstrings.
	(strokes-xpm-for-stroke, strokes-xpm-to-compressed-string)
	(strokes-xpm-for-compressed-string): Use quotes with buffer name.
	(strokes-distance-squared, strokes-global-set-stroke)
	(strokes-global-set-stroke-string): Doc fixes.
	(strokes-help): Fix typos; reflow docstring.

2014-03-04  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-in-direction): Fix doc-string.

2014-03-04  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/smie.el (smie-config-guess): Doc fix.
	Explicit error if no grammar.
	(smie-config-save): Doc fix.  Fix quote typo.

2014-03-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-mode.el (c-initialize-cc-mode): Only hook into
	electric-indent-mode-hook if we obey electric-indent-mode.
	(c-basic-common-init): Use (fboundp 'electric-indent-local-mode) to
	decide whether we obey electric-indent-mode.
	(c-change-set-fl-decl-start, c-extend-after-change-region):
	Silence warnings.
	(c-electric-indent-mode-hook): Assume we do want to obey
	electric-indent-mode.

	* electric.el (electric-indent-mode-has-been-called): Remove.
	(electric-indent-mode): Fix accordingly.

	* files.el (hack-local-variables): Mention file name in warning.

	* htmlfontify.el (hfy-fontify-buffer): Drop `invis-range' message.

2014-03-04  Michal Nazarewicz  <mina86@mina86.com>

	* bindings.el: Add comment describing why C-d binds to `delete-char'.
	* simple.el (delete-forward-char): Mark as interactive-only.

2014-03-03  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-completions):
	Follow-up to 2014-03-01 change.

	* icomplete.el: Miscellaneous doc fixes.
	Use Icomplete everywhere instead of icomplete for consistency.
	(icomplete-max-delay-chars): Fix typo.
	(icomplete-mode): Use \[].
	(icomplete-tidy, icomplete-exhibit): Reflow.
	(icomplete-minibuffer-setup-hook, icomplete-completions):
	Remove superfluous backlashes.

	* ido.el: Miscellaneous doc fixes.
	Use Ido everywhere instead of ido or `ido' for consistency.
	(ido-record-ftp-work-directories, ido-merge-ftp-work-directories)
	(ido-cache-ftp-work-directory-time, ido-slow-ftp-hosts)
	(ido-slow-ftp-host-regexps, ido-reread-directory): Upcase "ftp".
	(ido-separator): Extract obsolescence info from docstring and declare
	with make-obsolete-variable.
	(ido-minibuffer-setup-hook): Simplify example.
	(ido-text, ido-text-init, ido-input-stack, ido-report-no-match)
	(ido-wide-find-file, ido-wide-find-dir, ido-wide-find-dir-or-delete-dir)
	(ido-completion-help, ido-completing-read): Fix typos in docstrings.
	(ido-everywhere): Reflow docstring.
	(ido-toggle-vc): Doc fix.
	(ido-switch-buffer, ido-find-file): Use tabs to improve legibility
	of long list of keybindings.

2014-03-03  Glenn Morris  <rgm@gnu.org>

	* frame.el (display-pixel-height, display-pixel-width)
	(display-mm-dimensions-alist, display-mm-height)
	(display-mm-width): Doc tweaks.

2014-03-02  Barry O'Reilly  <gundaetiapo@gmail.com>

	* simple.el (undo-elt-in-region): Fix buffer corruption for edge
	case of undo in region.

2014-03-02  Martin Rudalics  <rudalics@gmx.at>

	* window.el (fit-window-to-buffer): Fix argument in window-size
	call when window is horizontally combined.

2014-03-02  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-completions): Use string-width.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.

2014-03-01  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-font-lock-keywords):
	Highlight regexp options.  (Bug#16914)

2014-03-01  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--max-delta-1): Round down when calculating
	how many lines/columns we can get from a window.

2014-03-01  Glenn Morris  <rgm@gnu.org>

	* isearch.el (search-invisible): Doc fix.

	* minibuffer.el (completion-hilit-commonality):
	Make `base-size' argument optional.  Short-cut if `prefix-len' is 0.
	* comint.el (comint-dynamic-list-completions): Doc fix.
	* comint.el (comint-dynamic-list-completions):
	* filecache.el (file-cache-minibuffer-complete):
	* tempo.el (tempo-display-completions):
	* eshell/em-hist.el (eshell-list-history):
	Replace use of obsolete argument of display-completion-list.

2014-03-01  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-completions):
	Revert back to using "..." when ?… cannot be displayed.

2014-02-28  Juanma Barranquero  <lekktu@gmail.com>

	* finder.el (finder-unload-function): New function.

2014-02-28  Juanma Barranquero  <lekktu@gmail.com>

	* dframe.el (dframe-detach):
	* find-dired.el (find-dired, find-name-dired):
	* finder.el (finder-mode-map, finder-mode-syntax-table)
	(finder-headmark, finder-select, finder-mouse-select):
	Fix docstring typos.

2014-02-28  Martin Rudalics  <rudalics@gmx.at>

	Revert recent with-temp-buffer-window change (Bug#16816, Bug#16882).
	* window.el (with-temp-buffer-window): Revert change from 2014-02-21.
	Suggested by Thierry Volpiatto <thierry.volpiatto@gmail.com>.
	Fix doc-string based on a suggestion by Nicolas Richard
	<theonewiththeevillook@yahoo.fr>.
	* help.el (with-help-window): Fix doc-string.

2014-02-28  Ivan Kanis  <ivan@kanis.fr>

	* net/shr.el (shr-image-animate): New option.
	(shr-put-image): Respect shr-image-animate.

2014-02-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-adb.el (tramp-adb-parse-device-names):
	Use `accept-process-output'.
	(tramp-adb-handle-file-truename): Cache the localname only.
	(tramp-adb-handle-make-directory)
	(tramp-adb-handle-delete-directory): Flush file properties correctly.
	(tramp-adb-handle-set-file-modes): Do not raise an error when file
	modes cannot be changed.

	* net/tramp-cache.el (tramp-flush-directory-property): Remove also
	file properties of symlinks.

2014-02-28  Per Starbäck  <starback@stp.lingfil.uu.se>

	* textmodes/bibtex.el (bibtex-biblatex-entry-alist): Update
	required/optional fields to match development biblatex.  (Bug#16781)

2014-02-28  Andy Sawyer  <andy.sawyer@gmail.com>  (tiny change)

	* saveplace.el (toggle-save-place):
	Fix argument handling.  (Bug#16673)

2014-02-28  Glenn Morris  <rgm@gnu.org>

	* minibuffer.el (completions-first-difference)
	(completions-common-part, completion-hilit-commonality): Doc fixes.

2014-02-28  Karl Berry  <karl@gnu.org>

	* info.el (Info-mode-map): Add H for describe-mode,
	to synchronize with standalone Info.

2014-02-28  Emilio C. Lopes  <eclig@gmx.net>

	* progmodes/sql.el (sql-interactive-mode):
	Avoid setting global comint-input-ring-separator.  (Bug#16814)

2014-02-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus--init-bus): Declare function.
	(dbus-path-local, dbus-interface-local): New defconst.
	(dbus-init-bus): Use them.
	(dbus-return-values-table): Extend doc.
	(dbus-handle-bus-disconnect): Extend error message.

2014-02-27  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (y-or-n-p): Fix double space issue in message.

2014-02-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-call-process): Improve trace message.
	(tramp-handle-insert-file-contents): Trace error case.

	* net/tramp-adb.el (tramp-adb-file-name-handler-alist)
	<insert-directory>: Use `tramp-handle-insert-directory'.
	(tramp-adb-handle-insert-directory): Remove function.
	(tramp-adb-send-command-and-check): New defun, replacing
	`tramp-adb-command-exit-status'.  Change all callees.
	(tramp-adb-handle-file-attributes)
	(tramp-adb-handle-directory-files-and-attributes): Use it.
	(tramp-adb-ls-output-name-less-p):
	Use `directory-listing-before-filename-regexp'.
	(tramp-adb-handle-delete-directory): Flush also file properties of
	the truename of directory.
	(tramp-adb-handle-file-name-all-completions): Add "./" and "../".
	(tramp-adb-handle-file-local-copy): Make the local copy readable.
	(tramp-adb-handle-write-region): Implement APPEND.
	(tramp-adb-handle-rename-file): Make it more robust.  Flush file
	properties correctly.
	(tramp-adb-maybe-open-connection): Set `tramp-current-*'
	variables.  Check for connected devices only when needed.

2014-02-27  Glenn Morris  <rgm@gnu.org>

	* minibuffer.el (completion-table-dynamic)
	(completion-table-with-cache): Doc fixes.

	* emacs-lisp/crm.el (crm-default-separator, crm-separator)
	(completing-read-multiple): Doc fixes.

2014-02-27  Daniel Colascione  <dancol@dancol.org>

	* minibuffer.el (completion--nth-completion): Fix indentation.

	* net/tramp-sh.el (tramp-get-remote-path): Don't signal error when
	explicit tramp path is empty.

2014-02-27  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/crm.el (completing-read-multiple):
	Empower help-enable-auto-load.

2014-02-26  Glenn Morris  <rgm@gnu.org>

	* startup.el (command-line): Don't init the tty in daemon mode.

	Avoid calling tty-setup-hook twice, eg if a term file
	explicitly calls tty-run-terminal-initialization.  (Bug#16859)
	* faces.el (tty-run-terminal-initialization): Add run-hook argument.
	(tty-create-frame-with-faces): Use it.
	* startup.el (command-line): Pass run-hook argument
	to tty-run-terminal-initialization.

	* dired.el (dired-restore-desktop-buffer): Demote errors;
	eg in case a glob match fails.  (Bug#16884)

2014-02-26  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/lisp.el (lisp--local-variables): Catch `end-of-file'
	error from `read-from-string'.  (Bug#16850)

	* emacs-lisp/ert.el (ert-run-tests-interactively): `read' the
	result of `completing-read' in the interactive form.  (Bug#16854)

2014-02-25  Glenn Morris  <rgm@gnu.org>

	* image.el (image-animate, image-animate-timeout):
	Stop animating images in dead buffers.  (Bug#16878)

	* emacs-lisp/edebug.el (defmacro): Fix debug spec.  (Bug#16868)

	* faces.el (tty-setup-hook, tty-run-terminal-initialization):
	Doc fixes.
	* startup.el (term-setup-hook): Doc fix.  Make obsolete.
	* term/sun.el (sun-raw-prefix-hooks):
	Use tty-setup-hook instead of term-setup-hook.
	(terminal-init-sun): Construct message from bytecomp plist.
	* term/wyse50.el (enable-arrow-keys): Doc fix.

2014-02-24  Juanma Barranquero  <lekktu@gmail.com>

	* term/sun.el (kill-region-and-unmark, sun-raw-prefix-hooks):
	Fix docstring typos.

2014-02-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-file-truename): Improve last fix.

2014-02-24  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* minibuffer.el (completion--try-word-completion):
	Fix error when completing M-x commands (bug#16808).

2014-02-24  Leo Liu  <sdl.web@gmail.com>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Fix debug spec.

2014-02-24  Juanma Barranquero  <lekktu@gmail.com>

	* apropos.el (apropos-print): Avoid formatting error when
	apropos-do-all and apropos-compact-layout are both t.

2014-02-23  Juanma Barranquero  <lekktu@gmail.com>

	* apropos.el (apropos-property, apropos-all-words-regexp)
	(apropos-true-hit, apropos-variable, apropos-print):
	Fix docstring typos, and remove obsolete comment.

2014-02-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-file-truename):
	Preserve trailing "/".  (Bug#16851)

2014-02-23  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie-rules): Don't indent specially
	after `=>' (bug#16811).
	(ruby-smie-rules): Handle the inconsistent second element of the
	list returned by `smie-indent--parent'.
	(ruby-font-lock-keywords): Disqualify any identifier before `=' as
	method call.

2014-02-23  Juanma Barranquero  <lekktu@gmail.com>

	* elec-pair.el (electric-pair-text-syntax-table)
	(electric-pair-syntax-info, electric-pair--syntax-ppss)
	(electric-pair--balance-info, electric-pair-mode): Fix docstring typos.
	(electric-pair--looking-at-unterminated-string-p): Doc fix.
	(electric-pair--inside-string-p): Doc fix.  Use `let', not `let*'.

2014-02-22  Glenn Morris  <rgm@gnu.org>

	* imenu.el (imenu--generic-function): Doc fix.

	* register.el (frame-configuration-to-register): Make obsolete.

2014-02-22  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-save-buffer-p): Do not fail when
	desktop-files-not-to-save is nil.  Return t for true result
	as the doc says.

2014-02-22  Daniel Colascione  <dancol@dancol.org>

	* net/secrets.el (secrets-create-item, secrets-search-items):
	Check that attribute values are strings, avoiding the construction
	of invalid dbus messages.

2014-02-21  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/gv.el: Avoid duplicating gv-expander and gv-setter in
	defun-declarations-alist.

2014-02-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/cl-macs.el (cl-define-compiler-macro): Add indent rule
	(bug#16829).

2014-02-21  Juanma Barranquero  <lekktu@gmail.com>

	* whitespace.el (whitespace-space, whitespace-hspace, whitespace-tab)
	(whitespace-newline, whitespace-trailing, whitespace-line)
	(whitespace-space-before-tab, whitespace-indentation, whitespace-empty)
	(whitespace-space-after-tab): Fix typo in docstrings.

2014-02-21  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (auto-mode-alist): Add missing "or".

	* electric.el (electric-indent-functions-without-reindent):
	Add `yaml-indent-line'.

2014-02-21  Juanma Barranquero  <lekktu@gmail.com>

	* w32-vars.el (w32-enable-synthesized-fonts): Mark as obsolete.
	It has done nothing for years; should be removed after the release.

	* simple.el (choose-completion): Fix docstring typo.
	(read-quoted-char-radix): Remove unneeded * in docstring.
	(process-file, kill-whole-line, pop-to-mark-command, set-mark-command):
	Don't escape parentheses unnecessarily in docstrings.

2014-02-21  Martin Rudalics  <rudalics@gmx.at>

	Fix handling of window-min-height/-width (Bug#16738).
	* window.el (window--dump-window, window--dump-frame):
	New functions.
	(window--min-size-1): Account for window dividers.
	When window-resize-pixelwise is nil, delay rounding till after the
	sum of the window components has been calculated.
	(window--min-delta-1, window--max-delta-1): When PIXELWISE is
	nil make sure at least one text line and two text columns remain
	fully visible.
	(window-resize): Signal an error when window-resize-apply fails.
	(window--resize-child-windows): Fix calculation of by how many
	pixels a window can still be shrunk via window-new-normal.
	(adjust-window-trailing-edge): Call window--resizable with
	correct TRAIL argument.

	(with-temp-buffer-window): Don't evaluate BODY within
	with-current-buffer (Bug#16816).

2014-02-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-check-cached-permissions):
	Call `file-attributes' with `suffix' being a symbol but a string.

2014-02-21  Daniel Colascione  <dancol@dancol.org>

	* net/dbus.el (dbus-init-bus-1): Declare new subr.
	(dbus-init-bus): New function: call into dbus-init-bus-1
	and installs a handler for the disconnect signal.
	(dbus-call-method): Rewrite to look for result in cons.
	(dbus-call-method-handler): Store result in cons.
	(dbus-check-event): Recognize events with nil sender as valid.
	(dbus-handle-bus-disconnect): New function.  React to bus
	disconnection signal by synthesizing dbus error for each
	pending synchronous or asynchronous call.
	(dbus-notice-synchronous-call-errors): New function.
	(dbus-handle-event): Raise errors directly only when `dbus-debug'
	is true, not all the time.

2014-02-21  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-enable-italics, w32-charset-to-codepage-alist):
	Remove obsolescence declarations, these variables do not exist anymore.

	* savehist.el (savehist-save-minibuffer-history)
	(savehist-additional-variables, savehist-file, savehist-mode-hook)
	(savehist-save-hook, savehist-coding-system, savehist-loaded)
	(savehist-load, savehist-install, savehist-autosave): Fix typos;
	mostly, refer to "Savehist mode" when talking about the mode,
	and not the function.

	* saveplace.el (save-place): Remove redundant info in docstring.
	(save-place-forget-unreadable-files, toggle-save-place)
	(save-place-forget-unreadable-files, save-place-dired-hook):
	Fix typos and remove unneeded backslashes.

2014-02-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (ls-lisp-use-insert-directory-program): Declare.
	(tramp-handle-insert-directory): New defun, taken from tramp-gvfs.el.

	* net/tramp-gvfs.el (tramp-gvfs-file-name-handler-alist)
	<insert-directory>: Use `tramp-handle-insert-directory'.
	(tramp-gvfs-handle-insert-directory): Remove function.

	* net/tramp-sh.el (tramp-sh-handle-insert-directory):
	Call `tramp-handle-insert-directory'.

2014-02-20  Juanma Barranquero  <lekktu@gmail.com>

	* elec-pair.el (electric-pair-syntax-info): Do not check syntax
	before the start of buffer/region (bug#16799).

2014-02-20  Glenn Morris  <rgm@gnu.org>

	* isearch.el (search-invisible): Doc fix.

2014-02-20  W. Trevor King  <wking@tremily.us>  (tiny change)

	* term/xterm.el (xterm--version-handler): Adapt to xterm-280's output
	(bug#16657).

2014-02-19  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset-restore): Delay removing an old frame's
	duplicate id until the new frame has been correctly created.

2014-02-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-make-symbolic-link): New defun.
	(tramp-check-cached-permissions): Call `file-attributes' if the
	cache is empty.

	* net/tramp-adb.el (tramp-adb-file-name-handler-alist)
	<make-symbolic-link>: Use `tramp-handle-make-symbolic-link'.

	* net/tramp-gvfs.el (tramp-gvfs-file-name-handler-alist)
	<make-symbolic-link>: Use `tramp-handle-make-symbolic-link'.
	(tramp-gvfs-maybe-open-connection): Set always connection
	properties, even if target is mounted already.

	* net/tramp-sh.el (tramp-color-escape-sequence-regexp):
	Set tramp-autoload cookie.
	(tramp-get-remote-touch): New defun.
	(tramp-sh-handle-set-file-times): Use it.
	(tramp-sh-handle-directory-files-and-attributes):
	Use `tramp-handle-directory-files-and-attributes' if neither stat
	nor perl are available on the remote host.

	* net/tramp-smb.el (tramp-smb-handle-insert-directory): Mark trailing
	"/".  Write long listing only when "l" belongs to the switches.

	* net/trampver.el: Update release number.

2014-02-19  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--reuse-frame): Remove workaround for bug#16793.

2014-02-19  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-state-put): Allow WINDOW to refer to an
	internal window (Bug#16793).

2014-02-19  Glenn Morris  <rgm@gnu.org>

	* textmodes/remember.el: Move provide statement to end.
	(remember-mode-map, remember-notes-mode-map, remember-notes-mode)
	(remember-notes): Doc fixes.

2014-02-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* delsel.el (delete-char): Restore incorrectly erased property
	(bug#16795).

2014-02-18  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--restore-frame): When a frame is being reused
	and its root window is not alive, delete all the frame's windows before
	restoring the window state.  This works around the issue in bug#16793.

2014-02-18  Glenn Morris  <rgm@gnu.org>

	* textmodes/remember.el (remember-data-directory)
	(remember-directory-file-name-format, remember-store-in-files)
	(remember-notes-initial-major-mode, remember-notes-bury-on-kill)
	(remember-notes-save-and-bury-buffer)
	(remember-notes--kill-buffer-query): Doc fixes.

	* desktop.el (desktop-save-mode, desktop-auto-save-timeout): Doc fixes.

2014-02-17  Alan Mackenzie  <acm@muc.de>

	Connect electric-indent-mode up with CC Mode.  Bug #15478.
	* progmodes/cc-mode.el (c-initialize-cc-mode): Add CC Mode hooks
	to electric-indent-{,local-}-mode.
	(c-basic-common-init): Set electric-indent-inhibit.
	Initialise c-electric-flag from electric-indent-mode.
	(c-electric-indent-mode-hook, c-electric-indent-local-mode-hook):
	New hook functions which propagate electric-indent-mode to CC mode.

	* progmodes/cc-cmds.el (c-toggle-electric-state): When C-c C-l is
	hit, toggle electric-indent-local-mode.

	* electric.el (electric-indent-mode-has-been-called):
	New variable.

2014-02-17  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset-cfg-id): New function.
	(frameset--reuse-frame, frameset-restore): Use it.
	(frameset--jump-to-register): Try harder to reuse frames (bug#16748).

2014-02-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ido.el (ido-file-internal): Remove unused var `d'.
	Use \` for to match BoS.  Fit within 80n columns.

2014-02-17  Daniel Colascione  <dancol@dancol.org>

	* net/dbus.el (dbus-call-method): Work around bug#16775 by having
	dbus-call-method check for completion using a busy-wait loop with
	gradual backoff.

2014-02-16  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.2.9.

	* net/trampver.el: Update release number.

2014-02-16  Dmitry Gutov  <dgutov@yandex.ru>

	* ido.el (ido-file-internal): Don't add the name of an existing
	directory twice.  (Bug#16747)

2014-02-16  Glenn Morris  <rgm@gnu.org>

	* vc/ediff-init.el (ediff-use-faces, ediff-highlight-all-diffs):
	Do not use ediff-defvar-local on pre-defined variables.  (Bug#16744)

2014-02-15  Michael R. Mauger  <michael@mauger.com>

	* progmodes/sql.el: Version 3.4
	(sql-oracle-options): New default value ("-L").
	(sql-mode-oracle-font-lock-keywords): Add placeholder highlighting.
	(sql-placeholders-filter): Correct placeholder pattern.
	(sql-read-table-name): Bug fix.  Detect absence of SQLi process.
	(sql-login-delay): New variable.
	(sql-product-interactive): Use it.

2014-02-15  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--jump-to-register): Check that buffer is live
	(bug#16749).

2014-02-15  Glenn Morris  <rgm@gnu.org>

	* info.el (info-initialize): Revert 2014-01-10 change.

2014-02-14  Glenn Morris  <rgm@gnu.org>

	* replace.el (map-query-replace-regexp)
	(read-regexp-defaults-function, read-regexp): Doc fixes.

	* dired.el (dired-read-regexp):
	* faces.el (list-faces-display):
	* misearch.el (multi-isearch-read-matching-buffers)
	(multi-isearch-read-matching-files):
	* play/cookie1.el (cookie-apropos):
	* progmodes/grep.el (grep-read-regexp): Doc fixes.

	* textmodes/remember.el (remember): Use frameset-to-register
	rather than frame-configuration-to-register.

2014-02-14  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-menu.el (calc-vectors-menu): Remove menu item for
	incorrect keybinding.

2014-02-13  Daniel Colascione  <dancol@dancol.org>

	* progmodes/flymake.el (flymake-post-syntax-check): Widen buffer
	when adding overlays so that line numbers from compiler match line
	numbers we use.

2014-02-13  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-probe): Be less strict.  (Bug#16743)

	* jit-lock.el (jit-lock-mode): Doc fix.

2014-02-13  Juanma Barranquero  <lekktu@gmail.com>

	* apropos.el (apropos-read-pattern): When the user passes an empty
	string, give a more helpful error message than "Wrong type
	argument: stringp, nil".

2014-02-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jit-lock.el (jit-lock-mode): Keep it disabled in indirect buffers.

2014-02-13  Glenn Morris  <rgm@gnu.org>

	* finder.el (finder-known-keywords, finder-mode-map): Doc fixes.

2014-02-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/cua-base.el (cua-scroll-up, cua-scroll-down): Mark them as
	shift-select commands.

2014-02-12  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/js.el (js-indent-line): Don't widen.
	http://lists.gnu.org/archive/html/emacs-devel/2012-06/msg00276.html

2014-02-12  Glenn Morris  <rgm@gnu.org>

	* icomplete.el (icomplete): Add info-link to defgroup.
	(icomplete-with-completion-tables, icomplete-minibuffer-setup-hook)
	(icomplete-minibuffer-map, icomplete-mode)
	(icomplete-simple-completing-p, icomplete-completions): Doc fixes.

	* emacs-lisp/package.el (package-menu-mode-map): Tweak menu.
	(package-menu-filter): Rename from package-menu-filter-interactive.
	Doc fix.

2014-02-11  Juanma Barranquero  <lekktu@gmail.com>

	* frameset.el (frameset--jump-to-register): Select the required
	window and buffer before restoring position (bug#16696).

2014-02-11  Lars Ingebrigtsen  <larsi@gnus.org>

	* dired.el (dired-get-marked-files): Clarify doc (bug#11534).

2014-02-10  Glenn Morris  <rgm@gnu.org>

	* jit-lock.el (jit-lock-force-redisplay): Doc fix.  (Bug#14394)

2014-02-10  Eli Zaretskii  <eliz@gnu.org>

	* w32-common-fns.el (x-get-selection): Doc fix.
	* select.el (x-get-selection): Doc fix.  (Bug#15109)

	* face-remap.el (face-remap-add-relative)
	(face-remap-remove-relative, face-remap-reset-base)
	(face-remap-set-base): Call force-mode-line-update to redisplay
	the current buffer due to potential change in faces.  (Bug#16709)

2014-02-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-vc-registered): Apply heredoc
	script more robustly.

2014-02-10  Lars Ingebrigtsen  <larsi@gnus.org>

	* dired.el (dired-get-marked-files): Doc fix (bug#11534).

	* simple.el (choose-completion): Doc fix (bug#14160).

	* subr.el (event-start): Say what a nil EVENT value means.

	* kmacro.el (kmacro-bind-to-key): Say that the parameter is unused
	(bug#14197).

	* progmodes/grep.el (find-program): Doc fix (bug#14289).

	* files.el (confirm-kill-emacs): Clarify doc (bug#15455).

	* emacs-lisp/lisp.el (up-list): Doc fix (bug#15832).

	* files.el (confirm-kill-emacs): Allow specifying an arbitrary
	predicate function (bug#15455).

2014-02-10  Dmitry Gutov  <dgutov@yandex.ru>

	* ielm.el (inferior-emacs-lisp-mode): Instead of
	`comment-use-global-state', set `comment-use-syntax'.

2014-02-10  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/gulp.el (gulp-discard): Add emacs-devel.

2014-02-09  Alan Mackenzie  <acm@muc.de>

	Fix c-invalidate-state-cache on narrowed buffers.
	* progmodes/cc-defs.el (c-with-all-but-one-cpps-commented-out):
	Widen when setting and clearing the CPP delimiter properties.

2014-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* help.el (describe-bindings): Doc fix (bug#9888).

	* files.el (save-buffer): Use ARG as the parameter name for
	consistency (bug#10346).
	(save-buffer): Clarify the 0 argument (bug#10346).

	* cus-edit.el (customize-apropos): Fix error string.
	(custom-buffer-create): Doc fix (bug#11122).
	(custom-sort-items): Doc fix (bug#11121).

	* repeat.el (repeat-message-function): Reword doc slightly (bug#11619).

	* icomplete.el (icomplete-with-completion-tables): Doc fix (bug#11654).
	(icomplete-simple-completing-p): Mention the previous variable.

	* font-lock.el (font-lock-value-in-major-mode): Clarify the
	meaning of the parameter (bug#12282).

	* files.el (find-file-noselect): Clarify prompt when changing
	readedness (bug#13261).
	(locate-file): Suffixes aren't returned, so don't say that they
	are (bug#12674).
	(backup-inhibited): Doc clarification (bug#12525).

	* dired.el (dired-internal-do-deletions): Don't say "Deleting..."
	before we actually start to delete things (bug#16331).

	* subr.el (event-start): Doc fix (bug#14228).
	(event-end): Ditto.

2014-02-09  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/warnings.el (lwarn):
	Empower help-enable-auto-load.  (Bug#15940)

2014-02-08  Andreas Schwab  <schwab@linux-m68k.org>

	* vc/log-edit.el (log-edit-comment-to-change-log): Doc fix.
	(Bug#16690)

2014-02-08  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-start-file-process):
	Insert output at end of buffer.  (Bug#16120)

2014-02-08  Lars Ingebrigtsen  <larsi@gnus.org>

	* simple.el (choose-completion-string-functions): Document new
	calling convention (bug#14153).
	(execute-extended-command): Clarify doc string (bug#13373).

	* kmacro.el (kmacro-exec-ring-item): Doc fix (bug#14198).

	* find-dired.el (find-name-dired): Doc fix (bug#14290).
	(find-grep-dired): Doc fix (bug#14288).

2014-02-08  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-quote-char): Check character validity
	like in `quoted-insert' (bug#16677).

2014-02-08  Lars Ingebrigtsen  <larsi@gnus.org>

	* files.el (find-file-visit-truename): Doc clarification (bug#14697).

	* isearch.el (isearch-hide-immediately): Doc clarification
	(bug#14723).

	* simple.el (line-move): Document utility function used many
	places in the Emacs sources (bug#14843).

	* dired.el (dired-mode-map): Make :help text more accurate (bug#14893).
	(dired-prev-marked-file): Doc fix (bug#14855).
	(dired-up-directory): Doc fix (bug#14848).

	* minibuffer.el (read-file-name): Doc clarification (bug#15096).

	* files.el (file-relative-name): Doc fix (bug#15159).

	* fringe.el (fringe-styles): Doc fix (bug#15239).

	* isearch.el (isearch-filter-predicate): Documentation typo fix
	(bug#15474).

	* info-look.el (info-lookup-symbol): Document MODE (bug#15498).

	* isearch.el (isearch-cmds): Doc clarification (bug#15547).

	* replace.el (replace-match-maybe-edit): Doc clarification
	(bug#15632).

	* subr.el (add-to-list): Refill the paragraphs (bug#15791).

	* macros.el (insert-kbd-macro): Doc fix (bug#16025).

2014-02-08  Glenn Morris  <rgm@gnu.org>

	* help-fns.el (describe-variable):
	Check {file,dir}-local-variables-alist, and buffer-file-name,
	in the correct buffer.

2014-02-08  Ingo Lohmar  <i.lohmar@gmail.com>

	* help-fns.el (describe-variable): Fix the case where
	a value is directory-local with no dir-locals file.  (Bug#16635)

2014-02-08  Glenn Morris  <rgm@gnu.org>

	* abbrev.el (edit-abbrevs-mode):
	Derive from fundamental-mode.  (Bug#16682)

2014-02-07  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (quoted-insert): Check character validity (bug#16677).

2014-02-07  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-read): Claim the lock when the owner is not
	the current process.  (Bug#16157)

2014-02-07  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-buffers-not-to-save): Change default from nil
	to "\\` ".  (Bug#16651)

2014-02-07  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-save-mode): Call `desktop-auto-save-set-timer'
	when enabling, and `desktop-auto-save-cancel-timer' when disabling.
	(desktop-auto-save-cancel-timer): New function with some code from
	`desktop-auto-save-set-timer'.
	(after-init-hook): Don't call `desktop-auto-save-set-timer'.
	Instead of setting `desktop-save-mode' to nil, call
	`desktop-save-mode' with arg 0.  (Bug#16630)

2014-02-07  Glenn Morris  <rgm@gnu.org>

	* hi-lock.el (hi-lock-auto-select-face, hi-lock-line-face-buffer)
	(hi-lock-face-buffer, hi-lock-face-phrase-buffer)
	(hi-lock-face-symbol-at-point, hi-lock-read-face-name): Doc tweaks.

	* obsolete/iswitchb.el: Move to obsolete/.
	* simple.el (iswitchb-mode): Add manual autoloads to ease transition,
	since obsolete/ is not scanned for autoloads.
	* emacs-lisp/authors.el (authors-valid-file-names):
	Add iswitchb.el.

	* obsolete/meese.el: Restore as obsolete (deleted 2014-01-11).
	Disable now non-functional find-file-hook.

2014-02-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-start-file-process): Use "&&"
	instead of ";" in order to avoid additional prompts.  Let heredoc
	scripts read from tty.  (Bug#16582)
	(tramp-send-command): No special handling of heredocs, it isn't
	necessary anymore.

2014-02-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (lisp-completion-at-point): Symbols don't start
	with a space (bug#16664).  Limit the symbols considered to the ones
	that are bound or fbound (bug#16646).

2014-02-06  Glenn Morris  <rgm@gnu.org>

	* epa.el (epa-mail-aliases): Doc fix.

2014-02-06  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/lisp.el (lisp-completion-at-point):
	Use `completion-table-merge' instead of `completion-table-in-turn'
	(bug#16604).

	* minibuffer.el (completion-table-merge): New function.

2014-02-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-end-of-heredoc): New defconst.
	(tramp-sh-handle-set-file-acl)
	(tramp-sh-handle-start-file-process)
	(tramp-sh-handle-write-region, tramp-sh-handle-vc-registered)
	(tramp-find-executable, tramp-send-command): Use it.

2014-02-05  Glenn Morris  <rgm@gnu.org>

	* epa.el (epa-mail-aliases): Fix custom type.  Doc tweak.

2014-02-04  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-shell-send-string)
	(python-shell-send-string-no-output): Fix docstring (Bug#16547).

2014-02-04  Anders Lindgren  <andlind@gmail.com>

	* emacs-lisp/ert.el (ert--activate-font-lock-keywords): Allow dashes in
	the names (bug#16620).

2014-02-03  Martin Rudalics  <rudalics@gmx.at>

	* faces.el (window-divider): New default value.  Rewrite doc-string.
	(window-divider-first-pixel, window-divider-last-pixel): New faces.

2014-02-03  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-font-lock-keywords): `private',
	`protected' and `public' can also be called without arguments.

2014-02-03  Glenn Morris  <rgm@gnu.org>

	* register.el (window-configuration-to-register)
	(frame-configuration-to-register): Unadvertise unused argument.
	* frameset.el (frameset-to-register): Remove unused argument.

	* frameset.el (frameset-to-register):
	* kmacro.el (kmacro-to-register):
	* register.el (increment-register):
	* calc/calc-yank.el (calc-copy-to-register, calc-insert-register)
	(calc-append-to-register, calc-prepend-to-register):
	* play/gametree.el (gametree-layout-to-register)
	(gametree-apply-register-layout):
	* textmodes/picture.el (picture-clear-rectangle-to-register)
	(picture-yank-rectangle-from-register):
	* vc/emerge.el (emerge-combine-versions-register):
	Use register-read-with-preview to read registers.

2014-02-03  João Távora  <joaotavora@gmail.com>

	* elec-pair.el (electric-pair-backward-delete-char): Don't error
	when at beginning of (possibly narrowed) buffer.

2014-02-02  Daniel Colascione  <dancol@dancol.org>

	* help-at-pt.el (help-at-pt-string, help-at-pt-maybe-display):
	Also try to display local help from just before point.

2014-02-02  Alan Mackenzie  <bug-cc-mode@gnu.org>

	c-parse-state.  Don't "append-lower-brace-pair" in certain
	circumstances.  Also fix an obscure bug where "\\s!" shouldn't be
	recognised as a comment.

	* progmodes/cc-engine.el (c-state-pp-to-literal): Check for "\\s!"
	as well as normal comment starter.
	(c-parse-state-get-strategy): Extra return possibility
	'back-and-forward.
	(c-remove-stale-state-cache): Extra element CONS-SEPARATED in
	return value list to indicate replacement of a brace-pair cons
	with its car.
	(c-parse-state-1): With 'back-and-forward, only call
	c-append-lower-brace-pair-to state-cache when cons-separated.

2014-02-02  Jan Djärv  <jan.h.d@swipnet.se>

	* term/ns-win.el (ns-suspend-error): New function.
	(ns-initialize-window-system): Add ns-suspend-error to
	suspend-hook (Bug#16612).

2014-02-02  Daniel Colascione  <dancol@dancol.org>

	* progmodes/cc-defs.el (c-find-assignment-for-mode):
	Make loading cc-mode silent.

2014-02-02  Daniel Colascione  <dancol@dancol.org>

	* comint.el (comint-prompt-read-only): Change doc to suggest
	remap keybinding.

2014-02-02  Glenn Morris  <rgm@gnu.org>

	* register.el (register-read-with-preview, point-to-register)
	(window-configuration-to-register, frame-configuration-to-register)
	(jump-to-register, number-to-register, view-register, insert-register)
	(copy-to-register, append-to-register, prepend-to-register)
	(copy-rectangle-to-register): Doc fixes.

2014-02-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help-fns.el (help-C-file-name): Handle advised functions (bug#16478).
	* emacs-lisp/find-func.el (find-function-C-source): Idem.
	* emacs-lisp/nadvice.el (advice--cd*r): New function.
	* help-fns.el (describe-function-1): Use it.

2014-02-02  Glenn Morris  <rgm@gnu.org>

	* register.el (register-preview-default): New function,
	split from register-preview.
	(register-preview-function): Rename from register-preview-functions,
	make it not a hook.
	(register-preview): Use register-preview-function.
	(register-read-with-preview): Error on non-character event.  (Bug#16595)

2014-02-01  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie--implicit-semi-p): Check for
	`:' before binary operators (bug#16609).  Don't check for `:'
	before `[' and `(', or their syntax status.  A percent literal
	can't end with either.
	(ruby-font-lock-keywords): For built-ins that require arguments,
	check that they're followed by something that looks like argument
	(bug#16610).

2014-02-01  Lars Ingebrigtsen  <larsi@gnus.org>

	* subr.el (butlast): Document what an omitted N means (bug#13437).
	(nbutlast): Ditto.

2014-01-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-generic): Make into a defsubst to make the stack
	depth shallower (bug#16587).
	(shr-tag-svg): Respect `shr-inhibit-images'.
	(shr-dom-to-xml): Respect `shr-blocked-images' (bug#15882).

2014-01-31  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-align-chained-calls): New option.
	(ruby-smie-grammar): Make "." right-associative.  Make its priority
	lower than the ternary and all binary operators.
	(ruby-smie-rules): Indent "(" relative to the first non-"."
	parent, or the first "." parent at indentation.
	Use `ruby-align-chained-calls' for indentation of "." tokens.
	(Bug#16593)

2014-01-31  Juri Linkov  <juri@jurta.org>

	* sort.el (delete-duplicate-lines): Remove `:weakness 'key'
	from `make-hash-table'.

	* textmodes/ispell.el (ispell-init-process): Change message format
	to be consistent with other messages.

2014-01-31  Glenn Morris  <rgm@gnu.org>

	* delsel.el (delete-selection-mode): Doc fix.

	* emacs-lisp/trace.el (trace--read-args, trace-function-foreground)
	(trace-function-background): Doc fixes.

	* ido.el (ido-use-virtual-buffers): Doc fix.
	Reset :version, since the default value has not changed.

	* register.el (register-preview-delay, register-read-with-preview):
	Doc fixes.

	* mail/reporter.el (reporter-dump-variable): In case of void-variable,
	do not mess with mail-buffer position (fixes 2009-11-03 change).
	* progmodes/cc-mode.el (c-submit-bug-report):
	Check auto-fill-mode is bound.  (Bug#16592)

2014-01-31  Darren Hoo  <darren.hoo@gmail.com>

	* startup.el (fancy-splash-image-file): New function,
	split from fancy-splash-head.
	(fancy-splash-head, use-fancy-splash-screens-p): Use it,
	so that we are both using the same image.  (Bug#16574)

2014-01-30  Glenn Morris  <rgm@gnu.org>

	* simple.el (eval-expression): Doc fix.

	* hexl.el (hexl-mode-hook):
	* ielm.el (ielm-mode-hook):
	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-hook)
	(lisp-interaction-mode-hook):
	* progmodes/cfengine.el (cfengine3-documentation-function):
	Replace obsolete alias `turn-on-eldoc-mode' with `eldoc-mode'.

2014-01-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/eieio-opt.el (eieio-help-generic): Don't assume `generic'
	is a symbol (bug#16584).

2014-01-30  Glenn Morris  <rgm@gnu.org>

	* help.el (help-for-help-internal): Add "P" to text.

2014-01-29  Glenn Morris  <rgm@gnu.org>

	* simple.el (just-one-space, cycle-spacing): Doc fixes.

2014-01-28  Martin Rudalics  <rudalics@gmx.at>

	* window.el (fit-frame-to-buffer): Fix calculations for margins and
	height constraints.

2014-01-28  Luke Lee  <luke.yx.lee@gmail.com>

	* progmodes/hideif.el: Extend to full CPP expression syntax.
	(hif-token-alist): Add missing tokens.
	(hif-token-regexp): Add support for float/octal/hex immediates.
	(hif-string-literal-regexp): New const.
	(hif-tokenize): Recognize strings and float/octal/hex immediates.
	(hif-exprlist): New function.
	(hif-parse-if-exp): Use it.
	(hif-logior-expr, hif-logxor-expr, hif-logand-expr, hif-comp-expr)
	(hif-logshift-expr, hif-muldiv-expr, hif-lognot, hif-shiftleft)
	(hif-shiftright, hif-multiply, hif-divide, hif-modulo, hif-equal)
	(hif-logxor, hif-comma): New functions.

2014-01-28  Glenn Morris  <rgm@gnu.org>

	* textmodes/fill.el (fill-single-char-nobreak-p): Doc tweak.

	* indent.el (tab-stop-list): Doc fix.  Add :version.

	* vc/pcvs.el (vc-editable-p, vc-checkout): Remove unused declarations.
	(cvs-append-to-ignore): Add compatibility alias.

2014-01-27  Glenn Morris  <rgm@gnu.org>

	* dired.el (dired-hide-details-mode): Don't autoload it,
	since it cannot be used outside Dired buffers anyway.

	* emulation/cua-base.el (cua-mode): Doc fix.

	* dired.el (dired-hide-details-hide-symlink-targets)
	(dired-hide-details-hide-information-lines)
	(dired-hide-details-mode): Doc fixes.

	* shadowfile.el (shadow-info-file, shadow-todo-file): Doc fix.
	* strokes.el (strokes-file): Doc fix.  Bump :version.
	(strokes-help): Doc fix.
	* emulation/viper-init.el (viper-vi-style-in-minibuffer): Doc fix.
	* emulation/viper.el (viper): Doc fix for custom group.
	(top-level): Remove oh-so-no-longer-relevant text about vip.
	* obsolete/otodo-mode.el (todo-prefix): Doc fix.

	* ido.el (ido-save-directory-list-file):
	* saveplace.el (save-place-file):
	* calendar/timeclock.el (timeclock-file):
	* net/quickurl.el (quickurl-url-file):
	* obsolete/otodo-mode.el (todo-file-do, todo-file-done, todo-file-top):
	* progmodes/idlwave.el (idlwave-config-directory):
	* textmodes/remember.el (remember-data-file):
	Bump :version.

2014-01-26  Glenn Morris  <rgm@gnu.org>

	* progmodes/opascal.el (opascal-tab-always-indents, opascal-tab):
	Doc fix.  Make obsolete.
	(opascal-mode): No longer mention opascal-tab-always-indents in doc.

	* sort.el (delete-duplicate-lines): Doc fix.

2014-01-25  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* progmodes/ada-mode.el (ada):
	* woman.el (woman): Link to info manual and Commentary section.

	* progmodes/flymake.el (flymake):
	* nxml/nxml-mode.el (nxml):
	* net/eww.el (eww):
	* speedbar.el (speedbar, speedbar-faces, speedbar-vc):
	* htmlfontify.el (htmlfontify):
	* ses.el (ses):
	* epa.el (epa):
	* ido.el (ido): Link to info manual.

2014-01-25  Leo Liu  <sdl.web@gmail.com>

	* progmodes/flymake.el (flymake-make-overlay): No rear advance.

2014-01-25  Adam Sjøgren  <asjo@koldfront.dk>

	* net/shr.el (shr-tag-img): Prefer the title over the alt text
	(bug#16537).

2014-01-24  Juanma Barranquero  <lekktu@gmail.com>

	* net/eww.el (eww-download-callback):
	Fix reference to eww-download-directory.

	* emacs-lisp/bytecomp.el (byte-compile-file):
	Remove unused local variable `file-name'.

2014-01-24  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-default-faces, woman-monochrome-faces):
	Fix obsolescence specification.

	* subr.el (with-demoted-errors): Doc fix.

2014-01-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/cl-macs.el: Improve type->predicate mapping (bug#16520).
	(cl--macroexp-fboundp): New function.
	(cl--make-type-test): Use it.

2014-01-23  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/lisp-mode.el (eval-print-last-sexp, eval-last-sexp):
	* simple.el (eval-expression): Doc fixes.

2014-01-22  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-fixed-entries): Addition.

2014-01-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el: Write files silently.
	(package-autoload-ensure-default-file, package--write-file-no-coding)
	(package-generate-description-file, package--download-one-archive)
	(package-install-from-archive): Tell `write-region' to stay quiet.
	(package-menu-mode, package-menu--print-info): Omit the Archive column
	if there's only one archive.
	(package-all-keywords, package--has-keyword-p): Remove dead code.

2014-01-22  Glenn Morris  <rgm@gnu.org>

	* version.el (emacs-bzr-version-bzr): Fix typo.

	* version.el (emacs-repository-get-version):
	Check either .bzr or .git, but not both.
	Make the git case actually use the DIR argument, and return nil
	rather than the empty string.
	Avoid error if .git exists but the git executable is not found.

2014-01-22  Martin Rudalics  <rudalics@gmx.at>

	Fixes in window size functions around Bug#16430 and Bug#16470.
	* window.el (window-total-size, window-size): New argument ROUND.
	(window--min-delta-1, window-min-delta, window--max-delta-1):
	Be more conservative when calculating the numbers of lines or
	columns a window can shrink (Bug#16430).
	(fit-window-to-buffer): Simplify code.
	* term.el (term-window-width): Call window-body-width again.

2014-01-22  Glenn Morris  <rgm@gnu.org>

	* image.el (image-format-suffixes): Doc fix.

	* international/quail.el (quail-define-package): Doc fix.

	* emacs-lisp/authors.el (authors-valid-file-names)
	(authors-renamed-files-alist): Additions.

	* vc/vc-git.el (vc-git-print-log): Remove --follow;
	reverts 2014-01-09 change.  (Bug#16422)

	* calc/calc-embed.el (thing-at-point-looking-at):
	* emacs-lisp/map-ynp.el (x-popup-dialog):
	* obsolete/lmenu.el (x-popup-dialog):
	* emacs-lisp/package.el (url-recreate-url):
	* mail/mailclient.el (clipboard-kill-ring-save):
	* subr.el (x-popup-dialog): Update declaration.
	* mail/rmail.el (rmail-mime-message-p):
	* window.el (tool-bar-lines-needed): Remove unnecessary declaration.

2014-01-21  Daniel Colascione  <dancol@dancol.org>

	* progmodes/sh-script.el (sh--inside-noncommand-expression):
	Correctly detect when we're inside an arithmetic expansion form
	containing nested parenthesis.
	(sh--maybe-here-document): Use `sh--inside-noncommand-expression'
	to detect cases where we shouldn't expand "<<" to a heredoc
	skeleton.

2014-01-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/eldoc.el: Properly remove message in minibuffer case.
	(eldoc--message-command-p): New function.
	(eldoc-display-message-p): Use it.
	(eldoc-pre-command-refresh-echo-area): In the minibuffer case, the
	message is not automatically erased for us.
	(eldoc-print-current-symbol-info): Erase previous message, if any.

2014-01-21  Tassilo Horn  <tsdh@gnu.org>

	* textmodes/reftex.el (reftex-create-bibtex-file): Fix autoload to
	specify it's an interactive function.

	* textmodes/reftex-cite.el (reftex-all-used-citation-keys):
	Fix regex used for scanning for citation keys which failed for
	citations with optional arguments.

2014-01-21  Leo Liu  <sdl.web@gmail.com>

	* simple.el (read--expression): Don't enable eldoc-mode.

2014-01-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (move-beginning-of-line): Make sure we don't move forward
	(bug#16497).

2014-01-20  Juri Linkov  <juri@jurta.org>

	* saveplace.el (toggle-save-place, save-place-to-alist)
	(save-places-to-alist, save-place-dired-hook): Add (derived-mode-p
	'dired-mode) before checking for dired-directory.  (Bug#16477)

2014-01-20  Juri Linkov  <juri@jurta.org>

	* indent.el (indent-line-to): Use backward-to-indentation
	instead of back-to-indentation.  (Bug#16461)

2014-01-20  Paul Eggert  <eggert@cs.ucla.edu>

	Revert some of the CANNOT_DUMP fix (Bug#16494).
	Because of this, "make bootstrap" won't work if CANNOT_DUMP=yes,
	but fixing this can wait until after the next release.
	* Makefile.in (emacs): Keep EMACSLOADPATH empty.

2014-01-19  Michael Albinus  <michael.albinus@gmx.de>

	* eshell/esh-mode.el (eshell-password-prompt-regexp):
	Use `password-word-equivalents'.
	(eshell-watch-for-password-prompt): Let-bind `case-fold-search'
	to t.  (Bug#5664, Bug#13124)

2014-01-19  Alan Mackenzie  <acm@muc.de>

	Bind open-paren-in-column-0-is-defun-start to nil at some entry
	points.
	* progmodes/cc-engine.el (c-invalidate-state-cache-1)
	(c-parse-state-1, c-guess-basic-syntax): Bind it here.
	* progmodes/cc-mode.el (c-before-change, c-after-change)
	(c-font-lock-fontify-region): Bind it here.

2014-01-19  Martin Rudalics  <rudalics@gmx.at>

	* term.el (term-window-width): Call window-text-width instead of
	window-width (Bug#16470).

2014-01-18  Paul Eggert  <eggert@cs.ucla.edu>

	* simple.el (password-word-equivalents): Remove duplicates.
	Sort, to make this easier next time.
	Downcase.  Omit ": " after "jelszó".

2014-01-18  Jan Djärv  <jan.h.d@swipnet.se>

	* term/common-win.el (saved-region-selection): Defvar it.
	(x-select-text): Set saved-region-selection (Bug#16382).

2014-01-18  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases)
	(authors-renamed-files-alist): Add some entries.

2014-01-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-password-prompt-regexp):
	Use `password-word-equivalents' if available.
	(tramp-action-password, tramp-process-one-action)
	(tramp-read-passwd): Let-bind `case-fold-search' to t.  (Bug#13124)

2014-01-17  Chong Yidong  <cyd@gnu.org>

	* simple.el (password-word-equivalents): New defcustom.
	* comint.el (comint-password-prompt-regexp): Use it.  Bump version
	to 24.4.
	(comint-watch-for-password-prompt): Let-bind `case-fold-search'
	to t.  (Bug#13124)

2014-01-17  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-alignable-keywords): New constant.
	(ruby-align-to-stmt-keywords): Change the default value.
	Use `ruby-alignable-keywords' to generate the possible customization
	choices.
	(ruby-smie-rules): Instead of using a hardcoded list of alignable
	keywords, check against the value of `ruby-alignable-keywords'
	(http://lists.gnu.org/archive/html/emacs-devel/2014-01/msg01439.html).

2014-01-17  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases): Remove unnecessary entries.

	Make M-x authors return zero *Authors Errors* from current logs.
	* emacs-lisp/authors.el (authors-obsolete-files-regexps)
	(authors-ignored-files): Add some entries, remove others.
	(authors-ambiguous-files, authors-valid-file-names):
	Add some entries.
	(authors-renamed-files-alist): Add, remove, and adjust entries.
	(authors-renamed-files-regexps): Add some entries.
	Remove some very broad ones.  Make some entries `lax'.
	(authors-lax-changelogs): New constant.
	(authors-disambiguate-file-name): Treat top-level specially.
	(authors-lax-changelog-p): New function.
	(authors-canonical-file-name): Check file as written against
	authors-valid-file-names.  Do not special-case etc/.
	Handle `lax' logs and authors-renamed-files-regexps elements.

2014-01-16  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/package.el (package-desc--keywords): Use `cdr' with
	`assoc'.  Use `nth' instead of `cdr'.  Make private.  Update all
	callers.

2014-01-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* follow.el (follow-adjust-window): Remove `dest' argument (bug#16426).
	Assume we're already in the proper buffer.
	Inspired by Anders Lindgren <andlind@gmail.com>.
	(follow-post-command-hook): Call it from the right buffer.
	(follow-comint-scroll-to-bottom): Adjust call.
	(follow-all-followers): Use get-buffer-window-list.

2014-01-15  Daniel Colascione  <dancol@dancol.org>

	* emacs-lisp/bytecomp.el (byte-compile-file): Use whole
	`buffer-file-name' in interactive-form so that we don't leave
	pathless file names in `file-name-history'.

2014-01-15  Juri Linkov  <juri@jurta.org>

	* indent.el (indent-rigidly): Set deactivate-mark to nil
	in transient indentation mode.  (Bug#16438)

2014-01-15  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/package.el (package-desc-keywords): New function
	(Bug#16222).
	(describe-package-1, package-all-keywords)
	(package--has-keyword-p): Use it.

2014-01-14  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* simple.el (define-alternatives): When creating the
	COMMAND-alternatives variable, assign COMMAND as its definition
	name so that `describe-variable' can relocate it.

2014-01-14  Matthew Leach  <matthew@mattleach.net>  (tiny change)

	* font-lock.el (font-lock-keywords): Fix typo in docstring
	(bug#16307).

2014-01-14  Agustín Martín Domingo  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-region): Reset `in-comment' for new
	line instead of wrongly reset `add-coment' (bug#13577).

2014-01-14  Daiki Ueno  <ueno@gnu.org>

	* epa-file.el (epa-file-write-region): Encode the region according
	to `buffer-file-format'.  Problem reported at:
	<http://sourceforge.jp/ticket/browse.php?group_id=2267&tid=32917>.

2014-01-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/edebug.el (edebug--display): Move protective let-binding
	so it applies in the right buffer (bug#16410).

2014-01-13  Daniel Colascione  <dancol@dancol.org>

	* textmodes/rst.el (rst-define-key): Provide deprecated
	keybindings through named functions instead of anonymous ones so
	that "??" doesn't appear in describe-mode output.

2014-01-13  Bastien Guerry  <bzg@gnu.org>

	* simple.el (define-alternatives): Call the selected command
	interactively.  When setting `COMMAND--implementation' for the
	first time, tell the user how to chose another implementation.
	Enhance the docstring.

2014-01-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/log-edit.el: Fix highlighting of summary when it's the first line.
	(log-edit--match-first-line): New function.
	(log-edit-font-lock-keywords): Use it.
	(log-edit-mode): Make jit-lock-defer-multiline work.

2014-01-13  Bastien Guerry  <bzg@gnu.org>

	* rect.el (rectangle-mark-mode): When the region is not active,
	display a message saying that the mark as been set and that
	rectangle mode is in use.
	(rectangle--highlight-for-redisplay): Only put an overlay with a
	visible vertical bar when (display-graphic-p) is non-nil.
	This partially fixes Bug#16403.

2014-01-13  Juri Linkov  <juri@jurta.org>

	* info.el (Info-find-file): Go to DIR before displaying the error
	about a nonexistent file if no previous Info file is visited.
	Use `user-error' instead of `error' for "Info file %s does not exist".
	(Info-find-node-2): In case of a nonexistent node in unwind forms
	go to the Top node if there is no previous node to revert to.
	(Bug#16405)

2014-01-13  Martin Rudalics  <rudalics@gmx.at>

	fit-frame/window-to-buffer code fixes including one for Bug#14096.
	* window.el (fit-frame-to-buffer): Fix doc-string.
	Respect window-min-height/-width.  Fit pixelwise when
	frame-resize-pixelwise is non-nil.  Adjust right/bottom edge
	when avoiding that frame goes partially off-screen.
	(fit-window-to-buffer): Respect window-min-height/-width
	(Bug#14096).

2014-01-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* indent.el (indent-according-to-mode): Flush to column 0 in text-mode
	after an empty line.

2014-01-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/shr.el (shr-render-region): Autoload.

2014-01-12  Xue Fuqiao  <xfq.free@gmail.com>

	* net/eww.el (eww-download-directory): Rename from
	`eww-download-path' (Bug#16419).

2014-01-12  Leo Liu  <sdl.web@gmail.com>

	* dired-x.el (dired-mode-map): Fix last change.

	* emacs-lisp/eldoc.el (eldoc-mode): Add hook locally.

2014-01-12  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fixes.
	* emacs-lisp/generic.el (generic--normalize-comments):
	Rename from generic--normalise-comments.  All uses changed.
	* play/bubbles.el (bubbles--neighborhood-score)
	(bubbles--mark-direct-neighbors, bubbles--mark-neighborhood)
	(bubbles--neighborhood-available)
	(bubbles--update-neighborhood-score):
	Rename from names with 'neighbourhood'.  All uses changed.

2014-01-12  Leo Liu  <sdl.web@gmail.com>

	Re-implement the feature of showing eldoc info after editing.
	* emacs-lisp/eldoc.el (eldoc-post-insert-mode): Remove.
	(eldoc-edit-message-commands): New function.
	(eldoc-print-after-edit): New variable.
	(eldoc-pre-command-refresh-echo-area): Emit message only by
	eldoc-message-commands.
	(eldoc-mode): Restrict eldoc-message-commands to editing commands
	if eldoc-print-after-edit is set.  (Bug#16346)
	* simple.el (read--expression): Enable eldoc-mode.
	* progmodes/octave.el (octave-mode-menu): Adapt to change in eldoc.

2014-01-11  Dani Moncayo  <dmoncayo@gmail.com>
	    Eric S. Raymond  <esr@thyrsus.com>

	* version.el (emacs-repository-get-version): Enhance so the
	function works correctly in either a Bazaar or Git repo.

2014-01-11  Eric S. Raymond  <esr@thyrsus.com>

	* play/meese.el: It's 2014 and Ed Meese is justly forgotten.
	Goes with removal of the joke manpages from /etc.

2014-01-10  Kenichi Handa  <handa@gnu.org>

	* mail/rmail.el (rmail-get-coding-system):
	Check rmail-get-coding-function before "funcall"ing it.

2014-01-10  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-fixed-entries):
	Update for files that no longer exist.

2014-01-10  Eric S. Raymond  <esr@thyrsus.com>

	* version.el (emacs-bzr-get-version): Restore compatibilty with
	24.3 (Tested).

2014-01-10  Bozhidar Batsov  <bozhidar@batsov.com>

	* progmodes/ruby-mode.el (auto-mode-alist): Add .podspec
	and Podfile.

2014-01-10  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/authors.el (authors-fixed-entries): Update my entry.

2014-01-10  Chong Yidong  <cyd@gnu.org>

	* progmodes/octave.el (octave-mode-menu): Don't assume eldoc is loaded.

2014-01-10  Anders Lindgren  <andlind@gmail.com>

	* follow.el (follow-cache-command-list): Include right-char and
	left-char.

2014-01-10  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fixes.
	* mail/unrmail.el (unrmail-mbox-format): Choice is mboxo, not mboxro.
	* woman.el (woman-mark-horizontal-position):
	Rename from woman-mark-horizonal-position.  Use changed.

2014-01-10  Glenn Morris  <rgm@gnu.org>

	* info.el (info-initialize): If running uninstalled, ensure our
	own info files are always found first, even if INFOPATH is set.

	* help.el (view-order-manuals): Open emacs.info rather than ORDERS.

2014-01-09  David Engster  <deng@randomsample.de>

	* emacs-lisp/eieio-custom.el:
	* emacs-lisp/eieio-opt.el: Set generated autoload file to
	'eieio.el'.  This was accidentally removed in 2012-10-01T18:10:29Z!cyd@gnu.org.
	* emacs-lisp/eieio.el: Regenerate autoloads.

2014-01-09  Eric S. Raymond  <esr@thyrsus.com>

	* vc/vc-git.el (vc-git-print-log): Add --follow option to command,
	following renames.  (Bug#8756)

2014-01-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (deactivate-mark, activate-mark): Force-mode-line-update
	(bug#16382).
	(activate-mark): Add `no-tmm' argument.
	(set-mark, push-mark-command): Use it instead of running
	activate-mark-hook by hand.

2014-01-08  Eric S. Raymond  <esr@thyrsus.com>

	In preparation for the move to git, sanitize out some
	Bazaar-specific names.

	* emacs-lisp/authors.el: INSTALL.BZR renamed to INSTALL.REPO.

	* version.el (emacs-bzr-version): Name changed to
	emacs-repository-version.  Obsolete-variable alias made.
	* loadup.el: Follow through on this name change.
	* mail/emacsbug.el (report-emacs-bug): Factor out any
	assumption about the version control system in use.

2014-01-08  David Engster  <deng@randomsample.de>

	* help-fns.el (help-fns-describe-function-functions):
	New variable to call functions for augmenting help buffers.
	(describe-function-1): Remove explicit calls to
	`help-fns--compiler-macro', `help-fns--parent-mode' and
	`help-fns--obsolete'.  Put them in above new variable instead, and
	call them through `run-hook-with-args'.
	* emacs-lisp/eieio-opt.el (eieio-help-class): Rename from
	`eieio-describe-class'.  Not meant for interactive use anymore,
	but to augment existing help buffers.  Remove optional second
	argument.  Create proper button for file location.
	Rewrite function to use `insert' instead of `princ' and `prin1' where
	possible.
	(eieio-help-class-slots): Rename from `eieio-describe-class-slots'.
	(eieio-method-def, eieio-class-def): Move further up.
	(describe-method, describe-generic, eieio-describe-method):
	Remove aliases.
	(eieio-help-constructor, eieio-help-generic): Rename from
	`eieio-describe-constructor' and `eieio-describe-generic', resp.
	Rewrite to use `insert' in the current buffer and use proper help
	buttons.
	(eieio-help-find-method-definition)
	(eieio-help-find-class-definition): Also accept symbols as
	arguments.
	(eieio-help-mode-augmentation-maybee): Remove.
	(eieio-describe-class-sb): Use `describe-function'.
	* emacs-lisp/eieio.el (help-fns-describe-function-functions):
	Add `eieio-help-generic' and `eieio-help-constructor'.

2014-01-08  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fixes.
	* language/china-util.el (hz-ascii-designation):
	Rename from hz-ascii-designnation.
	(hz-ascii-designation): Rename from hz-ascii-designnation.
	All uses changed.

2014-01-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el (package-delete): Only remove pkg-desc from
	package-alist.

2014-01-08  Bastien Guerry  <bzg@gnu.org>

	* emacs-lisp/package.el (package-delete):
	Correctly delete the package from package-alist.

2014-01-08  Daiki Ueno  <ueno@gnu.org>

	* emacs-lisp/package.el (url-recreate-url): Declare.
	(url-http-target-url): Declare.
	(package-handle-response): Include requested URL in the error message.
	(package--check-signature): Don't re-signal errors from
	package--with-work-buffer.  Suggested by Stefan Monnier.

2014-01-07  Bastien Guerry  <bzg@gnu.org>

	* minibuffer.el (completion--try-word-completion): When both a
	hyphen and a space are possible candidates for the character
	following a word, display both candidates.  (Bug#15980)

2014-01-07  Martin Rudalics  <rudalics@gmx.at>

	* window.el (balance-windows-2): While rounding don't give a
	window more than the remainder.  Bug#16351, bug#16383.

2014-01-07  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-help-extra-packages): Remove.
	(menu-bar-help-menu): Use view-external-packages instead.

2014-01-07  Bastien Guerry  <bzg@gnu.org>

	* emacs-lisp/package.el (package-delete): Also delete the package
	name from `package-alist', not its description only.

2014-01-07  Glenn Morris  <rgm@gnu.org>

	* help.el (view-external-packages):
	* menu-bar.el (menu-bar-help-extra-packages):
	Visit efaq.info rather than etc/MORE.STUFF.

2014-01-07  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode-map): Bind [return] and [backspace] to
	isearch-exit and isearch-delete-char resp.  (Bug#16342, bug#16035)

	* progmodes/ps-mode.el (ps-mode-map): Remove [return] key binding
	that shadows RET.  (Bug#16342)

2014-01-07  Chong Yidong  <cyd@gnu.org>

	* isearch.el (isearch-yank-char, isearch-yank-word)
	(isearch-yank-line): Doc fix.

2014-01-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (define-abbrev): Beware new meaning of fboundp.
	* emacs-lisp/elint.el (elint-find-builtins):
	* emacs-lisp/eldoc.el (eldoc-symbol-function):
	* emacs-lisp/bytecomp.el (byte-compile-callargs-warn)
	(byte-compile-file-form-defmumble, byte-compile, byte-compile-form):
	* emacs-lisp/byte-opt.el (byte-compile-inline-expand):
	* apropos.el (apropos-safe-documentation):
	* subr.el (symbol-file): Remove redundant fboundp.
	* progmodes/idlw-shell.el (idlwave-shell-comint-filter): Use defalias.

2014-01-06  Bastien Guerry  <bzg@gnu.org>

	* hl-line.el (global-hl-line-overlay): Make a local variable.
	(global-hl-line-overlays): New variable to store all overlays.
	(global-hl-line-mode): Don't delete overlays from the current
	buffer when `global-hl-line-sticky-flag' is non-nil.
	(global-hl-line-highlight): Add new overlays to
	`global-hl-line-overlays'.
	(global-hl-line-unhighlight-all): New function to delete all
	overlays when turning off `global-hl-line-mode'.
	This fixes Bug#16183.

2014-01-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (set-transient-map): Fix nested case and docstring.

2014-01-06  Tassilo Horn  <tsdh@gnu.org>

	* textmodes/reftex-vars.el (reftex-label-alist-builtin): Add a
	`Texinfo' entry.

2014-01-06  Daniel Colascione  <dancol@dancol.org>

	Fix defun navigation in vc log view.

	* vc/log-view.el (log-view-beginning-of-defun): Rewrite to behave
	like `beginning-of-defun'.
	(log-view-end-of-defun, log-view-end-of-defun-1): Rename old
	log-view-end-of-defun to log-view-end-of-defun-1.  Replace
	log-view-end-of-defun with wrapper that behaves like `end-of-defun'.
	(log-view-extract-comment): Call `log-view-current-entry' directly
	instead of relying on broken `log-view-beginning-of-defun' behavior.

2014-01-06  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fixes.
	* calc/calc-yank.el (calc-edit-mode, calc-edit-cancel):
	* emacs-lisp/debug.el (cancel-debug-on-entry):
	* epg.el (epg-error-to-string):
	* files.el (recover-file):
	* lpr.el (lpr-buffer, print-buffer, lpr-region, print-region):
	* mail/emacsbug.el (report-emacs-bug-hook):
	* mail/sendmail.el (mail-recover):
	* ses.el (ses-yank-resize):
	* term/ns-win.el (ns-print-buffer):
	Spelling fixes in diagnostics, mostly for "canceled" with one L.
	* epg.el (epg-key-capability-alist): Rename from misspelled version.
	All uses changed.
	* obsolete/xesam.el (xesam-all-fields): Fix misspelled field name.

2014-01-06  Leo Liu  <sdl.web@gmail.com>

	* dired-x.el (dired-mode-map): Rebind dired-omit-mode to C-x M-o
	to avoid shadowing global key.  (Bug#16354)

2014-01-06  Daniel Colascione  <dancol@dancol.org>

	* textmodes/rst.el (rst-mode): Set electric-indent-inhibit for
	rst-mode.

2014-01-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (balance-windows): Add mising t to fix Bug#16351.

2014-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-descend): Don't bug out if the anchor is empty
	(bug#16285).
	(shr-insert): If we have a word that's longer than `shr-width',
	break after it anyway.  Otherwise we'll do no breaking once we get
	such a long word.

2014-01-05  Kenjiro NAKAYAMA  <nakayamakenjiro@gmail.com>

	* net/eww.el (eww): Support single/double quote for search.
	* net/eww.el (eww-list-histories, eww-history-browse): Fixup.
	(eww-history-quit): Delete and use quit-window.
	(eww-history-kill): Delete, because it doesn't work well and
	not necessary.
	(eww-history-mode-map): Delete some keys and add easy-menu.

2014-01-05  Paul Eggert  <eggert@cs.ucla.edu>

	Fix misspelling of 'chinese' in rx (Bug#16237).
	* emacs-lisp/rx.el (rx-categories): Correct spelling of
	chinese-two-byte.

	Change subword regexps back to vars (Bug#16296).
	* progmodes/subword.el (subword-forward-regexp)
	(subword-backward-regexp): Change these back to variables.

2014-01-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp-mode.el (lisp-mode-variables): Don't bother with
	syntax-begin-function (bug#16247).

2014-01-03  Chong Yidong  <cyd@gnu.org>

	* emacs-lisp/nadvice.el (advice--make-docstring): Change args.
	(advice--docstring): Delete variable.
	(advice--make-1): Leave the docstring empty.
	(advice-add): Use function-documentation for advised docstring.

	* emacs-lisp/advice.el (ad--make-advised-docstring): Change args.
	Ignore function-documentation property when getting documentation.
	(ad-activate-advised-definition): Use function-documentation
	generate the docstring.
	(ad-make-advised-definition): Don't call
	ad-make-advised-definition-docstring.
	(ad-make-advised-definition-docstring, ad-advised-definition-p):
	Delete functions.

	* progmodes/sql.el (sql-help): Use function-documentation instead
	of dynamic-docstring-function property.  No need to autoload now.
	(sql--help-docstring): New variable.
	(sql--make-help-docstring): Use it.

2014-01-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ielm.el (ielm-tab): Retarget.
	(ielm-map): Use ielm-tab for tab.
	(ielm-complete-filename): Use comint-filename-completion.
	(ielm-complete-symbol): Remove.
	(inferior-emacs-lisp-mode): Use lisp-completion-at-point instead and
	remove ielm-tab from completion-at-point-functions (bug#16224).

	* emacs-lisp/pcase.el (pcase--split-equal, pcase--split-member):
	Beware signals raised by predicates (bug#16201).

2014-01-02  Richard Stallman  <rms@gnu.org>

	* dired-aux.el (dired-do-print): Handle printer-name.

	* mail/rmailmm.el (rmail-mime-message-p): Move to rmail.el.
	* mail/rmail.el (rmail-mime-message-p): Move from rmailmm.el.
	(rmail-epa-decrypt): Turn off mime processing.

	* mail/rmail.el (rmail-make-in-reply-to-field):
	Add parens in message-id.

	* mail/rmail.el (rmail-get-coding-function): Variable.
	(rmail-get-coding-system): Use it.

2013-12-31  Eli Zaretskii  <eliz@gnu.org>

	* international/mule-conf.el: Unify the charset indian-is13194.
	(indian-is13194): Specify unify-map.

2013-12-31  Leo Liu  <sdl.web@gmail.com>

	* subr.el (set-temporary-overlay-map): Obsolete alias.  (Bug#16305)

2013-12-30  Daniel Colascione  <dancol@dancol.org>

	* term/x-win.el ([XF86WakeUp]): Ignore the XF86WakeUp key instead
	of printing a useless when we resume from sleep.

	* progmodes/sh-script.el
	(sh-smie-sh-forward-token, sh-smie-rc-forward-token): Fix infloop
	in indentation code.  (Bug#16233)

2013-12-28  João Távora  <joaotavora@gmail.com>

	* elec-pair.el (electric-pair-post-self-insert-function):
	Don't open extra newlines at beginning of buffer.  (Bug#16272)

2013-12-28  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (window-system-for-display): Don't allow to create a
	GUI frame from a -nw session on MS-Windows.  (Bug#14739)

2013-12-28  Glenn Morris  <rgm@gnu.org>

	* mail/hashcash.el (hashcash-program): Rename from hashcash-path.
	Update callers.

	* apropos.el (apropos-match-face):
	* calculator.el (calculator-displayer):
	* dabbrev.el (dabbrev-search-these-buffers-only):
	* face-remap.el (buffer-face-mode-face):
	* simple.el (yank-handled-properties):
	* emacs-lisp/testcover.el (testcover-potentially-1value-functions):
	* mail/footnote.el (footnote-mode-line-string, footnote-prefix):
	* mail/hashcash.el (hashcash-accept-resources, hashcash-program)
	(hashcash-double-spend-database):
	* progmodes/ruby-mode.el (ruby-deep-indent-paren)
	(ruby-deep-indent-paren-style):
	* textmodes/flyspell.el (flyspell-auto-correct-binding):
	* textmodes/rst.el (rst-toc-indent, rst-toc-insert-style)
	(rst-toc-insert-number-separator, rst-toc-insert-max-level):
	* vc/pcvs-defs.el (cvs-minor-mode-prefix):
	Specify custom types.

	* emacs-lisp/smie.el (smie-config): Add type, version, initialize.
	* bookmark.el (bookmark-bmenu-use-header-line):
	* doc-view.el (doc-view-scale-internally):
	* pcmpl-x.el (pcmpl-x-tlmgr-program, pcmpl-x-ack-program):
	* register.el (register-preview-delay):
	* net/shr.el (shr-bullet):
	* progmodes/cfengine.el (cfengine-cf-promises)
	(cfengine-parameters-indent):
	* progmodes/octave.el (inferior-octave-error-regexp-alist):
	* textmodes/reftex-vars.el (reftex-label-regexps):
	* vc/log-edit.el (log-edit-setup-add-author): Add version.

	* net/tls.el (tls-certtool-program): Fix default value.

	* desktop.el (desktop-restore-in-current-display):
	* newcomment.el (comment-empty-lines):
	* progmodes/idlwave.el (idlwave-scan-all-buffers-for-routine-info)
	(idlwave-pad-keyword):
	* progmodes/tcl.el (tcl-tab-always-indent):
	* textmodes/reftex-vars.el (reftex-index-default-tag):
	* elec-pair.el (electric-pair-skip-whitespace):
	* progmodes/cfengine.el (cfengine-cf-promises): Fix custom types.

	* emacs-lisp/authors.el (authors-ignored-files)
	(authors-valid-file-names, authors-renamed-files-alist): Additions.

2013-12-27  Jarek Czekalski  <jarekczek@poczta.onet.pl>

	* shell.el (shell-dynamic-complete-command): Doc fix.
	(shell--command-completion-data): Shell completion now matches
	executable filenames from the current buffer's directory, on
	systems in which this behavior is the default (windows-nt, ms-dos).

2013-12-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-insert): Don't infloop if the width is zero.

2013-12-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* icomplete.el (icomplete-show-matches-on-no-input): Default to nil
	(bug#16251).

	* electric.el: Move all electric-pair-* to elec-pair.el.
	* elec-pair.el: New file, split from electric.el.

2013-12-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-find-fill-point): Don't try to fill if the
	indentation level is larger than the width, because that will
	infloop.
	(shr-insert): Fill repeatedly long texts, so that Japanese is
	formatted correctly (bug#16263).
	(shr-find-fill-point): Off by one error in comparison with the
	indentation.

2013-12-26  João Távora  <joaotavora@gmail.com>

	* electric.el (electric-pair-mode): More flexible engine for skip-
	and inhibit predicates, new options for pairing-related functionality.
	(electric-pair-preserve-balance): Pair/skip parentheses and quotes
	if that keeps or improves their balance in buffers.
	(electric-pair-delete-adjacent-pairs): Delete the pair when
	backspacing over adjacent matched delimiters.
	(electric-pair-open-extra-newline): Open extra newline when
	inserting newlines between adjacent matched delimiters.
	(electric--sort-post-self-insertion-hook):
	Sort post-self-insert-hook according to priority values when
	minor-modes are activated.
	* simple.el (newline-and-indent): Call newline with interactive
	set to t.
	(blink-paren-post-self-insert-function): Set priority to 100.
	* emacs-lisp/lisp-mode.el (lisp-mode-variables):
	Use electric-pair-text-pairs to pair backtick-and-quote in strings and
	comments.  Locally set electric-pair-skip-whitespace to 'chomp and
	electric-pair-open-newline-between-pairs to nil.

2013-12-26  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el: Use lexical-binding.
	(python-nav-beginning-of-defun): Stop searching ASAP.

2013-12-25  Xue Fuqiao  <xfq.free@gmail.com>

	* vc/vc.el (vc-ignore): Use `vc-responsible-backend'.
	Fix interactive spec.  Doc fix.  (Bug#15754)

2013-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* emacs-lisp/byte-run.el (eval-when-compile):
	* progmodes/cc-defs.el (cc-eval-when-compile):
	Fix edebug spec (bug#16184).

2013-12-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-visit-file): Remove debugging function.
	(shr-insert): Don't infloop if we can't find a good place to break
	the line (bug#16256).

2013-12-25  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-nav--lisp-forward-sexp): New function.
	(python-nav--lisp-forward-sexp-safe): Use it.  Rename from
	python-nav-lisp-forward-sexp-safe.
	(python-nav--forward-sexp): New argument SAFE allows switching
	forward sexp movement behavior for parens.
	(python-nav-forward-sexp): Throw errors on unterminated parens
	(Bug#16191).
	(python-nav-backward-sexp, python-nav-forward-sexp-safe)
	(python-nav-backward-sexp-safe): New functions.
	(python-shell-buffer-substring):
	Use `python-nav-forward-sexp-safe'.

2013-12-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-find-fill-point): Don't break lines before a
	quotation mark.
	(shr-char-kinsoku-bol-p): The quotation mark isn't a kinsoky BOL char.
	(shr-find-fill-point): Remove the special checks for the quotation
	mark, since `shr-char-kinsoku-bol-p' should now return the right thing.

2013-12-25  Kenjiro NAKAYAMA  <nakayamakenjiro@gmail.com>

	* net/eww.el (eww-form-textarea): Use a different face for
	textareas than text input since they have different keymaps
	(bug#16142).

2013-12-24  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-nav-beginning-of-statement):
	Speed up (Bug#15295).

2013-12-24  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/eww.el (eww-bookmark-browse): Use `quit-window' to restore
	the window configuration.

2013-12-24  Eli Zaretskii  <eliz@gnu.org>

	* net/eww.el (eww-open-file): Ensure 3 slashes after "file:" when
	we run on MS-Windows or MS-DOS.

2013-12-24  Martin Rudalics  <rudalics@gmx.at>

	* window.el (balance-windows-area): Call window-size instead of
	window-height and window-width.  Bug#16241.

2013-12-24  Lars Ingebrigtsen  <larsi@gnus.org>

	* net/eww.el (eww-bookmark-quit): Remove.
	(eww-bookmark-browse): Restore the window configuration when you
	choose a bookmark (bug#16144).

2013-12-24  Daniel Colascione  <dancol@dancol.org>

	* icomplete.el: Remove redundant :group arguments to `defcustom'
	throughout.
	(icomplete-show-matches-on-no-input): New customizable variable.
	(icomplete-minibuffer-setup): Call `icomplete-exhibit' on setup if
	we have something to show.
	(icomplete-exhibit): Compute completions even if we have no user input.

2013-12-23  Daniel Colascione  <dancol@dancol.org>

	* icomplete.el: Move `provide' to end of file.

2013-12-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/gnutls.el (gnutls-verify-error): Add version tag.

2013-12-23  Chong Yidong  <cyd@gnu.org>

	* subr.el (set-transient-map): Rename from
	set-temporary-overlay-map.  Doc fix.

	* face-remap.el (text-scale-adjust):
	* indent.el (indent-rigidly):
	* kmacro.el (kmacro-call-macro):
	* minibuffer.el (minibuffer-force-complete):
	* repeat.el (repeat):
	* simple.el (universal-argument--mode):
	* calendar/todo-mode.el (todo-insert-item--next-param):
	* progmodes/f90.el (f90-abbrev-start): Callers changed.

	* indent.el (indent-rigidly): Use substitute-command-keys.

2013-12-22  Kenjiro NAKAYAMA  <nakayamakenjiro@gmail.com>

	* net/eww.el (eww-tag-select): Add text-property to jump to next
	select field.
	(eww): Add non-supported ftp error.

2013-12-22  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby--electric-indent-p): Improve the
	comments.  Handle electric indent after typing `?' and `!'.

2013-12-22  Chong Yidong  <cyd@gnu.org>

	* faces.el (face-spec-recalc): If the theme specs are not
	applicable to a frame, fall back on the defface spec.
	This prevents themes from obliterating faces on low-color terminals.

2013-12-22  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie--implicit-semi-p): Return t
	after `{'.  We need it after block openers, and it doesn't seem
	to hurt after hash openers.

2013-12-22  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby--at-indentation-p): New function,
	extracted from `ruby-smie-rules'.
	(ruby--electric-indent-chars): New variable.
	(ruby--electric-indent-p): New function.
	(ruby-mode): Use `electric-indent-functions' instead of
	`electric-indent-chars'.

2013-12-22  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-align-to-stmt-keywords): Tweak the
	docstring.
	(ruby-smie-rules): Indent plus one level after `=>'.

2013-12-21  Richard Stallman  <rms@gnu.org>

	* simple.el (newline): Doc fix.

2013-12-21  Kenjiro NAKAYAMA  <nakayamakenjiro@gmail.com>

	* net/eww.el (eww-list-histories, eww-list-histories)
	(eww-history-browse, eww-history-quit, eww-history-kill)
	(eww-history-mode-map, eww-history-mode): New command and
	functions to list browser histories.
	(eww-form-text): Support text form with disabled
	and readonly attributes.
	(eww-checkbox-map): Fix wrong key bind to `eww-toggle-checkbox'.

2013-12-21  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* net/eww.el (eww-back-url, eww-forward-url, eww-next-url)
	(eww-previous-url, eww-up-url, eww-top-url, eww-add-bookmark)
	(eww-bookmark-prepare, eww-bookmark-kill, eww-bookmark-yank)
	(eww-bookmark-browse, eww-next-bookmark, eww-previous-bookmark):
	Use `user-error'.
	(eww-bookmark-mode-map): Add menu.
	(eww-render, eww-mode): Use `setq-local'.
	(eww-tool-bar-map): New variable.
	(eww-mode): Set `tool-bar-map'.
	(eww-view-source): Check for `html-mode' with `fboundp'.

2013-12-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr--extract-best-source): Don't bug out on audio
	elements with text inside.  Also remove debugging.

2013-12-21  Jan Djärv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add ns-use-srgb-colorspace.

2013-12-21  Chong Yidong  <cyd@gnu.org>

	* custom.el (custom-theme-recalc-face): Do nothing if the face is
	undefined.  Thus, theme settings for undefined faces do not take
	effect until the faces are defined with defface, the same as with
	theme variables.

	* faces.el (face-spec-set): Use face-spec-recalc in all cases.
	(face-spec-reset-face): Don't assign extra properties in temacs.
	(face-spec-recalc): Apply X resources too.

2013-12-21  Chong Yidong  <cyd@gnu.org>

	* faces.el (face-spec-set):
	* cus-face.el (custom-theme-set-faces, custom-set-faces):
	* custom.el (defface): Doc fixes (Bug#16203).

	* indent.el (indent-rigidly-map): Add docstring, and move commands
	into named functions.
	(indent-rigidly-left, indent-rigidly-right)
	(indent-rigidly-left-to-tab-stop)
	(indent-rigidly-right-to-tab-stop): New functions.  Decide on
	indentation direction based on bidi direction, and accumulate
	sequential commands in a single undo boundary.
	(indent-rigidly--pop-undo): New utility function.

2013-12-20  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (read-face-name): Require crm.el when using crm-separator.

2013-12-20  Daniel Colascione  <dancol@dancol.org>

	* progmodes/sh-script.el (sh-mode): Tweak paragraph-separate
	so that we don't reflow comments into the shebang line.

2013-12-20  Juri Linkov  <juri@jurta.org>

	* saveplace.el (save-place-to-alist): Add `dired-filename' as
	a position when `dired-directory' is non-nil.  Check integer
	positions with `integerp'.
	(toggle-save-place, save-places-to-alist): Add check for
	`dired-directory'.
	(save-place-find-file-hook): Check integer positions with
	`integerp'.
	(save-place-dired-hook): Use `dired-goto-file' when
	`dired-filename' is found in the assoc list.  Check integer
	positions with `integerp'.
	(dired-initial-position-hook): Rename from `dired-initial-point-hook'.

	* dired.el (dired-initial-position-hook): Rename back from
	`dired-initial-point-hook'.
	(dired-initial-position): Rename `dired-initial-point-hook' to
	`dired-initial-position-hook'.
	(dired-file-name-at-point): Doc fix.  (Bug#15329)

2013-12-20  Juri Linkov  <juri@jurta.org>

	* replace.el (read-regexp-defaults-function): New defcustom (bug#14405).
	(read-regexp-suggestions): New function.
	(read-regexp): Use `read-regexp-defaults-function' to get default values.
	Use `read-regexp-suggestions'.  Add non-empty default to history
	for empty input.
	(occur-read-regexp-defaults-function): Remove function.
	(occur-read-primary-args): Use `regexp-history-last' instead of
	`occur-read-regexp-defaults-function'.

	* hi-lock.el (hi-lock-read-regexp-defaults-function): Remove function.
	(hi-lock-line-face-buffer, hi-lock-face-buffer)
	(hi-lock-face-phrase-buffer): Use `regexp-history-last' instead of
	`hi-lock-read-regexp-defaults-function'.  Doc fix.
	(hi-lock-face-symbol-at-point): Replace `find-tag-default-as-regexp'
	with `find-tag-default-as-symbol-regexp'.  Doc fix.
	(hi-lock-read-regexp-defaults): Remove function.
	(hi-lock-regexp-okay): Add check for null.

	* progmodes/grep.el (grep-read-regexp): Use `grep-tag-default' for
	the arg DEFAULTS.  Move formatting of the prompt to `read-regexp'.

	* subr.el (find-tag-default-as-symbol-regexp): New function.
	(find-tag-default-as-regexp): Move symbol regexp formatting to
	`find-tag-default-as-symbol-regexp'.

2013-12-20  E Sabof  <esabof@gmail.com>  (tiny change)

	* hi-lock.el (hi-lock-set-pattern): Check for `font-lock-specified-p'.
	(Bug#14179)

2013-12-20  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: New implementation of item insertion
	commands and key bindings.
	(todo-key-prompt): New face.
	(todo-insert-item): New command.
	(todo-insert-item--parameters): New defconst, replacing defvar
	todo-insertion-commands-args-genlist.
	(todo-insert-item--param-key-alist): New defconst, replacing
	defvar todo-insertion-commands-arg-key-list.
	(todo-insert-item--keyof, todo-insert-item--this-key): New defsubsts.
	(todo-insert-item--argsleft, todo-insert-item--apply-args)
	(todo-insert-item--next-param): New functions.
	(todo-insert-item--args, todo-insert-item--argleft)
	(todo-insert-item--argsleft, todo-insert-item--newargsleft):
	New variables.
	(todo-key-bindings-t): Change binding of "i" from
	todo-insertion-map to todo-insert-item.
	(todo-powerset, todo-gen-arglists, todo-insertion-commands-args)
	(todo-insertion-command-name, todo-insertion-commands-names)
	(todo-define-insertion-command, todo-insertion-commands)
	(todo-insertion-key-bindings, todo-insertion-map): Remove.

2013-12-20  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el: Bug fixes and new features (bug#15225).
	(todo-toggle-item-highlighting): Use eval-and-compile instead of
	eval-when-compile.
	(todo-move-category): Allow choosing a non-existing todo file to
	move the category to, and create that file.
	(todo-default-priority): New user option.
	(todo-set-item-priority): Use it.
	(todo-desktop-save-buffer, todo-restore-desktop-buffer): New functions.
	(desktop-restore-file-buffer): Declare.
	(desktop-buffer-mode-handlers): Add todo-restore-desktop-buffer.
	(todo-modes-set-2): Locally set desktop-save-buffer to
	todo-desktop-save-buffer.
	(todo-mode, todo-archive-mode, todo-filtered-items-mode)
	(auto-mode-alist): Add autoload cookie.

2013-12-20  Bozhidar Batsov  <bozhidar@batsov.com>

	* emacs-lisp/subr-x.el: Renamed from helpers.el.
	helpers.el was a poor choice of name.
	(string-remove-prefix): New function.
	(string-remove-suffix): New function.

2013-12-20  Martin Rudalics  <rudalics@gmx.at>

	Fix assignment for new window total sizes.
	* window.el (window--pixel-to-size): Remove function.
	(window--pixel-to-total-1, window--pixel-to-total):
	Fix calculation of new total sizes.

2013-12-20  Vitalie Spinu  <spinuvit@gmail.com>

	* comint.el (comint-output-filter): Fix rear-nonsticky property
	placement (Bug#16010).

2013-12-20  Chong Yidong  <cyd@gnu.org>

	* faces.el (read-color): Minor fix for completion function.

2013-12-20  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-align-to-stmt-keywords):
	New option.  (Bug#16182)
	(ruby-smie--indent-to-stmt-p): Use it.
	(ruby-smie-rules): Revert the logic in the handling of `when'.
	Expand the begin clause to handle `ruby-align-to-stmt-keywords'.
	(ruby-deep-arglist, ruby-deep-indent-paren)
	(ruby-deep-indent-paren-style): Update docstrings to note that the
	vars don't have any effect with SMIE.

2013-12-20  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-enter, calc-pop): Use the variable
	`calc-context-sensitive-enter'.

2013-12-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-insert): Protect against infloops in degenerate
	tables.

2013-12-20  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* progmodes/octave.el (octave): Add link to manual and octave
	homepage.
	(octave-mode-menu): Link to octave-mode manual.

2013-12-20  Leo Liu  <sdl.web@gmail.com>

	* skeleton.el (skeleton-pair-insert-maybe): Disable newline
	insertion using skeleton-end-newline.  (Bug#16138)

2013-12-20  Juri Linkov  <juri@jurta.org>

	* replace.el (occur-engine): Use `add-face-text-property'
	to add the face property to matches and titles.  (Bug#14645)

	* hi-lock.el (hi-green): Use lighter color "light green" closer to
	the palette of other hi-lock colors.
	(hi-lock-set-pattern): Prepend hi-lock face to the existing face.

2013-12-19  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode-map): Bind `M-s e' to `isearch-edit-string'.
	Put :advertised-binding on `M-s c', `M-s r', `M-s e'.  (Bug#16035)
	(minibuffer-history-symbol): Move variable declaration closer to
	its usage.

	* isearchb.el (isearchb): Add `event-basic-type' on `last-command-event'.
	(Bug#14785)

2013-12-19  Juri Linkov  <juri@jurta.org>

	* vc/log-edit.el (log-edit-insert-filenames-without-changelog):
	New function.
	(log-edit-hook): Add it to :options.  (Bug#16170)

2013-12-19  Juri Linkov  <juri@jurta.org>

	* simple.el (eval-expression-print-format): Don't check for
	command names and the last command.  Always display additional
	formats of the integer result in the echo area, and insert them
	to the current buffer only with a zero prefix arg.
	Display character when char-displayable-p is non-nil.
	(eval-expression): With a zero prefix arg, set `print-length' and
	`print-level' to nil, and insert the integer values from
	`eval-expression-print-format' at the end.  Doc fix.  (Bug#12985)

	* emacs-lisp/lisp-mode.el (eval-print-last-sexp): Add arg
	`eval-last-sexp-arg-internal'.  Doc fix.
	(eval-last-sexp-1): Pass arg `eval-last-sexp-arg-internal' to
	`eval-last-sexp-print-value'.  Doc fix.
	(eval-last-sexp-print-value): Add arg `eval-last-sexp-arg-internal'.
	Set `print-length' and `print-level' to nil when arg is zero.
	(eval-last-sexp): Doc fix.
	(eval-defun-2): Print the integer values from
	`eval-expression-print-format' at the end.

	* emacs-lisp/edebug.el (edebug-eval-defun): Print the integer
	values from `eval-expression-print-format' at the end.

	* ielm.el (ielm-eval-input): Print the integer
	values from `eval-expression-print-format' at the end.

2013-12-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/eww.el (eww-exit, eww-close, eww-mode-map): Revert change of
	2013-12-11T19:01:44Z!tzz@lifelogs.com.

2013-12-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hl-line.el (hl-line-make-overlay): New fun.  Set priority (bug#16192).
	(hl-line-highlight, global-hl-line-highlight): Use it.
	(hl-line-overlay): Use defvar-local.

2013-12-19  Jan Djärv  <jan.h.d@swipnet.se>

	* term/ns-win.el: Require dnd.
	(global-map): Remove drag items.
	(ns-insert-text, ns-set-foreground-at-mouse)
	(ns-set-background-at-mouse):
	Remove (ns-drag-n-drop, ns-drag-n-drop-other-frame)
	(ns-drag-n-drop-as-text, ns-drag-n-drop-as-text-other-frame):
	New functions.

2013-12-19  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/ert.el (ert-select-tests):
	Fix string/symbol mixup.  (Bug#16121)

2013-12-19  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie-rules): Indent middle-of-block
	keywords to their parent.

2013-12-19  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie--args-separator-p): Allow the
	first arg to be a string (fixed dead code), or an operator symbol.
	(ruby-smie--forward-token): Tokenize ` @ ' before strings and
	operator symbols.
	(ruby-smie-rules): Remove parent token check in the `.' clause, it
	did nothing.  Don't respond to `(:after ".")', it will be called
	with :before anyway.  Remove the ` @ ' rule, it didn't seem to
	change anything.  Only return indentation for binary operators
	when they are hanging.  De-dent opening paren when its parent is
	`.', otherwise it looks bad when the dot is not at bol or eol
	(bug#16182).

2013-12-19  Juri Linkov  <juri@jurta.org>

	* replace.el (query-replace-read-args): Split a non-negative arg
	and a negative arg into separate elements.
	(query-replace, query-replace-regexp, replace-string)
	(replace-regexp): Add arg `backward'.  Doc fix.
	(replace-match-maybe-edit): When new arg `backward' is non-nil,
	move point to the beginning of the match.
	(replace-search, replace-highlight): Use new arg `backward'
	to set the value of `isearch-forward'.
	(perform-replace): Add arg `backward' and use it to perform
	replacement backward.  (Bug#14979)

	* isearch.el (isearch-query-replace): Use a negative prefix arg
	to call `perform-replace' with a non-nil arg `backward'.

2013-12-18  Juri Linkov  <juri@jurta.org>

	* vc/log-edit.el (log-edit-hook): Add `log-edit-insert-message-template'
	to the default list.  Move `log-edit-show-files' to the end.
	Add more available functions to options.
	(log-edit): Move default specific settings to
	`log-edit-insert-message-template'.  Don't move point.
	(log-edit-insert-message-template): New function.
	(log-edit-insert-changelog): Add `save-excursion' and don't move point.
	(Bug#16170)

2013-12-18  Juri Linkov  <juri@jurta.org>

	* help-mode.el (help-mode-map): Bind "l" to help-go-back,
	and "r" to help-go-forward for compatibity with Info.  (Bug#16178)

2013-12-18  Leo Liu  <sdl.web@gmail.com>

	* eshell/em-prompt.el (eshell-emit-prompt): Fix last change.
	(Bug#16186)

2013-12-18  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-insert-directory): Don't modify %d and %f
	formats for displaying file sizes when the -s switch is given.
	Instead, compute a separate format for displaying the size in
	blocks, which is displayed in addition to the "regular" size.
	When -h is given in addition to -s, produce size in blocks in
	human-readable form as well.  (Bug#16179)

2013-12-18  Tassilo Horn  <tsdh@gnu.org>

	* textmodes/reftex-vars.el (reftex-label-alist-builtin):
	Reference tables with ~\ref{...} instead of only \ref{...}.

2013-12-18  Chong Yidong  <cyd@gnu.org>

	* cus-edit.el (custom-magic-alist): Fix "themed" description
	(Bug#14348).

	* custom.el (custom-push-theme): If custom--inhibit-theme-enable
	is non-nil, do not create a new entry in the symbol's theme-value
	or theme-face property; update theme-settings only (Bug#14664).
	(custom-available-themes): Doc fix.

	* cus-theme.el (custom-new-theme-mode-map): Add bindings
	(Bug#15674).

	* replace.el (occur-engine): Avoid infloop (Bug#7593).

2013-12-18  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>  (tiny change)

	* progmodes/make-mode.el (makefile-fill-paragraph): Fix infloop
	(Bug#13914).

2013-12-18  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* apropos.el (apropos-words-to-regexp): Fix algorithm (Bug#13946).

2013-12-18  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (BYTE_COMPILE_FLAGS): Set load-prefer-newer to t.
	* cus-start.el (load-prefer-newer): New option.

2013-12-18  Le Wang  <l26wang@gmail.com>

	* comint.el (comint-previous-matching-input-from-input):
	Retain point (Bug#13404).

2013-12-18  Chong Yidong  <cyd@gnu.org>

	* simple.el (append-next-kill): Doc fix (Bug#15995, Bug#16016).

2013-12-18  Glenn Morris  <rgm@gnu.org>

	* mail/emacsbug.el (report-emacs-bug):
	Only mention enable-multibyte-characters if non-standard.

2013-12-17  Juri Linkov  <juri@jurta.org>

	* arc-mode.el (archive-extract-by-file): Check if directory exists
	before deletion to not show irrelevant errors if it doesn't exist.

2013-12-17  Juri Linkov  <juri@jurta.org>

	* menu-bar.el (menu-bar-tools-menu): Add `browse-web'.
	(Bug#14751)

	* net/eww.el (browse-web): Add alias to `eww'.
	(eww-mode-map): Bind "r" to `eww-forward-url' like in Info.
	Bind "S-SPC" to `scroll-down-command'.  (Bug#16178)

	* net/browse-url.el (browse-url-browser-function): Move `eww'
	closer to similar functions.

	* startup.el (fancy-startup-screen, fancy-about-screen):
	Set browse-url-browser-function to eww-browse-url locally.
	(Bug#14751)

2013-12-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (window--pixel-to-total): Remove unused `mini' var.
	(maximize-window, minimize-window): Remove unused `pixelwise' arg.
	(split-window): Remove unused `new' var.
	(window--display-buffer): Remove unused `frame' and `delta' vars.
	(fit-window-to-buffer): Remove unused vars `frame', `display-height',
	and display-width'.

2013-12-17  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-mark-pop-up):
	* register.el (register-preview): Don't bind
	split-height-threshold here since it's now done in
	display-buffer-below-selected.

2013-12-17  oblique  <psyberbits@gmail.com>  (tiny change)

	* term/rxvt.el (rxvt-rgb-convert-to-16bit): Standardize with
	xterm-rgb-convert-to-16bit.
	(rxvt-register-default-colors): Standardize with
	xterm-register-default-colors (Bug#14078).

2013-12-17  Dima Kogan  <dima@secretsauce.net>  (tiny change)

	* simple.el (kill-region): Pass mark first, then point, so that
	kill-append works right (Bug#12819).
	(copy-region-as-kill, kill-ring-save): Likewise.

2013-12-17  Leo Liu  <sdl.web@gmail.com>

	* net/rcirc.el (rcirc-add-face):
	* eshell/em-prompt.el (eshell-emit-prompt):
	* eshell/em-ls.el (eshell-ls-decorated-name): Use font-lock-face.
	(Bug#16167)

2013-12-17  Chong Yidong  <cyd@gnu.org>

	* files.el (break-hardlink-on-save): Doc fix (Bug#13801).
	Suggested by Xue Fuqiao.

2013-12-17  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie-rules): Indent ternary if.

2013-12-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/shr.el (shr-insert-document): Remove unused var
	`shr-preliminary-table-render'.
	(shr-rescale-image): Remove unused arg `force'.
	(shr-put-image): Update calls accordingly.
	(shr-tag-a): Use `cont' rather than dyn-bound `dom'.

2013-12-17  Dmitry Gutov  <dgutov@yandex.ru>

	* emacs-lisp/smie.el (smie-indent--rule): Extract `smie-indent--rule-1'.
	(smie-indent-close): Call `smie-indent--rule-1' with METHOD
	:close-all, to see which indentation method to use (Bug#16116).
	(smie-rules-function): Document the method :close-all.

2013-12-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-tag-a): Support zero-length <a name="foo"> elements.

	* net/eww.el (eww-display-html): If we can't find the anchor we're
	looking for, then go to point-min.

2013-12-16  Paul Eggert  <eggert@cs.ucla.edu>

	Fix problems with CANNOT_DUMP and EMACSLOADPATH.
	* Makefile.in (emacs): Add lisp src to EMACSLOADPATH.
	* loadup.el: Check for src/bootstrap-emacs only when Emacs can dump.
	Expand dir too, in case it's relative.

2013-12-16  Juri Linkov  <juri@jurta.org>

	* desktop.el (desktop-auto-save-timeout): Change default to
	`auto-save-timeout'.  Doc fix.
	(desktop-save): Skip the timestamp in desktop-saved-frameset
	when checking for auto-save changes.
	(desktop-auto-save): Don't call desktop-auto-save-set-timer since
	`desktop-auto-save' is called repeatedly by the idle timer.
	(desktop-auto-save-set-timer): Replace `run-with-timer' with
	`run-with-idle-timer' and a non-nil arg REPEAT.  Doc fix.
	(Bug#15331)

2013-12-16  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode-map): Remove [escape] key bindinds.
	(Bug#16035)
	(isearch-pre-command-hook): Check `this-command' for symbolp.

2013-12-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/gv.el (gv-ref): Mention lexbind restriction (bug#16153).

2013-12-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* progmodes/cfengine.el (cfengine3--current-word): Remove.
	(cfengine3--current-function): Bring in the current-function
	functionality from `cfengine3--current-word'.
	(cfengine3-completion-function): Bring in the
	bounds-of-current-word functionality from
	`cfengine3--current-word'.

2013-12-16  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-below-selected):
	Bind split-height-threshold to 0 as suggested by Juri Linkov.

2013-12-16  Leo Liu  <sdl.web@gmail.com>

	* progmodes/compile.el (compile-goto-error): Do not push-mark.
	Remove NOMSG arg and all uses changed.

2013-12-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/cua-rect.el (cua-rectangle-mark-mode): New minor mode.
	(cua--deactivate-rectangle): Don't deactivate the mark.
	(cua-set-rectangle-mark): Don't set mark-active since
	cua--activate-rectangle already does it for us.
	(cua--rectangle-highlight-for-redisplay): Unhighlight a previous
	non-rectangular region.

	* emulation/cua-base.el (cua-repeat-replace-region):
	Use with-current-buffer.

	* net/gnutls.el: Use cl-lib.
	(gnutls-negotiate): `mapcan' -> cl-mapcan.

2013-12-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* emacs-lisp/package.el (package-built-in-p): Support both
	built-in and the package.el converted package descriptions.
	(package-show-package-list): Allow keywords.
	(package-keyword-button-action): Use it instead of
	`finder-list-matches'.
	(package-menu-filter-interactive): Interactive filtering (by
	keyword) function.
	(package-menu--generate): Support keywords and change keymappings
	and headers when they are given.
	(package--has-keyword-p): Helper function.
	(package-menu--refresh): Use it.
	(package--mapc): Helper function.
	(package-all-keywords): Use it.
	(package-menu-mode-map): Set up menu items and keybindings to
	provide a filtering UI.

2013-12-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/gnutls.el (gnutls-verify-error): New defcustom to control
	the behavior when a certificate fails validation.  Defaults to
	old behavior: never abort, just warn.
	(gnutls-negotiate): Use it.

2013-12-14  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-below-selected): Never split window
	horizontally.  Suggested by Juri Linkov <juri@jurta.org>.

2013-12-14  Tom Willemse  <tom@ryuslash.org>  (tiny change)

	* emacs-lisp/package.el (package--prepare-dependencies): New function.
	(package-buffer-info): Use it (bug#15108).

2013-12-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* icomplete.el (icomplete-completions): Make sure the prefix is already
	displayed elsewhere before hiding it (bug#16219).

2013-12-14  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie-rules): Return nil before
	open-paren tokens when preceded by a open-paren, too.
	(ruby-smie-rules): Handle virtual indentation after open-paren
	tokens specially.  If there is code between it and eol, return the
	column where is starts (Bug#16118).

2013-12-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* progmodes/cfengine.el: Fix `add-hook' doc.
	(cfengine-mode-syntax-functions-regex): Initialize sensibly.
	(cfengine3--current-word): Fix parameters.
	(cfengine3-make-syntax-cache): Simplify further.
	(cfengine3-completion-function, cfengine3--current-function):
	Use `assq' for symbols.
	(cfengine3--current-function): Fix `cfengine3--current-word' call.

2013-12-13  Glenn Morris  <rgm@gnu.org>

	* loadup.el (load-path): Warn if site-load or site-init changes it.
	No more need to reset it when bootstrapping.

2013-12-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* progmodes/cfengine.el (cfengine-cf-promises): Add more default
	locations for cf-promises.
	(cfengine-mode-syntax-functions-regex): New caching variable.
	(cfengine3-fallback-syntax): Fallback syntax for cases where
	cf-promises doesn't run.
	(cfengine3--current-word): Reimplement using
	`cfengine-mode-syntax-functions-regex'.
	(cfengine3-completion-function, cfengine3--current-function):
	Use `cfengine3-make-syntax-cache' directly.
	(cfengine3-clear-syntax-cache): New function.
	(cfengine3-make-syntax-cache): Simplify and create
	`cfengine-mode-syntax-functions-regex' on demand.
	(cfengine3-format-function-docstring): Don't call
	`cfengine3-make-syntax-cache' explicitly.

2013-12-13  Martin Rudalics  <rudalics@gmx.at>

	Fix windmove-find-other-window broken after pixelwise resizing
	(Bug#16017).
	* windmove.el (windmove-other-window-loc): Revert change from
	2013-12-04.
	(windmove-find-other-window): Call window-in-direction.
	* window.el (window-in-direction): New arguments SIGN, WRAP and
	MINI to emulate original windmove-find-other-window behavior.

2013-12-13  Dmitry Gutov  <dgutov@yandex.ru>

	* simple.el (blink-matching--overlay): New variable.
	(blink-matching-open): Instead of moving point, highlight the
	matching paren with an overlay
	(http://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00333.html).

	* faces.el (paren-showing-faces, show-paren-match)
	(show-paren-mismatch): Move from paren.el.

2013-12-13  Leo Liu  <sdl.web@gmail.com>

	* indent.el (indent-region): Disable progress reporter in
	minibuffer.  (Bug#16108)

	* bindings.el (visual-order-cursor-movement): Fix version.

2013-12-13  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-pdbtrack-stacktrace-info-regexp):
	Also match after beginning of line.
	(python-pdbtrack-set-tracked-buffer): Fix logic for remote
	files.  Thanks to Russell Sim.  (Bug#15378)

2013-12-13  Juri Linkov  <juri@jurta.org>

	* simple.el <Keypad support>: Remove key bindings duplicated
	with bindings.el.  (Bug#14397)

2013-12-13  Juri Linkov  <juri@jurta.org>

	* comint.el (comint-mode-map): Replace `delete-char' with
	`delete-forward-char'.  (Bug#16109)

2013-12-12  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-calculate-indentation):
	Fix de-denters cornercase.  (Bug#15731)

2013-12-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/nadvice.el: Add `depth' property to manage ordering.
	(advice--make): Pay attention to `depth'.
	(advice--make-1): Don't autoload commands eagerly.
	* emacs-lisp/elp.el (elp-instrument-function):
	* emacs-lisp/trace.el (trace-function-internal):
	* emacs-lisp/debug.el (debug-on-entry): Keep them "first".

	* iswitchb.el (iswitchb-mode): Don't belittle ido.

2013-12-12  Eli Zaretskii  <eliz@gnu.org>

	* term/w32-win.el (w32-handle-dropped-file):
	* startup.el (normal-top-level):
	* net/browse-url.el (browse-url-file-url):
	* dnd.el (dnd-get-local-file-name): On MS-Windows, encode and
	decode file names using 'utf-8' rather than
	file-name-coding-system.

2013-12-12  Fabián Ezequiel Gallina  <fgallina@gnu.org>

	* progmodes/python.el (python-indent-context)
	(python-indent-calculate-indentation): Fix auto-identation
	behavior for comment blocks.  (Bug#15916)

2013-12-12  Nathan Trapuzzano  <nbtrap@nbtrap.com>  (tiny change)

	* progmodes/python.el (python-indent-calculate-indentation):
	When determining indentation, don't treat "return", "pass", etc., as
	operators when they are just string constituents.  (Bug#15812)

2013-12-12  Juri Linkov  <juri@jurta.org>

	* uniquify.el (uniquify-buffer-name-style): Change default to
	`post-forward-angle-brackets'.

	* menu-bar.el (menu-bar-options-menu): Don't require preloaded
	`uniquify'.  Change default to `post-forward-angle-brackets'.

2013-12-11  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/package.el (finder-list-matches):
	Autoload rather than falsely declaring.

2013-12-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/eww.el (eww-exit, eww-close): Add UI convenience wrappers.
	(eww-mode-map): Use them.

2013-12-11  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-in-side-window): Fix doc-string
	(Bug#16115).

2013-12-11  Juanma Barranquero  <lekktu@gmail.com>

	* vc/vc-git.el: Silence byte-compiler warnings.
	(vc-git-dir-extra-headers): Rename arg _dir which is no longer ignored.
	(log-edit-set-header): Declare.

2013-12-11  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (custom-deps, finder-data): Run output file names
	through unmsys--file-name.  (Bug#16099)

2013-12-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-indent--hanging-p): Don't bother matching
	comment-start-skip, which fails when that uses submatch 1 (bug#16041).

	* emulation/cua-base.el (cua-paste): Add `delete-selection' property
	instead of deleting the selection "by hand" (bug#16098).
	Rely on insert-for-yank to yank rectangles.
	(cua-highlight-region-shift-only): Mark obsolete.
	(cua-mode): Don't enable/disable transient-mark-mode,
	shift-select-mode (cua-mode works both with and without them), and
	pc-selection-mode (obsolete).
	* emulation/cua-rect.el (cua--activate-rectangle): Activate the mark.
	(cua--deactivate-rectangle): Deactivate it.

	* delsel.el (delete-selection-mode): Don't enable transient-mark-mode.
	(delete-selection-helper): Make sure yank starts at the top of the
	deleted region.
	(minibuffer-keyboard-quit): Use region-active-p.

	* emacs-lisp/trace.el (trace-make-advice): Don't deactivate the mark.

	* simple.el (normal-erase-is-backspace-mode): Map kp-delete identically
	to `delete' (bug#16109).

2013-12-11  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* progmodes/octave.el (octave-mode, inferior-octave-mode): Link to
	info manual and show keybindings and set `:group' keyword.

2013-12-11  Juri Linkov  <juri@jurta.org>

	* delsel.el (delete-active-region): Let-bind `this-command'
	to prevent `kill-region' from changing its original value.
	(delete-selection-helper): Handle `overwrite-mode' for the type
	`kill' exactly the same way as for the type `t'.
	(insert-char, quoted-insert, reindent-then-newline-and-indent):
	Support more commands.  (Bug#13312)

2013-12-11  Juri Linkov  <juri@jurta.org>

	* bindings.el: Map kp keys to non-kp keys systematically
	with basic modifiers control, meta and shift.  (Bug#14397)

2013-12-11  Kenjiro NAKAYAMA  <nakayamakenjiro@gmail.com>

	* net/eww.el (eww-mode-map): Instead of "Quit" show "Exit" and
	"Close browser" menu items.  Fix wrong function of "List
	bookmarks".

2013-12-11  Juri Linkov  <juri@jurta.org>

	* misearch.el (multi-isearch-buffers): Set the value of
	`multi-isearch-buffer-list' globally.  Set NO-RECURSIVE-EDIT
	arg of isearch-forward to t.
	(multi-isearch-buffers-regexp): Set the value of
	`multi-isearch-buffer-list' globally.  Set NO-RECURSIVE-EDIT
	arg of isearch-forward-regexp to t.
	(multi-isearch-files): Set the value of
	`multi-isearch-file-list' globally.  Set NO-RECURSIVE-EDIT
	arg of isearch-forward to t.
	(multi-isearch-files-regexp): Set the value of
	`multi-isearch-file-list' globally.  Set NO-RECURSIVE-EDIT
	arg of isearch-forward-regexp to t.  (Bug#16035)

	* dired-aux.el (dired-isearch-filenames): Set NO-RECURSIVE-EDIT
	arg of isearch-forward to t.
	(dired-isearch-filenames-regexp): Set NO-RECURSIVE-EDIT
	arg of isearch-forward-regexp to t.
	(dired-isearch-filter-filenames): Remove unnecessary check for
	`dired-isearch-filenames'.

	* comint.el (comint-history-isearch-backward):
	Set NO-RECURSIVE-EDIT arg of isearch-backward to t.
	(comint-history-isearch-backward-regexp):
	Set NO-RECURSIVE-EDIT arg of isearch-backward-regexp to t.

2013-12-10  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (autoloads): Run $(srcdir)/loaddefs.el through
	unmsys--file-name.  (Bug#16099)

2013-12-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* emacs-lisp/package.el (package-keyword-button-action):
	Remove finder.el require dependency.

2013-12-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* emacs-lisp/package.el: Require finder.el.
	(describe-package-1): Add keyword buttons.
	(package-make-button): New convenience function.
	(package-keyword-button-action): Keyword button action using
	`finder-list-matches'.

2013-12-09  Eli Zaretskii  <eliz@gnu.org>

	* autorevert.el (auto-revert-notify-add-watch): Fix a thinko in
	last commit.

2013-12-09  Michael Albinus  <michael.albinus@gmx.de>

	* autorevert.el (auto-revert-notify-add-watch): Do not handle
	symlinked files.

2013-12-09  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-smie--implicit-semi-p): Return t
	after the end of a percent literal.

2013-12-09  Cameron Desautels  <camdez@gmail.com>  (tiny change)

	* progmodes/ruby-mode.el (ruby-forward-string): Document.
	Handle caret-delimited strings (Bug#16079).

2013-12-09  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-accurate-end-of-block):
	When `ruby-use-smie' is t, use `smie-forward-sexp' instead of
	`ruby-parse-partial' (Bug#16078).

2013-12-09  Leo Liu  <sdl.web@gmail.com>

	* subr.el (read-passwd): Disable show-paren-mode.  (Bug#16091)

2013-12-08  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/js.el (js-auto-indent-flag): Remove, was unused.
	(js-switch-indent-offset): New option.
	(js--proper-indentation): Use it.  And handle the case when
	"default" is actually a key in an object literal.
	(js--same-line): New function.
	(js--multi-line-declaration-indentation): Use it.
	(js--indent-in-array-comp, js--array-comp-indentation):
	New functions.
	(js--proper-indentation): Use them, to handle array comprehension
	continuations.

2013-12-08  Leo Liu  <sdl.web@gmail.com>

	* progmodes/flymake.el (flymake-highlight-line): Re-write.
	(flymake-make-overlay): Remove arg MOUSE-FACE.
	(flymake-save-string-to-file, flymake-read-file-to-string): Remove.

2013-12-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/cua-rect.el (cua--rectangle-highlight-for-redisplay):
	New function.
	(redisplay-highlight-region-function): Use it.

	* emulation/cua-base.el (cua--explicit-region-start)
	(cua--last-region-shifted): Remove.
	(cua--deactivate): Use deactivate-mark.
	(cua--pre-command-handler-1): Don't handle shift-selection.
	(cua--post-command-handler-1): Don't change transient-mark-mode.
	(cua--select-keymaps): Use region-active-p rather than
	cua--explicit-region-start or cua--last-region-shifted.
	(cua-mode): Enable shift-select-mode.

2013-12-08  Leo Liu  <sdl.web@gmail.com>

	* progmodes/flymake.el (flymake-popup-current-error-menu):
	Rename from flymake-display-err-menu-for-current-line.  Reimplement.
	(flymake-posn-at-point-as-event, flymake-popup-menu)
	(flymake-make-emacs-menu): Remove.  (Bug#16077)

2013-12-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* rect.el (rectangle-mark-mode): Activate mark even if
	transient-mark-mode is off (bug#16066).
	(rectangle--highlight-for-redisplay): Fix boundary condition when point
	is > mark and at bolp.

	* emulation/cua-rect.el (cua--rectangle-region-extract): New function.
	(region-extract-function): Use it.
	(cua-mouse-save-then-kill-rectangle): Use cua-copy-region.
	(cua-copy-rectangle, cua-cut-rectangle, cua-delete-rectangle):
	Delete functions.
	(cua--init-rectangles): Don't re-remap copy-region-as-kill,
	kill-ring-save, kill-region, delete-char, delete-forward-char.
	Ignore self-insert-iso.

	* emulation/cua-gmrk.el (cua--init-global-mark):
	Ignore `self-insert-iso'.

	* emulation/cua-base.el (cua--prefix-copy-handler)
	(cua--prefix-cut-handler): Rely on region-extract-function rather than
	checking cua--rectangle.
	(cua-delete-region): Use region-extract-function.
	(cua-replace-region): Delete function.
	(cua-copy-region, cua-cut-region): Obey region-extract-function.
	(cua--pre-command-handler-1): Don't do the delete-selection thing.
	(cua--self-insert-char-p): Ignore `self-insert-iso'.
	(cua--init-keymaps): Don't remap delete-selection commands.
	(cua-mode): Use delete-selection-mode instead of rolling our own
	(bug#16085).

	* menu-bar.el (clipboard-kill-ring-save, clipboard-kill-region):
	Obey region-extract-function.

	Make registers and delete-selection-mode work on rectangles.
	* register.el (describe-register-1): Don't modify the register's value.
	(copy-to-register): Obey region-extract-function.
	* delsel.el (delete-active-region): Obey region-extract-function.

2013-12-08  Leo Liu  <sdl.web@gmail.com>

	* progmodes/flymake.el (flymake, flymake-error-bitmap)
	(flymake-warning-bitmap, flymake-fringe-indicator-position)
	(flymake-compilation-prevents-syntax-check)
	(flymake-start-syntax-check-on-newline)
	(flymake-no-changes-timeout, flymake-gui-warnings-enabled)
	(flymake-start-syntax-check-on-find-file, flymake-log-level)
	(flymake-xml-program, flymake-master-file-dirs)
	(flymake-master-file-count-limit)
	(flymake-allowed-file-name-masks): Relocate.
	(flymake-makehash, flymake-float-time)
	(flymake-replace-regexp-in-string, flymake-split-string)
	(flymake-get-temp-dir): Remove.
	(flymake-popup-menu, flymake-nop, flymake-make-xemacs-menu)
	(flymake-current-row, flymake-selected-frame)
	(flymake-get-point-pixel-pos): Remove xemacs compatibity and
	related functions.  (Bug#16077)

2013-12-07  Bozhidar Batsov  <bozhidar@batsov.com>

	* emacs-lisp/helpers.el (string-blank-p): Use `string-match-p'.

2013-12-07  Tassilo Horn  <tsdh@gnu.org>

	* help-fns.el (describe-function-1): Use new advice-* functions
	rather than old ad-* functions.  Fix function type description and
	source links for advised functions and subrs.

2013-12-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/shr.el (shr-tag-img): Don't bug out on <img src=""> data.

2013-12-06  Michael Albinus  <michael.albinus@gmx.de>

	* progmodes/compile.el (compilation-start):
	* progmodes/grep.el (rgrep): Revert change 2012-12-20T11:15:38Z!michael.albinus@gmx.de.

	* net/tramp-sh.el (tramp-sh-handle-start-file-process):
	Handle long command lines, lasting from "sh -c ...".  (Bug#16045)

2013-12-06  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-syntax-propertize-function):
	Touch up the last change.

2013-12-06  Leo Liu  <sdl.web@gmail.com>

	* progmodes/octave.el (inferior-octave-prompt): Use shy groups.
	(inferior-octave-startup): Always use "octave> " for prompt.
	(octave-goto-function-definition)
	(octave-sync-function-file-names)
	(octave-find-definition-default-filename): Remove redundant backquotes.

2013-12-06  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/ruby-mode.el (ruby-mode-syntax-table): Don't modify
	syntax for `?'.
	(ruby-expr-beg): Expect that `!' will have syntax class "symbol"
	where appropriate already.
	(ruby-syntax-propertize-function): Propertize `?' and `!' at the
	end of method names (Bug#15874).

2013-12-06  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch--saved-overriding-local-map):
	New internal variable.
	(isearch-mode): Set it to the initial value of
	`overriding-terminal-local-map'.
	(isearch-pre-command-hook): Compare `overriding-terminal-local-map'
	with `isearch--saved-overriding-local-map'.  (Bug#16035)

2013-12-06  Dmitry Gutov  <dgutov@yandex.ru>

	* progmodes/octave.el (inferior-octave-completion-table):
	Turn back into function, use `completion-table-with-cache'
	(Bug#11906).  Update all references.

	* minibuffer.el (completion-table-with-cache): New function.

2013-12-05  Cameron Desautels  <camdez@gmail.com>  (tiny change)

	* emacs-lisp/regexp-opt.el (regexp-opt-charset): Fix ^ (bug#16046).

2013-12-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/eww.el (eww-current-source): New variable to store page
	source.
	(eww-display-html, eww-mode, eww-save-history)
	(eww-restore-history): Use it.
	(eww-view-source): New command to view page source.
	Opportunistically uses `html-mode' to highlight the buffer.
	(eww-mode-map): Install it.

2013-12-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-unregister-service)
	(dbus-escape-as-identifier, dbus-unescape-from-identifier):
	Fix docstring.
	(dbus-unregister-service): Skip :serial entries in
	`dbus-registered-objects-table'.
	(dbus-byte-array-to-string): New optional arg MULTIBYTE.

2013-12-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* emacs-lisp/lisp-mnt.el (lm-keywords-list): Trim whitespace
	around keywords with extra `split-string' argument.

2013-12-04  Martin Rudalics  <rudalics@gmx.at>

	* windmove.el (windmove-other-window-loc): Handle navigation
	between windows (excluding the minibuffer window - Bug#16017).

2013-12-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-byte-array-to-string): Accept also byte arrays
	in D-Bus type syntax.
	(dbus-unescape-from-identifier): Use `byte-to-string' in order to
	preserve unibyte strings.  (Bug#16048)

2013-12-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/eldoc.el (eldoc-minibuffer-message):
	Call force-mode-line-update is the proper buffer (bug#16042).

2013-12-04  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/log-edit.el (log-edit-add-new-comment): Rename to
	`log-edit-remember-comment', make argument optional.  Adjust all
	callers.
	(log-edit-mode): Add `log-edit-remember-comment' to
	`kill-buffer-hook' locally.
	(log-edit-kill-buffer): Don't remember comment explicitly since
	the buffer is killed anyway.

2013-12-04  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode, isearch-done): Don't set arg LOCAL in
	add-hook and remove-hook for multi-buffer search.  (Bug#16035)

2013-12-03  Tom Regner  <tom@goochesa.de>  (tiny change)

	* notifications.el (notifications-close-notification): Call the
	D-Bus method with ID being a `:uint32'.  (Bug#16030)

2013-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* net/eww.el (eww-render): Don't pass arg to eww-display-image.

2013-12-03  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-start): Rename window alist
	entry `no-display-ok' to `allow-no-window'.

	* simple.el (shell-command): Add window alist entry
	`allow-no-window' to `display-buffer'.
	(async-shell-command): Doc fix.

	* window.el (display-buffer-no-window): New action function.
	(display-buffer-alist, display-buffer): Doc fix.  (Bug#13594)

2013-12-02  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/log-edit.el (log-edit-set-header): Extract from
	`log-edit-toggle-header'.
	(log-edit-extract-headers): Separate the summary, when extracted
	from header, from the rest of the message with an empty line.

	* vc/vc-git.el (vc-git-log-edit-toggle-amend): Move the summary
	line, if present, to the Summary header.

2013-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* epa-file.el (epa-file-insert-file-contents): Ensure we insert text
	in current-buffer (bug#16029).

2013-12-02  Helmut Eller  <eller.helmut@gmail.com>

	* emacs-lisp/debug.el (debugger-toggle-locals): New command.
	(debugger-mode-map): Bind it.
	(debugger--backtrace-base): New function.
	(debugger-eval-expression): Use it.
	(debugger-frame-number): Skip local vars when present.
	(debugger--locals-visible-p, debugger--insert-locals)
	(debugger--show-locals, debugger--hide-locals): New functions.

2013-12-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-remote-process-environment): Do not set
	"LC_ALL".
	(tramp-get-remote-locale): New defun.
	(tramp-open-connection-setup-interactive-shell): Use it.

2013-12-02  Leo Liu  <sdl.web@gmail.com>

	* subr.el (process-live-p): Return nil for non-process.  (Bug#16023)

	* progmodes/sh-script.el (sh-shell-process):
	* progmodes/octave.el (inferior-octave-process-live-p):
	* progmodes/gdb-mi.el (gdb-delchar-or-quit)
	(gdb-inferior-io-sentinel):
	* emacs-lock.el (emacs-lock-live-process-p): All uses changed.

2013-12-02  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/log-edit.el (log-edit-kill-buffer): Move the use of
	`save-selected-window' to `log-edit-hide-buf'.  This makes
	`log-edit-show-files' idempotent.
	(log-edit-show-files): Mark the new window as dedicated.

2013-12-02  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/log-edit.el (log-edit-mode-map): Add binding for
	`log-edit-kill-biffer'.
	(log-edit-hide-buf): Add a FIXME comment.
	(log-edit-add-new-comment): New function, extracted from
	`log-edit-done'.
	(log-edit-done, log-edit-add-to-changelog): Use it.
	(log-edit-kill-buffer): New command.

2013-12-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/eww.el (eww-mode-map): Have `q' do a normal `quit-window'
	instead of killing the buffer.

2013-12-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (newline): Mention `electric-indent-mode' (bug#16015).

2013-12-01  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* net/eww.el (eww-form-checkbox-selected-symbol)
	(eww-form-checkbox-symbol): New customizable variable.
	(eww-form-checkbox, eww-toggle-checkbox):
	Use `eww-form-checkbox-selected-symbol' and `eww-form-checkbox-symbol'.

	* net/shr.el (shr-prefer-media-type-alist): New customizable variable.
	(shr--get-media-pref, shr--extract-best-source): New function.
	(shr-tag-video, shr-tag-audio): Use `shr--extract-best-source' when
	no :src tag was specified.

	* net/eww.el (eww-use-external-browser-for-content-type): New variable.
	(eww-render): Handle `eww-use-external-browser-for-content-type'.
	Use \\` to match beginning of string instead of ^.
	(eww-browse-with-external-browser): Provide optional URL parameter.
	(eww-render): Set `eww-current-title' back to "".

	* net/shr.el (shr-tag-video): Display content for video if no
	poster is available.
	(shr-tag-audio): Add support for <audio> tag.

	* net/eww.el (eww-text-input-types): New const.
	(eww-process-text-input): Treat input types in
	`eww-text-input-types' as text.

	* net/shr.el (shr-tag-table): Fix comment typo.

2013-12-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/eww.el (eww-follow-link): New command to avoid reloading
	pages when we follow #target links (bug#15243).
	(eww-quit): Special mode buffers shouldn't query before exiting.

2013-12-01  Kenjiro NAKAYAMA  <nakayamakenjiro@gmail.com>

	* net/eww.el (eww-tag-select): Support <optgroup> tags in <select>
	forms.

2013-12-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/eww.el (eww-restore-history): Update the window title after
	moving in the history.
	(eww-current-dom): New variable used to save the current DOM.

2013-12-01  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/log-edit.el (log-edit-mode-map): Add binding for
	`log-edit-beginning-of-line'.
	(log-edit-setup-add-author): New user option.
	(log-edit-beginning-of-line): New command.
	(log-edit): Move major mode call above the contents setup so that
	the local variable values are already applied.
	(log-edit): Only insert "Author: " when
	`log-edit-setup-add-author' is non-nil.
	(log-edit): When SETUP is non-nil, position point after ": "
	instead of point-min.

2013-12-01  Glenn Morris  <rgm@gnu.org>

	* startup.el (command-line): Warn if ~/emacs.d is in load-path.

2013-11-30  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (fancy-splash-frame): On MS-Windows, trigger
	redisplay to make sure the initial frame gets a chance to become
	visible.  (Bug#16014)

2013-11-30  Martin Rudalics  <rudalics@gmx.at>

	Support resizing frames and windows pixelwise.
	* cus-start.el (frame-resize-pixelwise)
	(window-resize-pixelwise): New entries.
	* emacs-lisp/debug.el (debug): Use window-total-height instead
	of window-total-size.
	* frame.el (tool-bar-lines-needed): Defalias to tool-bar-height.
	* help.el (describe-bindings-internal): Use help-buffer as
	argument for with-help-window.
	(temp-buffer-max-width): New option.
	(resize-temp-buffer-window, help-window-setup)
	(with-help-window): Rewrite.
	* mouse.el (mouse-drag-line): Rewrite.  Add key bindings for
	dragging dividers.
	* window.el (frame-char-size, window-min-pixel-height)
	(window-safe-min-pixel-height, window-safe-min-pixel-width)
	(window-min-pixel-width, window-safe-min-pixel-size)
	(window-combination-p, window-safe-min-size)
	(window-resizable-p, window--size-to-pixel)
	(window--pixel-to-size, window--resize-apply-p): New functions.
	(window-safe-min-height): Fix doc-string.
	(window-size, window-min-size, window--min-size-1)
	(window-sizable, window-sizable-p, window--min-delta-1)
	(window-min-delta, window--max-delta-1, window-max-delta)
	(window--resizable, window--resizable-p, window-resizable)
	(window-full-height-p, window-full-width-p, window-at-side-p)
	(window--in-direction-2, window-in-direction)
	(window--resize-reset-1, window--resize-mini-window)
	(window-resize, window-resize-no-error)
	(window--resize-child-windows-normal)
	(window--resize-child-windows, window--resize-siblings)
	(window--resize-this-window, window--resize-root-window)
	(window--resize-root-window-vertically)
	(adjust-window-trailing-edge, enlarge-window, shrink-window)
	(maximize-window, minimize-window, delete-window)
	(quit-restore-window, window-split-min-size, split-window)
	(balance-windows-2, balance-windows)
	(balance-windows-area-adjust, balance-windows-area)
	(window--state-get-1, window-state-get, window--state-put-1)
	(window--state-put-2, window-state-put)
	(display-buffer-record-window, window--display-buffer):
	Make functions handle pixelwise sizing of windows.
	(display-buffer--action-function-custom-type)
	(display-buffer-fallback-action):
	Add display-buffer-in-previous-window.
	(display-buffer-use-some-window): Resize window to height it had
	before.
	(fit-window-to-buffer-horizontally): New option.
	(fit-frame-to-buffer): Describe new values.
	(fit-frame-to-buffer-bottom-margin): Replace with
	fit-frame-to-buffer-margins.
	(window--sanitize-margin): New function.
	(fit-frame-to-buffer, fit-window-to-buffer): Rewrite completely
	using window-text-pixel-size.

2013-11-30  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-form):
	Make the `interactive-only' warning like the `obsolete' one.
	* comint.el (comint-run):
	* files.el (insert-file-literally, insert-file):
	* replace.el (replace-string, replace-regexp):
	* simple.el (beginning-of-buffer, end-of-buffer, delete-backward-char)
	(goto-line, insert-buffer, next-line, previous-line):
	Tweak `interactive-only' spec.

	Stop keeping (most) generated cedet grammar files in the repository.
	* Makefile.in (semantic): New.
	(compile-main): Depend on semantic.

2013-11-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/newst-reader.el (newsticker-html-renderer): Default to SHR if
	available.  Suggested by Clément B. <barthele1u@etu.univ-lorraine.fr>.

	* uniquify.el (uniquify-buffer-name-style): Change default.

	* loadup.el: Preload "uniquify".

	* time.el (display-time-update): Update all mode lines (bug#15999).

	* electric.el (electric-indent-mode): Enable by default.
	* loadup.el: Preload "electric".

2013-11-29  Bozhidar Batsov  <bozhidar@batsov.com>

	* emacs-lisp/helpers.el (string-empty-p): New function.
	(string-blank-p): New function.

2013-11-29  Andreas Politz  <politza@hochschule-trier.de>

	* imenu.el (imenu--index-alist): Add missing dot to the docstring
	(Bug#14029).

2013-11-29  Andreas Politz  <politza@fh-trier.de>
	* imenu.el (imenu--subalist-p): Don't error on non-conses and
	allow non-lambda lists as functions.
	(imenu--in-alist): Don't recurse into non-subalists.
	(imenu): Don't pass function itself as an argument (Bug#14029).

2013-11-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode-map): Remove binding for ":".
	(python-indent-electric-colon): Remove command.
	(python-indent-post-self-insert-function): Integrate the previous code
	of python-indent-electric-colon.  Make it conditional on
	electric-indent-mode.
	(python-mode): Add ?: to electric-indent-chars.
	Move python-indent-post-self-insert-function to the end of
	post-self-insert-hook.

2013-11-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-goto-page): Update mode-line.

	* vc/vc-dispatcher.el (vc-log-edit): Setup the Summary&Author headers.

2013-11-27  Glenn Morris  <rgm@gnu.org>

	* international/charprop.el, international/uni-bidi.el:
	* international/uni-category.el, international/uni-combining.el:
	* international/uni-comment.el, international/uni-decimal.el:
	* international/uni-decomposition.el, international/uni-digit.el:
	* international/uni-lowercase.el, international/uni-mirrored.el:
	* international/uni-name.el, international/uni-numeric.el:
	* international/uni-old-name.el, international/uni-titlecase.el:
	* international/uni-uppercase.el:
	Remove generated files from VCS repository.

2013-11-27  Eli Zaretskii  <eliz@gnu.org>

	* filenotify.el (file-notify-add-watch): Don't special-case
	w32notify when computing the directory to watch.

2013-11-27  Glenn Morris  <rgm@gnu.org>

	Make bootstrap without generated uni-*.el files possible again.
	* loadup.el: Update command-line-args checking for unidata-gen.
	Add vc to load-path to allow loading vc-bzr when writing uni-*.el.
	* composite.el, international/characters.el:
	Handle unicode tables being undefined.

	Move ja-dic, quail, leim-list.el from ../leim to a leim subdirectory.
	* Makefile.in (setwins_for_subdirs): Skip leim/ directory.
	(compile-main): Depend on leim rule.
	(leim): New rule.
	* loadup.el: Move leim-list.el to leim/ subdirectory.
	* startup.el (normal-top-level): No more leim directory.
	* international/ja-dic-cnv.el (skkdic-convert):
	Disable version-control and autoloads in output files.
	* international/titdic-cnv.el (titdic-convert, miscdic-convert):
	Disable version-control and autoloads in output files.
	* leim/quail: Move here from ../leim.
	* leim/quail/hangul.el (hangul-input-method-activate):
	Add autoload cookie.
	(generated-autoload-load-name): Set file-local value.
	* leim/quail/uni-input.el (ucs-input-activate): Add autoload cookie.
	(generated-autoload-load-name): Set file-local value.

2013-11-26  Kenjiro NAKAYAMA  <knakayam@redhat.com>

	* net/eww.el (eww-bookmark-browse): Use 'eww-browse-url'.
	(eww-add-bookmark): Ask confirmation when add to bookmarks.
	(eww-quit): Ask confirmation before quitting eww.

2013-11-26  Eli Zaretskii  <eliz@gnu.org>

	* vc/vc.el (vc-diff-internal): Use *-dos coding-system when
	reading output from Diff on MS-Windows and MS-DOS.

2013-11-26  Bozhidar Batsov  <bozhidar@batsov.com>

	* emacs-lisp/helpers.el (string-reverse): New function.

2013-11-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-file-name-regexp-unified): Support IPv6 host
	names on MS Windows, like "/[::1]:".

	* net/tramp-sh.el (tramp-sh-handle-insert-directory): Accept nil
	SWITCHES.

2013-11-26  Glenn Morris  <rgm@gnu.org>

	* progmodes/python.el (python-indent-guess-indent-offset):
	Avoid corner-case error.  (Bug#15975)

	Preload leim-list.el.  (Bug#4789)
	* loadup.el: Load leim-list.el when found.
	* startup.el (normal-top-level): Skip re-loading leim/leim-list.el.

2013-11-25  Bozhidar Batsov  <bozhidar@batsov.com>

	* emacs-lisp/bytecomp.el (byte-compile-form): Fix a typo.

	* emacs-lisp/helpers.el (string-join): New function.

2013-11-25  Sebastian Wiesner  <lunaryorn@gmail.com>  (tiny change)

	* emacs-lisp/bytecomp.el (byte-compile-interactive-only-functions):
	Mark as obsolete and replace it with a symbol property.
	(byte-compile-form): Use new 'interactive-only property.
	* comint.el, files.el, replace.el, simple.el:
	Apply new 'interactive-only properly.

2013-11-25  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-at-bottom): Make sure that
	split-window-sensibly creates the new window on bottom
	(Bug#15961).

2013-11-23  David Kastrup  <dak@gnu.org>

	* vc/smerge-mode.el (smerge-ediff): Choose default buffer names based
	on the conflict markers when available.
	(smerge--get-marker): New function.
	(smerge-end-re, smerge-base-re): Add subgroup.

2013-11-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (handle-focus-in, handle-focus-out): Add missing
	interactive spec.

2013-11-25  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cmds.el (tramp-cleanup-connection): Clean up
	`tramp-current-connection' only when KEEP-PASSWORD is non-nil.

2013-11-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* play/gomoku.el: Don't use intangible property.  Use lexical-binding.
	(gomoku--last-pos): New var.
	(gomoku--intangible-chars): New const.
	(gomoku--intangible): New function.
	(gomoku-mode): Use it.  Derive from special-mode.
	(gomoku-move-up): Adjust line count.
	(gomoku-click, gomoku-point-y, gomoku-point-square, gomoku-goto-xy)
	(gomoku-plot-square, gomoku-init-display, gomoku-cross-qtuple):
	Simplify accordingly.

	* frame.el (handle-focus-in, handle-focus-out): Move from frame.c.
	Remove blink-cursor code.
	(blink-cursor-timer-function, blink-cursor-suspend):
	Don't special-case GUIs.
	(blink-cursor-mode): Use focus-in/out-hook.

2013-11-25  Dmitry Gutov  <dgutov@yandex.ru>

	* vc/vc-git.el (vc-git-annotate-extract-revision-at-line): Make it
	work when annotation is invisible (Bug#13886).

2013-11-24  Simon Schubert  <2@0x2c.org>  (tiny change)

	* json.el (json-alist-p): Only return non-nil if the alist has
	simple keys (Bug#13518).

2013-11-24  Mihir Rege  <mihirrege@gmail.com>  (tiny change)

	* progmodes/js.el (js--ctrl-statement-indentation): Fix indent
	when control-statement is the first statement in a buffer (Bug#15956).

2013-11-24  Dmitry Gutov  <dgutov@yandex.ru>

	* imenu.el (imenu-generic-skip-comments-and-strings):
	New option (Bug#15560).
	(imenu--generic-function): Use it.

2013-11-24  Jorgen Schaefer  <contact@jorgenschaefer.de>

	* minibuffer.el (completion--in-region-1): Scroll the correct window.
	(Bug#13898)

2013-11-24  Bozhidar Batsov  <bozhidar@batsov.com>

	* emacs-lisp/helpers.el: Add some string helpers.
	(string-trim-left): Removes leading whitespace.
	(string-trim-right): Removes trailing whitespace.
	(string-trim): Removes leading and trailing whitespace.

	* subr.el (string-suffix-p): New function.

2013-11-23  Glenn Morris  <rgm@gnu.org>

	* progmodes/python.el (python-shell-send-file):
	Add option to delete file when done.  (Bug#15647)
	(python-shell-send-string, python-shell-send-region): Use it.

2013-11-23  Ivan Shmakov  <ivan@siamics.net>  (tiny change)

	* vc/diff-mode.el (diff-mode): Only allow diff-default-read-only
	to set buffer-read-only to t, never to nil.  (Bug#15938)

	* textmodes/tex-mode.el (latex-noindent-environments):
	Add safe-local-variable property.  (Bug#15936)

2013-11-23  Glenn Morris  <rgm@gnu.org>

	* textmodes/enriched.el (enriched-mode): Doc fix.
	* emacs-lisp/authors.el (authors-renamed-files-alist):
	Add enriched.doc -> enriched.txt.

	* Makefile.in (emacs): Empty EMACSLOADPATH rather than unsetting.

2013-11-22  Leo Liu  <sdl.web@gmail.com>

	* progmodes/octave.el (inferior-octave-startup): Spit out error
	message.

2013-11-22  Bozhidar Batsov  <bozhidar@batsov.com>

	* progmodes/ruby-mode.el (ruby-custom-encoding-magic-comment-template):
	Improve docstring.
	Add :version.
	(ruby-encoding-magic-comment-style): Add :version.

2013-11-22  Leo Liu  <sdl.web@gmail.com>

	* progmodes/octave.el (octave-operator-regexp): Exclude newline.
	(Bug#15076)
	(octave-help-mode): Adapt to change to help-mode-finish to use
	derived-mode-p on 2013-09-17.
	(inferior-octave-prompt): Also match octave-gui.
	(octave-kill-process): Don't ask twice.  (Bug#10564)

2013-11-22  Leo Liu  <sdl.web@gmail.com>

	* progmodes/octave.el (inferior-octave-process-live-p): New helper.
	(inferior-octave-startup, inferior-octave-check-process)
	(inferior-octave-track-window-width-change)
	(octave-completion-at-point, octave-eldoc-function): Use it.
	(octave-kill-process): Provide confirmation.  (Bug#10564)

2013-11-21  Leo Liu  <sdl.web@gmail.com>

	* progmodes/octave.el (octave-mode, inferior-octave-mode):
	Fix obsolete variable comment-use-global-state.

2013-11-21  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* progmodes/octave.el (octave-mode-map, octave-mode-menu):
	Add `octave-source-file'.
	(octave-source-file): New function.  (Bug#15935)

2013-11-21  Kenjiro Nakayama  <nakayamakenjiro@gmail.com>

	* net/eww.el (eww-local-regex): New variable.
	(eww): Use it to detect localhost and similar.

2013-11-21  Leo Liu  <sdl.web@gmail.com>

	Add completion for command `ag'.
	* pcmpl-x.el (pcmpl-x-ag-options): New variable.
	(pcomplete/ag): New function.
	(pcmpl-x-ag-options): New function.  Handle `[no]' in long options.

2013-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-run.el (eval-when-compile): Fix edebug spec
	(bug#14646).
	(make-obsolete): Remove interactive spec.

2013-11-21  Glenn Morris  <rgm@gnu.org>

	* startup.el (command-line-1): Use path-separator with -L.

2013-11-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* emacs-lisp/package.el (describe-package-1): Add package archive
	to shown fields.

2013-11-20  Bozhidar Batsov  <bozhidar@batsov.com>

	* progmodes/ruby-mode.el (ruby-custom-encoding-magic-comment-template):
	Change default to "# encoding: %s" to differentiate it from the
	default Ruby encoding comment template.

2013-11-20  era eriksson  <era+emacsbugs@iki.fi>

	* ses.el (ses-mode): Doc fix.  (Bug#14748)

2013-11-20  Leo Liu  <sdl.web@gmail.com>

	* window.el (display-buffer-alist): Doc fix.  (Bug#13594)

2013-11-19  Dan Nicolaescu  <dann@gnu.org>

	* vc/vc-git.el (vc-git-dir-extra-headers): Add headers
	when rebase or bisect are in progress.

2013-11-19  Xue Fuqiao  <xfq.free@gmail.com>

	* filenotify.el (file-notify-add-watch): Doc fix.

2013-11-19  Leo Liu  <sdl.web@gmail.com>

	* obsolete/rcompile.el: Mark obsolete.

	* progmodes/compile.el (compilation-start)
	(compilation-goto-locus, compilation-find-file):
	Pass no-display-ok and handle nil value from display-buffer.
	(Bug#13594)

	* window.el (display-buffer-alist, display-buffer): Document the
	new parameter no-display-ok.  Return either a window or nil
	but never a non-window value.

2013-11-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* electric.el (electric-indent-mode-map): Remove.
	(electric-indent-mode): Change the global-map instead (bug#15915).

	* textmodes/text-mode.el (paragraph-indent-minor-mode):
	Use add-function.

2013-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/nadvice.el (remove-function): Align with
	add-function's behavior.

	* progmodes/gdb-mi.el: Avoid backtracking in regexp matcher.
	(gdb--string-regexp): New constant.
	(gdb-tooltip-print, gdb-var-evaluate-expression-handler)
	(gdbmi-bnf-stream-record, gdb-jsonify-buffer): Use it.
	(gdb-source-file-regexp, gdb-prompt-name-regexp): Use it and change
	submatch 1.
	(gdb-get-source-file-list, gdb-get-prompt, gdb-get-source-file):
	Adjust use accordingly.
	(gdb-breakpoints-list-handler-custom): Pre-build the y/n string.

2013-11-17  Adam Sokolnicki  <adam.sokolnicki@gmail.com>  (tiny change)

	* progmodes/ruby-mode.el (ruby-toggle-block): Don't stop at
	interpolation curlies (Bug#15914).

2013-11-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-context-sensitive-enter): New variable.
	(calc-enter): Use `calc-context-sensitive-enter'.

2013-11-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* progmodes/cfengine.el: Version bump.
	(cfengine-cf-promises): New defcustom to locate cf-promises.
	(cfengine3-vartypes): Add new "data" type.
	(cfengine3--current-word): New function to get current name-like
	word or its bounds.
	(cfengine3--current-function): New function to look up a CFEngine
	function's definition.
	(cfengine3-format-function-docstring): New function.
	(cfengine3-make-syntax-cache): New function.
	(cfengine3-documentation-function): New function: ElDoc glue.
	(cfengine3-completion-function): New function: completion glue.
